

/* BEGINING OF CLASS */
    
#include "../../../include/types.t"
#include "../../../include/defines.t"
     
#define __PARAMS_HEADER2 __PARAMS_HEADER
     
class faktura
{
   area usr;
   inherits generic_acl;
        
   container_class '';
   container_column_name '';
	      
   #include "../../../include/generic_acl_props.t"   

   
        prop id_kontrahent
        {
            type CO_INTEGER;
            default 0;
            params 'READONLY=1';
            representant '0';
            foreign 'kontrahent';
            foreign_prop 'id';
            position 180;
        };
   
        prop nazwisko_kupujacego
        {
            type CO_STRING;
            default "''";
            params 'SAMELINE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 1270;
        };
   
        prop nazwa_kupujacego
        {
            type CO_STRING;
            default "''";
            params 'READONLY=1';
            representant '1';
            foreign '';
            foreign_prop '';
            position 170;
        };
   
        prop data_sprzedazy
        {
            type CO_DATE;
            default "'1900-01-01'";
            params 'SAMELINE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 1640;
        };
   
        prop numer
        {
            type CO_INTEGER;
            default 0;
            params '';
            representant '1';
            foreign '';
            foreign_prop '';
            position 150;
        };
   
        prop symbol
        {
            type CO_STRING;
            default "''";
            params 'SAMELINE=1';
            representant '1';
            foreign '';
            foreign_prop '';
            position 160;
        };
   
        prop typ_platnosci
        {
            type CO_STRING;
            default "''";
            params 'VALUES=przelew|gotwka|za oplata pobrana|zapacono przelewem|karta kredytowa|barter';
            representant '';
            foreign '';
            foreign_prop '';
            position 1500;
        };
   
        prop id_zamowienie
        {
            type CO_INTEGER;
            default 0;
            params 'READONLY=1';
            representant '0';
            foreign 'zamowienie';
            foreign_prop 'id';
            position 4000;
        };
   
        prop imie_kupujacego
        {
            type CO_STRING;
            default "''";
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 1260;
        };
   
        prop data_wystawienia
        {
            type CO_DATE;
            default "'1900-01-01'";
            params '';
            representant '1';
            foreign '';
            foreign_prop '';
            position 1620;
        };
   
        prop brutto_7
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1;HIDE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 2500;
        };
   
        prop brutto_zw
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1;HIDE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 2700;
        };
   
        prop netto_7
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1;HIDE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 2900;
        };
   
        prop netto_zw
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1;HIDE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 3100;
        };
   
        prop numer_kp
        {
            type CO_STRING;
            default "''";
            params 'SAMELINE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 3300;
        };
   
        prop data_platnosci
        {
            type CO_DATE;
            default "'1900-01-01'";
            params 'SAMELINE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 1630;
        };
   
        prop nip
        {
            type CO_STRING;
            default "''";
            params 'READONLY=1;SAMELINE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 1000;
        };
   
        prop kod
        {
            type CO_STRING;
            default "''";
            params 'READONLY=1;SAMELINE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 1200;
        };
   
        prop miasto
        {
            type CO_STRING;
            default "''";
            params 'READONLY=1;SAMELINE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 1250;
        };
   
        prop ulica
        {
            type CO_STRING;
            default "''";
            params 'READONLY=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 1100;
        };
   
        prop wartosc_netto
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 1700;
        };
   
        prop vat_razem
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1;SAMELINE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 1900;
        };
   
        prop vat_7
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1;HIDE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 2100;
        };
   
        prop vat_22
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1;HIDE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 2200;
        };
   
        prop wartosc_brutto
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1;SAMELINE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 1800;
        };
   
        prop osoba_wystawiajaca
        {
            type CO_STRING;
            default "''";
            params 'VALUES=Joanna Wegrzyn|Magdalena Marciniak|Maciej Byczkowski';
            representant '';
            foreign '';
            foreign_prop '';
            position 3200;
        };
   
        prop vat_0
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1;HIDE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 2000;
        };
   
        prop vat_zw
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1;HIDE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 2300;
        };
   
        prop anulowana
        {
            type CO_STRING;
            default "''";
            params 'VALUES=NIE|TAK';
            representant '1';
            foreign '';
            foreign_prop '';
            position 100;
        };
   
        prop brutto_0
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1;HIDE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 2400;
        };
   
        prop brutto_22
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1;HIDE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 2600;
        };
   
        prop netto_0
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1;HIDE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 2800;
        };
   
        prop netto_22
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1;HIDE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 3000;
        };
   
        prop typ
        {
            type CO_STRING;
            default "''";
            params 'VALUES=zwyka|pro forma;SAMELINE=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 110;
        };
   
        prop uwagi
        {
            type CO_STRING;
            default "''";
            params 'SPAN=3';
            representant '';
            foreign '';
            foreign_prop '';
            position 5000;
        };
   
        prop zaksiegowana
        {
            type CO_INTEGER;
            default 0;
            params 'READONLY=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 10000;
        };
   
        prop zablokowana
        {
            type CO_INTEGER;
            default 0;
            params 'READONLY=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 11000;
        };
}; // end of class: faktura 
