

/* BEGINING OF CLASS */
    
#include "../../../include/types.t"
#include "../../../include/defines.t"
     
#define __PARAMS_HEADER2 __PARAMS_HEADER
     
class faktura_pozycja
{
   area usr;
   inherits generic_acl;
        
   container_class '';
   container_column_name '';
	      
   #include "../../../include/generic_acl_props.t"   

   
        prop id_faktura
        {
            type CO_INTEGER;
            default 0;
            params 'READONLY=1';
            representant '';
            foreign 'faktura';
            foreign_prop 'id';
            position 10;
        };
   
        prop ilosc
        {
            type CO_NUMERIC;
            default 1;
            params 'READONLY=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 50;
        };
   
        prop numer_sww
        {
            type CO_STRING;
            default "''";
            params 'READONLY=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 65;
        };
   
        prop kwota_vat
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 70;
        };
   
        prop cena_netto
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 40;
        };
   
        prop wartosc_brutto
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 90;
        };
   
        prop id_towaru
        {
            type CO_INTEGER;
            default 0;
            params 'READONLY=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 20;
        };
   
        prop tytul
        {
            type CO_STRING;
            default "''";
            params 'SIZE=40';
            representant '';
            foreign '';
            foreign_prop '';
            position 30;
        };
   
        prop wartosc_netto
        {
            type CO_NUMERIC;
            default 0;
            params 'READONLY=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 100;
        };
   
        prop stawka_vat
        {
            type CO_STRING;
            default "''";
            params 'READONLY=1;VALUES=NP|ZW |0  |7  |22';
            representant '';
            foreign '';
            foreign_prop '';
            position 60;
        };
   
        prop vat_zwolniony
        {
            type CO_INTEGER;
            default 0;
            params 'READONLY=1';
            representant '';
            foreign '';
            foreign_prop '';
            position 80;
        };
   
        prop grupa
        {
            type CO_STRING;
            default "''";
            params 'VALUES=TISM|CO|ENSI|inne';
            representant '';
            foreign '';
            foreign_prop '';
            position 5000;
        };
   
        prop nazwa
        {
            type CO_STRING;
            default "''";
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 5101;
        };
   
        prop od_numeru
        {
            type CO_INTEGER;
            default 0;
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 5102;
        };
   
        prop ile_numerow
        {
            type CO_INTEGER;
            default 1;
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 5103;
        };
   
        prop id_zamowienie_pozycja
        {
            type CO_INTEGER;
            default 0;
            params '';
            representant '';
            foreign 'zamowienie_pozycja';
            foreign_prop 'id';
            position 5;
        };
   
        prop podgrupa1
        {
            type CO_STRING;
            default "''";
            params 'VALUES=udzia w konferencji|materia konferencyjne|marketing na konferencji|biuletyn|test penetracyjn|szkolenie|polityka bezpieczenstwa|inne';
            representant '';
            foreign '';
            foreign_prop '';
            position 5010;
        };
   
        prop podgrupa2
        {
            type CO_STRING;
            default "''";
            params '';
            representant '';
            foreign '';
            foreign_prop '';
            position 5020;
        };
}; // end of class: faktura_pozycja 
