#!/usr/bin/perl 

my($old_class);

$top_srcdir = "../../..";

open( OUT, ">nico");
while($line=<>)
{
  ($id,$table_name,$name,$form_params,$representant,$foreign_table,$position,$is_date) = split("\t",$line);
  
  if($old_class ne $table_name)
  {
    print OUT  "}; // end of class: $old_class \n";
    mkdir "$table_name", 0777;
    open( OUT, ">${table_name}/${table_name}.t");
    $old_class = $table_name;
    
    print OUT  "\n\n/* BEGINING OF CLASS */
    
#include \"${top_srcdir}/include/types.t\"
#include \"${top_srcdir}/include/defines.t\"
     
#define __PARAMS_HEADER2 __PARAMS_HEADER
     
class $table_name
{
   area usr;
   inherits generic_acl;
        
   container_class '';
   container_column_name '';
	      
   #include \"${top_srcdir}/include/generic_acl_props.t\"   
\n";
  };    
  
  $foreign_prop = "''";
  if ($foreign_table)
  {
   $foreign_prop = "'id'";
  }
  if($name ne "id")
  {
  print OUT  "   
        prop $name
        {
            type CO_STRING;
            default \"\'\'\";
            params \'$form_params\';
            representant \'$representant\';
            foreign \'$foreign_table\';
            foreign_prop $foreign_prop;
            position $position;
        };\n";
  }
    open( OUT2, ">${table_name}/Makefile");
  print OUT2  "   
CONAME         = ${table_name}

top_srcdir = ${top_srcdir}
include \${top_srcdir}/comodules/Makefile.rules
";	
};  
    