#include "httpd.h"
#include "co_lib.h"

#include "co_example.h"

#define CO_PTR2INT(ptr) (*(int*)(x))
#define CO_PTR2STR(ptr) ((const char*)(x))

void *
coj_example_new_param( co_context *ctx, const char* method_name)
{
    cou_logError( ctx, CO_LOG_DEBUG, "coj_example_new_param: called");

    if (strcmp(method_name, "addToRecordset")==0) {
	cou_logError( ctx, CO_LOG_DEBUG, "allocating param struct");
	return ap_palloc( ctx->request->pool, sizeof(co_typein_example_addToRecordset) );
    }
    return NULL;
}

int
coj_example_set_param( co_context *ctx, void *ph, 
	const char* method_name, const char *param_name, void *param_value)
{
    cou_logError( ctx, CO_LOG_DEBUG, "coj_example_set_param: called");
    if (strcmp(method_name, "addToRecordset")==0) {

	co_typein_example_addToRecordset *p;
	p = (co_typein_example_addToRecordset*)ph;

	if (strcmp(param_name, "value1")==0) {
	    p->value1 = *(int*)param_value;
	} 
	else if (strcmp(param_name, "value2")==0) {
	    p->value2 = *(int*)param_value;
	}
	else if (strcmp(param_name, "dbname")==0) {
	    p->dbname = (const char*)param_value;
	}
    }
    return 0;
}
