#include "../../include/types.t"      
#include "../../include/defines.t"      

// CLASS CATALOG

class js_lib

{ 
  area "sys";
  area "sec";
  area "usr";
  
  inherits catalog;
  
  container_class 'js_lib';
  container_column_name 'id';

#include "../../include/check_acl.t"

      
 // PROPERTIES
      
#include "../../include/generic_acl_props.t"      

  prop name    
  {      
    type CO_STRING;      
    default "''";      
    params '';      
    representant 1;      
    foreign '';      
    foreign_prop '';      
    position 200;    
  };    
  
  prop id_parent
  {
    type CO_INTEGER;
    default 0;
    params '';
    representant 1;
    foreign 'js_lib';
    foreign_prop 'id';
    position 300;
  };
   
  prop id_type
  {
    type CO_STRING;
    default "''";
    params '';
    representant 1;
    foreign '';
    foreign_prop '';
    position 300;
  };  

  prop id_js_code
  {
    type CO_INTEGER;
    default 0;
    params '';
    representant 1;
    foreign 'js_code';
    foreign_prop 'id';
    position 300;
  };
  
  prop description
  {      
    type CO_STRING;      
    default "''";      
    params 'SIZE=100';      
    representant 1;      
    foreign '';      
    foreign_prop '';      
    position 200;    
  };    

// METHODS

};

//END OF CLASS CATALOG
