#include "types.t"
#include "defines.t"

class label_class
{
  language pl_PL { label "Etykiety klas"; };

  inherits generic_acl;

   container_class 'meta_class';
   container_column_name 'id';

  area sec;
  area sys;
  area usr;

#include "../../include/check_acl.t"


 // PROPERTIES
#include "generic_acl_props.t"

index inlng
{
 unique 0;
 column id_meta_class;
 column language;
};

   prop id_meta_class
   {
     type CO_INDEX;
     default "0";
     params '';
     representant 1;
     foreign 'meta_class';
     foreign_prop 'id';
     position 100;
   };

   prop language
   {
     language pl_PL { label "Jezyk"; };
     type CO_STRING;
     default "'en_US'";
     params '';
     representant 1;
     foreign '';
     foreign_prop '';
     position 200;
   };

   prop text
   {
     type CO_STRING;
     default "''";
     params '';
     representant 1;
     foreign '';
     foreign_prop '';
     position 300;
   };

};