
#include "../../include/types.t"
#include "../../include/defines.t"

#define __PARAMS_HEADER2 __PARAMS_HEADER
    
class meta_prop
{

//   area "_";       
   area usr
   {
       force_sec_type 1;
   };
   area sys
   {
       force_sec_type 1;
   };
   area sec
   {
       force_sec_type 1;
   };

#include "../../include/check_acl.t"

   inherits generic_acl;
   
   container_class 'meta_class';
   container_column_name 'class_name';

#include "../../include/generic_acl_props.t" 

  index in1 
  { 
    unique 0; 
    column class_name; 
  }; 

  index in1 
  { 
    unique 0; 
    column class_name; 
    column prop_representant; 
  }; 



	prop prop_name
	{
		type CO_STRING;
		default "''";
		params '';
		representant 100;
		foreign '';
		foreign_prop '';
		position 200;
		group_path '';
   };
 
	prop class_name
	{
		type CO_STRING;
		default "''";
		params '';
		representant 1;
		foreign 'meta_class';
		foreign_prop 'class_name';
		position 300;
		group_path '';
	};
   
	prop prop_representant
	{
		type CO_INTEGER;
		default "''";
		params '';
		representant 0;
		foreign '';
		foreign_prop '';
		position 400;
		group_path '';
	};
   
	prop prop_foreign
	{
		type CO_STRING;
		default "''";
		params '';
		representant 0;
		foreign '';
		foreign_prop '';
		position 500;
		group_path '';
   };

                  
	prop prop_foreign_prop
	{
		type CO_STRING;
		default "''";
		params '';
		representant 0;
		foreign '';
		foreign_prop '';
		position 600;
		group_path '';
	};

	prop prop_foreign_dynamic
	{
		type CO_INTEGER;
		default 0;
		params '';
		representant 0;
		foreign '';
		foreign_prop '';
		position 600;
		group_path '/00';
	};

	prop prop_foreign_dynamic_classes
	{
		type CO_STRING;
		default "''";
		params '';
		representant 0;
		foreign '';
		foreign_prop '';
		position 600;
		group_path '/10';
	};

	prop prop_foreign_dynamic_prop
	{
		type CO_STRING;
		default "''";
		params '';
		representant 0;
		foreign '';
		foreign_prop '';
		position 600;
		group_path '/20';
	};



	prop prop_position
	{
		type CO_INTEGER;
		default "''";
		params '';
		representant 0;
		foreign '';
		foreign_prop '';
		position 700;
		group_path '';
	};

	prop prop_type
	{
		type CO_STRING;
		default "''";
		params '';
		representant 0;
		foreign '';
		foreign_prop '';
		position 800;
		group_path '';
	};

	prop prop_params
	{
		type CO_STRING;
		default "''";
		params 'ROWS=10; COLS=30';
		representant 0;
		foreign '';
		foreign_prop '';
		position 900;
		group_path '';
	};

	prop prop_group
	{
		type CO_STRING;
		default "''";
		params '';
		representant 0;
		foreign '';
		foreign_prop '';
		position 1000;
		group_path '';
	};

	prop prop_group_parent
	{
		type CO_STRING;
		default "''";
		params '';
		representant 0;
		foreign '';
		foreign_prop '';
		position 1100;
		group_path '';
	};

	prop prop_group_path
	{
		type CO_STRING;
		default "''";
		params '';
		representant 0;
		foreign '';
		foreign_prop '';
		position 1200;
		group_path '';
	};

};
