#include "../../include/types.t"
   
class report_element
{

	area sec;
	area sys;
	area usr;

#include "../../include/check_acl.t"
   
	inherits generic_acl;
   
   container_class 'report';
   container_column_name 'id_report';

#include "../../include/generic_acl_props.t"

   prop id_report
   {
     type CO_INTEGER;
     default 0;
     params '';
     representant 0;
     foreign 'report';
     foreign_prop 'id';
     position 200;
   };
   
   prop class_name
   {
     type CO_STRING;
     default "''";
     params '';
     representant 0;
     foreign 'meta_class';
     foreign_prop 'class_name';
     position 200;
   };
 
   prop prop_name
   {
     type CO_STRING;
     default "''";
     params '';
     representant 1;
     foreign '';
     foreign_prop '';
     position 200;
   };

   prop display_name
   {
     type CO_STRING;
     default "''";
     params '';
     representant 100;
     foreign 'meta_class';
     foreign_prop 'class_name';
     position 200;
   };

   prop filter_operator
   {
     type CO_STRING;
     default "''";
     params '';
     representant 0;
     foreign '';
     foreign_prop '';
     position 200;
   };
   
   prop filter_value
   {
     type CO_STRING;
     default "''";
     params '';
     representant 0;
     foreign '';
     foreign_prop '';
     position 200;
   };

   prop active
   {
     type CO_INTEGER;
     default 0;
     params '';
     representant 0;
     foreign '';
     foreign_prop '';
     position 200;
   };
 
   prop params
   {
     type CO_STRING;
     default "''";
     params '';
     representant 0;
     foreign '';
     foreign_prop '';
     position 200;
   };
   
};  
