@perl use co_modules_functions;

@perl $user = $ENV{"USER"};

@foreach item_list

  @// Building type mapping table
  @perl @co_type_map;
  @foreach type
    @perl @${c_type}[0]->visit ();
    @perl @${pointer}[0]->visit ();
    @perl @${is_array}[0]->visit ();
    @perl @${sql_type}[0]->visit ();
    @perl $co_type_map[0]{$name_type} = { "c_type" => $name_c_type, "pointer" => $name_pointer, "is_array" => $name_is_array, "sql_type"=>$name_sql_type};
  @end

  @// creating *.html files
  @foreach class
  @foreach method
  @openfile m_${name_method}.doc.html
<HEAD>
<TITLE>
c source : class ${name_class} : method ${name_method}
</TITLE>
<BODY bgcolor=#ffffc0>
  @foreach body
  @foreach C
  @perl $name_C =~ s/\&/&amp;/g ; 
  @perl $name_C =~ s/\</&lt;/g ; 
  @perl $name_C =~ s/\>/&gt;/g ; 
  @perl $name_C =~ s/\n/<BR>\n/g ; 
  @perl $name_C =~ s/\t/&nbsp;&nbsp;&nbsp;&nbsp;/g ; 
  @perl $name_C =~ s/\@co_call/<FONT color=blue>\@co_call<\/FONT>/g ; 

${name_C}
  @end .. C
  @end .. body
<HR>
</BODY>
  @end .. method
  @openfile index.doc.html
<HTML>
<HEAD>
</HEAD>
<BODY bgcolor=#ffffc0 link="blue" vlink="blue" alink="blue">
<H2><FONT color=blue>Documentation for class <FONT color=gray>${name_class}</FONT>
  @perl @${inherits[0]}->visit ();
  @perl if($name_inherits eq "0") {
:</FONT></H2>
  @perl }else{
(inherits from <A href='../${name_inherits}/index.doc.html'>${name_inherits}</A>):</FONT></H2>
  @perl }
  @foreach area
  @end .. area
<HR><B>Properties:</B>
<P>
<TABLE BORDER=1 bgcolor=#ffffe0>
<TR align=center bgcolor=khaki>
<TD>name</TD>
<TD>type</TD>
<TD>default</TD>
<TD>params</TD>
<TD>representant</TD>
<TD>foreign</TD>
<TD>foreign_prop</TD>
<TD>position</TD>
</TR>
  @foreach prop
<TR align=center>
<TD bgcolor=orange>${name_prop}</TD>
    @foreach type
<TD>${name_type}</TD>
    @end .. type
    @foreach default
<TD>${name_default}</TD>
    @end .. default
    @foreach params
<TD>${name_params}</TD>
    @end .. params
    @foreach representant
<TD>${name_representant}</TD>
    @end .. representant
    @foreach foreign
<TD>${name_foreign}</TD>
    @end .. foreign
    @foreach foreign_prop
<TD>${name_foreign_prop}</TD>
    @end .. foreign_prop
    @foreach position
<TD>${name_position}</TD>
    @end .. position
</TR>
  @end .. prop
</TABLE>
</P>
<B>Methods:</B><BR>
<P><UL>
  @foreach method
<LI><A HREF="#m_${name_method}">${name_method}</A>
  @end .. method
</UL></P>
  @foreach method
<HR>
<A name="m_${name_method}">
<P>method <A href="m_${name_method}.doc.html"><FONT color=green>${name_method}</FONT></A><BR>
  @foreach doc
description: <I>${name_doc}</I><BR>
  @perl undef($doc_i);
  @end .. doc
  @perl undef(@${doc});
parameters:<BR>
  @foreach param
<P><FONT color=citron>${name_param}</FONT><BR>
  @foreach doc
description: <I>${name_doc}</I><BR>
  @perl undef($doc_i);
  @end .. doc
  @perl undef(@${doc});
  @foreach type
type <FONT color=blue>${name_type}</FONT><BR>
  @end .. type
</P>
  @end .. param
</P>
  @end .. method
</BODY>
</HTML>
  @end .. class

@end .. item_list