#include "../../include/init_file_names.t"
#include "defines.t"

file __INIT_FIRST_USER()
{

class user
{
  area sec;
  full_control root;

  p id_role {val 1;};
  p login   {val 'system';};
  p passwd  {val '';};
  p name    {val 'System';};
  p description {val 'this user is used ONLY to initialize data';};
};

}; // end of file __first_user

file __INIT_USER()
{

// this is place in role catalog for this user
class role 
{
  area sec;
  full_control root;

  remove_old "name='System'";
  p name {val System;};
  p id_catalog_type {getByProp catalog_type {prop class_name{val user;};};};
  p id_parent {getByName role {f root;};};
  p id_user {getByName user {f System;};};
  p id_item {getByName user {f System;};};

};

/////////////////////////////////////////////
// USER: Root

class user
{
  area sec;
  full_control root;
  remove_old "name='root'";

  p id_role {val 1;};
  p login   {val 'root';};
  p passwd  {val '$1$3ACFt8P2$dNiPkfPtRZFsMS90d2lj61';};
  p name    {val 'Root';};
  p description {val 'Initial Account';};
};

// preferences for user root
class preference
{
  area sec;
  
  p language {val 'pl';};
  p id_user {recent user;};
};

// this is place in role catalog for this user
class role 
{
  area sec;
  full_control root;

  remove_old "name='Root'";
  p name {val Root;};
  p id_catalog_type {getByProp catalog_type {prop class_name{val user;};};};
  p id_parent {getByName role {f root;};};
  p id_user {getByName user {f System;};};
  p id_item {getByName user {f Root;};};

};

//////////////////////////////////////////////
// USER: __public__
// this is place in role catalog for this user

class role 
{
  area sec;
  full_control root;

  remove_old "name='__public__'";
  p name {val '__public__';};
  p id_catalog_type {getByProp catalog_type {prop class_name{val user;};};};
  p id_parent {getByName role {f root;};};
  p id_user {getByName user {f System;};};
  p id_item {val 0;};

};

class user
{
  area sec;
  full_control root;
  remove_old "name='__public__'";

  p id_role {val 0;};
  p login   {val '__public__';};
  p passwd  {val '';};
  p name    {val '__public__';};
  p description {val 'Account for internet not authenticated users';};
};

// preferences for user __public__

class preference
{
  area sec;
  
  p language {val 'pl';};
  p id_user {recent user;};
};

}; // end of file user




file menu_user
{

class menu
{
  area sec;
  full_control root;
  remove_old "name='default#single@user'";
  p name       {val             'default#single@user';};
  p id_parent  {getByName       menu {f root;};};
  p class_name {val             user;};
};

/* menu: drukuj */

class js_code
{
  area sec;
  full_control root;
  p code
   {
      val
      %%
        ap_write("window.open('../../asp/sys/user?changePasswd&par_id="+ context.active_item +"');");
      %%
      ;
    };
};

class  menu_action
{
  area sec;
  full_control root;
  remove_old "name='user_Change password'";
   p name {val 'user_Change password';};
   p id_js_code {recent js_code;};
};

class menu_action_param
{
  area sec;
  full_control root;
  p param_name {val active_class;};
  p id_menu_action {recent menu_action;};
};

class menu_action_param
{
  area sec;
  full_control root;
  p param_name {val active_item;};
  p id_menu_action {recent menu_action;};
};

class menu
{
  area sec;
  full_control root;
  remove_old "name='Change_password' AND class_name='user'";
  p name {val 'Change_password';};
  p display_name {val 'Zmie haso';};
  p class_name {val user;};
  p id_parent { getByName menu {f 'default#single@user';};};
  p id_menu_action {recent menu_action;};
  p id_permission {val __PERMISSION_UPDATE;};
};

}; // end of file user
/* end of menu 'change password' */

