#ifndef __CO_LOGH
#define __CO_LOGH

#include "http_log.h"

/* log level */
#define CO_LOG_EMERG    APLOG_EMERG     /* system is unusable */
#define CO_LOG_ALERT    APLOG_ALERT     /* action must be taken immediately */
#define CO_LOG_CRIT     APLOG_CRIT      /* critical conditions */
#define CO_LOG_ERR      APLOG_ERR       /* error conditions */
#define CO_LOG_WARNING  APLOG_WARNING   /* warning conditions */
#define CO_LOG_NOTICE   APLOG_NOTICE    /* normal but significant condition */
#define CO_LOG_INFO     APLOG_INFO      /* informational */
#define CO_LOG_DEBUG    APLOG_DEBUG     /* debug-level messages */


#define cou_logError( ctx, level, format, args... ) \
    ap_log_rerror(APLOG_MARK, level, (ctx)->request, format, ## args )

#endif
					  