
      DROP TABLE co_tmp_sec_acl_class

      !NOERROR

      ALTER TABLE co_sec_acl_class RENAME TO co_tmp_sec_acl_class

      !NOERROR

      drop sequence co_sec_acl_class_sqid
      !NOERROR
      create sequence co_sec_acl_class_sqid start 1
      !GO
      grant all on co_sec_acl_class_sqid to nobody
      !GO 

  create table co_sec_acl_class
  ( 
  id  int default 
nextval('co_sec_acl_class_sqid'::text) 
 , 
 version  int default 
0
 , 
 deleted  int default 
0
 , 
 id_permission  int default 
0
 , 
 id_role  int default 
0
 , 
 area  text default 
''
 , 
 class_name  text default 
''

  )
  !GO
  grant all on co_sec_acl_class to nobody
  !GO 
   
    DROP INDEX co_sec_acl_class_inid
    !NOERROR
    
    CREATE   UNIQUE    
    INDEX co_sec_acl_class_inid
    ON co_sec_acl_class
    ( 
 id 
    )
    !GO
     
    DROP INDEX co_sec_acl_class_in1
    !NOERROR
    
    CREATE     
    INDEX co_sec_acl_class_in1
    ON co_sec_acl_class
    ( 
 id_permission  , id_role  , class_name  , area 
    )
    !GO
     
    DROP INDEX co_sec_acl_class_in2
    !NOERROR
    
    CREATE     
    INDEX co_sec_acl_class_in2
    ON co_sec_acl_class
    ( 
 id_role  , class_name  , area 
    )
    !GO
     
    DROP INDEX co_sec_acl_class_in2
    !NOERROR
    
    CREATE     
    INDEX co_sec_acl_class_in2
    ON co_sec_acl_class
    ( 
 class_name  , area 
    )
    !GO
    