
      DROP TABLE co_tmp_sys_spreadsheet_cell

      !NOERROR

      ALTER TABLE co_sys_spreadsheet_cell RENAME TO co_tmp_sys_spreadsheet_cell

      !NOERROR

      drop sequence co_sys_spreadsheet_cell_sqid
      !NOERROR
      create sequence co_sys_spreadsheet_cell_sqid start 1
      !GO
      grant all on co_sys_spreadsheet_cell_sqid to nobody
      !GO 

  create table co_sys_spreadsheet_cell
  ( 
  id  int default 
nextval('co_sys_spreadsheet_cell_sqid'::text) 
 , 
 version  int default 
0
 , 
 deleted  int default 
0
 , 
 column_id  int default 
0
 , 
 row_id  int default 
0
 , 
 type  text default 
'STR'
 , 
 value  text default 
''
 , 
 value_num  numeric default 
0
 , 
 value_date  date default 
'1990-01-01'::date
 , 
 align  text default 
''
 , 
 fontsize  text default 
''
 , 
 textstyle  text default 
''
 , 
 textcolor  text default 
''
 , 
 fontfamily  text default 
''

  )
  !GO
  grant all on co_sys_spreadsheet_cell to nobody
  !GO 
   
    DROP INDEX co_sys_spreadsheet_cell_inid
    !NOERROR
    
    CREATE   UNIQUE    
    INDEX co_sys_spreadsheet_cell_inid
    ON co_sys_spreadsheet_cell
    ( 
 id 
    )
    !GO
     
    DROP INDEX co_sys_spreadsheet_cell_cr
    !NOERROR
    
    CREATE   UNIQUE    
    INDEX co_sys_spreadsheet_cell_cr
    ON co_sys_spreadsheet_cell
    ( 
 column_id  , row_id 
    )
    !GO
    