
      DROP TABLE co_tmp_sys_spreadsheet_column

      !NOERROR

      ALTER TABLE co_sys_spreadsheet_column RENAME TO co_tmp_sys_spreadsheet_column

      !NOERROR

      drop sequence co_sys_spreadsheet_column_sqid
      !NOERROR
      create sequence co_sys_spreadsheet_column_sqid start 1
      !GO
      grant all on co_sys_spreadsheet_column_sqid to nobody
      !GO 

  create table co_sys_spreadsheet_column
  ( 
  id  int default 
nextval('co_sys_spreadsheet_column_sqid'::text) 
 , 
 version  int default 
0
 , 
 deleted  int default 
0
 , 
 column_number  int default 
0
 , 
 spreadsheet_id  int default 
0
 , 
 name  text default 
''
 , 
 align  text default 
''
 , 
 fontsize  text default 
''
 , 
 textstyle  text default 
''
 , 
 textcolor  text default 
''
 , 
 fontfamily  text default 
''

  )
  !GO
  grant all on co_sys_spreadsheet_column to nobody
  !GO 
   
    DROP INDEX co_sys_spreadsheet_column_inid
    !NOERROR
    
    CREATE   UNIQUE    
    INDEX co_sys_spreadsheet_column_inid
    ON co_sys_spreadsheet_column
    ( 
 id 
    )
    !GO
     
    DROP INDEX co_sys_spreadsheet_column_cn
    !NOERROR
    
    CREATE     
    INDEX co_sys_spreadsheet_column_cn
    ON co_sys_spreadsheet_column
    ( 
 column_number 
    )
    !GO
    