
      DROP TABLE co_tmp_sys_spreadsheet_row

      !NOERROR

      ALTER TABLE co_sys_spreadsheet_row RENAME TO co_tmp_sys_spreadsheet_row

      !NOERROR

      drop sequence co_sys_spreadsheet_row_sqid
      !NOERROR
      create sequence co_sys_spreadsheet_row_sqid start 1
      !GO
      grant all on co_sys_spreadsheet_row_sqid to nobody
      !GO 

  create table co_sys_spreadsheet_row
  ( 
  id  int default 
nextval('co_sys_spreadsheet_row_sqid'::text) 
 , 
 version  int default 
0
 , 
 deleted  int default 
0
 , 
 row_number  int default 
0
 , 
 spreadsheet_id  int default 
0
 , 
 name  text default 
''
 , 
 align  text default 
''
 , 
 fontsize  text default 
''
 , 
 textstyle  text default 
''
 , 
 textcolor  text default 
''
 , 
 fontfamily  text default 
''

  )
  !GO
  grant all on co_sys_spreadsheet_row to nobody
  !GO 
   
    DROP INDEX co_sys_spreadsheet_row_inid
    !NOERROR
    
    CREATE   UNIQUE    
    INDEX co_sys_spreadsheet_row_inid
    ON co_sys_spreadsheet_row
    ( 
 id 
    )
    !GO
     
    DROP INDEX co_sys_spreadsheet_row_rn
    !NOERROR
    
    CREATE     
    INDEX co_sys_spreadsheet_row_rn
    ON co_sys_spreadsheet_row
    ( 
 row_number 
    )
    !GO
    