 
  DROP FUNCTION co_sec_catalog_type_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sec_catalog_type_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sec\' AND class_name = \'catalog_type\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sec_catalog_type_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sec_catalog_type_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sec\' AND class_name = \'catalog_type\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sec_catalog_type_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_catalog_type_id(int) RETURNS co_sec_catalog_type AS
     '
        SELECT * FROM co_sec_catalog_type WHERE co_sec_catalog_type.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_catalog_type_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_catalog_type_version(int) RETURNS co_sec_catalog_type AS
     '
        SELECT * FROM co_sec_catalog_type WHERE co_sec_catalog_type.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_catalog_type_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_catalog_type_deleted(int) RETURNS co_sec_catalog_type AS
     '
        SELECT * FROM co_sec_catalog_type WHERE co_sec_catalog_type.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_catalog_type_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_catalog_type_inherits_acl(int) RETURNS co_sec_catalog_type AS
     '
        SELECT * FROM co_sec_catalog_type WHERE co_sec_catalog_type.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_catalog_type_parent_class(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_catalog_type_parent_class(text) RETURNS co_sec_catalog_type AS
     '
        SELECT * FROM co_sec_catalog_type WHERE co_sec_catalog_type.parent_class = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_catalog_type_class_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_catalog_type_class_name(text) RETURNS co_sec_catalog_type AS
     '
        SELECT * FROM co_sec_catalog_type WHERE co_sec_catalog_type.class_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_catalog_type_create_params(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_catalog_type_create_params(text) RETURNS co_sec_catalog_type AS
     '
        SELECT * FROM co_sec_catalog_type WHERE co_sec_catalog_type.create_params = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_catalog_type_container(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_catalog_type_container(int) RETURNS co_sec_catalog_type AS
     '
        SELECT * FROM co_sec_catalog_type WHERE co_sec_catalog_type.container = $1
     '
     LANGUAGE 'sql'
     !GO
       