 
  DROP FUNCTION co_sec_generic_iacl_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sec_generic_iacl_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sec\' AND class_name = \'generic_iacl\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sec_generic_iacl_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sec_generic_iacl_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sec\' AND class_name = \'generic_iacl\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sec_generic_iacl_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_generic_iacl_id(int) RETURNS co_sec_generic_iacl AS
     '
        SELECT * FROM co_sec_generic_iacl WHERE co_sec_generic_iacl.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_generic_iacl_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_generic_iacl_version(int) RETURNS co_sec_generic_iacl AS
     '
        SELECT * FROM co_sec_generic_iacl WHERE co_sec_generic_iacl.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_generic_iacl_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_generic_iacl_deleted(int) RETURNS co_sec_generic_iacl AS
     '
        SELECT * FROM co_sec_generic_iacl WHERE co_sec_generic_iacl.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
       