 
  DROP FUNCTION co_sec_permission_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sec_permission_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sec\' AND class_name = \'permission\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sec_permission_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sec_permission_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sec\' AND class_name = \'permission\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sec_permission_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_permission_id(int) RETURNS co_sec_permission AS
     '
        SELECT * FROM co_sec_permission WHERE co_sec_permission.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_permission_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_permission_version(int) RETURNS co_sec_permission AS
     '
        SELECT * FROM co_sec_permission WHERE co_sec_permission.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_permission_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_permission_deleted(int) RETURNS co_sec_permission AS
     '
        SELECT * FROM co_sec_permission WHERE co_sec_permission.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_permission_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_permission_name(text) RETURNS co_sec_permission AS
     '
        SELECT * FROM co_sec_permission WHERE co_sec_permission.name = $1
     '
     LANGUAGE 'sql'
     !GO
       