 
  DROP FUNCTION co_sys_attachment_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_attachment_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sys\' AND class_name = \'attachment\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_attachment_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_attachment_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\' AND class_name = \'attachment\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_attachment_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_attachment_id(int) RETURNS co_sys_attachment AS
     '
        SELECT * FROM co_sys_attachment WHERE co_sys_attachment.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_attachment_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_attachment_version(int) RETURNS co_sys_attachment AS
     '
        SELECT * FROM co_sys_attachment WHERE co_sys_attachment.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_attachment_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_attachment_deleted(int) RETURNS co_sys_attachment AS
     '
        SELECT * FROM co_sys_attachment WHERE co_sys_attachment.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_attachment_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_attachment_inherits_acl(int) RETURNS co_sys_attachment AS
     '
        SELECT * FROM co_sys_attachment WHERE co_sys_attachment.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_attachment_filename(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_attachment_filename(text) RETURNS co_sys_attachment AS
     '
        SELECT * FROM co_sys_attachment WHERE co_sys_attachment.filename = $1
     '
     LANGUAGE 'sql'
     !GO
       