 
  DROP FUNCTION co_sys_catalog_root_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_catalog_root_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sys\' AND class_name = \'catalog_root\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_catalog_root_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_catalog_root_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\' AND class_name = \'catalog_root\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_catalog_root_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_root_id(int) RETURNS co_sys_catalog_root AS
     '
        SELECT * FROM co_sys_catalog_root WHERE co_sys_catalog_root.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_catalog_root_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_root_version(int) RETURNS co_sys_catalog_root AS
     '
        SELECT * FROM co_sys_catalog_root WHERE co_sys_catalog_root.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_catalog_root_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_root_deleted(int) RETURNS co_sys_catalog_root AS
     '
        SELECT * FROM co_sys_catalog_root WHERE co_sys_catalog_root.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_catalog_root_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_root_inherits_acl(int) RETURNS co_sys_catalog_root AS
     '
        SELECT * FROM co_sys_catalog_root WHERE co_sys_catalog_root.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_catalog_root_id_role(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_root_id_role(int) RETURNS co_sys_catalog_root AS
     '
        SELECT * FROM co_sys_catalog_root WHERE co_sys_catalog_root.id_role = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_catalog_root_class_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_root_class_name(text) RETURNS co_sys_catalog_root AS
     '
        SELECT * FROM co_sys_catalog_root WHERE co_sys_catalog_root.class_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_catalog_root_root_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_root_root_name(text) RETURNS co_sys_catalog_root AS
     '
        SELECT * FROM co_sys_catalog_root WHERE co_sys_catalog_root.root_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_catalog_root_id_root(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_root_id_root(int) RETURNS co_sys_catalog_root AS
     '
        SELECT * FROM co_sys_catalog_root WHERE co_sys_catalog_root.id_root = $1
     '
     LANGUAGE 'sql'
     !GO
       