 
  DROP FUNCTION co_sys_picture_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_picture_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sys\' AND class_name = \'picture\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_picture_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_picture_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\' AND class_name = \'picture\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_picture_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_picture_id(int) RETURNS co_sys_picture AS
     '
        SELECT * FROM co_sys_picture WHERE co_sys_picture.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_picture_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_picture_version(int) RETURNS co_sys_picture AS
     '
        SELECT * FROM co_sys_picture WHERE co_sys_picture.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_picture_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_picture_deleted(int) RETURNS co_sys_picture AS
     '
        SELECT * FROM co_sys_picture WHERE co_sys_picture.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_picture_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_picture_inherits_acl(int) RETURNS co_sys_picture AS
     '
        SELECT * FROM co_sys_picture WHERE co_sys_picture.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_picture_format(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_picture_format(text) RETURNS co_sys_picture AS
     '
        SELECT * FROM co_sys_picture WHERE co_sys_picture.format = $1
     '
     LANGUAGE 'sql'
     !GO
       