 
  DROP FUNCTION co_sys_report_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_report_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sys\' AND class_name = \'report\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_report_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_report_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\' AND class_name = \'report\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_report_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_report_id(int) RETURNS co_sys_report AS
     '
        SELECT * FROM co_sys_report WHERE co_sys_report.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_report_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_report_version(int) RETURNS co_sys_report AS
     '
        SELECT * FROM co_sys_report WHERE co_sys_report.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_report_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_report_deleted(int) RETURNS co_sys_report AS
     '
        SELECT * FROM co_sys_report WHERE co_sys_report.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_report_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_report_inherits_acl(int) RETURNS co_sys_report AS
     '
        SELECT * FROM co_sys_report WHERE co_sys_report.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_report_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_report_name(text) RETURNS co_sys_report AS
     '
        SELECT * FROM co_sys_report WHERE co_sys_report.name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_report_display_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_report_display_name(text) RETURNS co_sys_report AS
     '
        SELECT * FROM co_sys_report WHERE co_sys_report.display_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_report_class_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_report_class_name(text) RETURNS co_sys_report AS
     '
        SELECT * FROM co_sys_report WHERE co_sys_report.class_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_report_default_open_class_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_report_default_open_class_name(text) RETURNS co_sys_report AS
     '
        SELECT * FROM co_sys_report WHERE co_sys_report.default_open_class_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_report_default_open_id_prop_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_report_default_open_id_prop_name(text) RETURNS co_sys_report AS
     '
        SELECT * FROM co_sys_report WHERE co_sys_report.default_open_id_prop_name = $1
     '
     LANGUAGE 'sql'
     !GO
       