 
  DROP FUNCTION co_sys_spreadsheet_column_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_spreadsheet_column_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sys\'
         AND class_name = \'spreadsheet\'
	 AND id_object = (SELECT spreadsheet_id FROM co_sys_spreadsheet_column WHERE id= $1 )
	 AND id_permission = $2 AND id_role = $3 ;
	
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_spreadsheet_column_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_spreadsheet_column_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\'
         AND class_name = \'\'
	 AND id_permission = $1
	 AND id_role = $2 ;
	
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_spreadsheet_column_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_column_id(int) RETURNS co_sys_spreadsheet_column AS
     '
        SELECT * FROM co_sys_spreadsheet_column WHERE co_sys_spreadsheet_column.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_column_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_column_version(int) RETURNS co_sys_spreadsheet_column AS
     '
        SELECT * FROM co_sys_spreadsheet_column WHERE co_sys_spreadsheet_column.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_column_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_column_deleted(int) RETURNS co_sys_spreadsheet_column AS
     '
        SELECT * FROM co_sys_spreadsheet_column WHERE co_sys_spreadsheet_column.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_column_column_number(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_column_column_number(int) RETURNS co_sys_spreadsheet_column AS
     '
        SELECT * FROM co_sys_spreadsheet_column WHERE co_sys_spreadsheet_column.column_number = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_column_spreadsheet_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_column_spreadsheet_id(int) RETURNS co_sys_spreadsheet_column AS
     '
        SELECT * FROM co_sys_spreadsheet_column WHERE co_sys_spreadsheet_column.spreadsheet_id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_column_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_column_name(text) RETURNS co_sys_spreadsheet_column AS
     '
        SELECT * FROM co_sys_spreadsheet_column WHERE co_sys_spreadsheet_column.name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_column_align(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_column_align(text) RETURNS co_sys_spreadsheet_column AS
     '
        SELECT * FROM co_sys_spreadsheet_column WHERE co_sys_spreadsheet_column.align = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_column_fontsize(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_column_fontsize(text) RETURNS co_sys_spreadsheet_column AS
     '
        SELECT * FROM co_sys_spreadsheet_column WHERE co_sys_spreadsheet_column.fontsize = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_column_textstyle(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_column_textstyle(text) RETURNS co_sys_spreadsheet_column AS
     '
        SELECT * FROM co_sys_spreadsheet_column WHERE co_sys_spreadsheet_column.textstyle = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_column_textcolor(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_column_textcolor(text) RETURNS co_sys_spreadsheet_column AS
     '
        SELECT * FROM co_sys_spreadsheet_column WHERE co_sys_spreadsheet_column.textcolor = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_column_fontfamily(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_column_fontfamily(text) RETURNS co_sys_spreadsheet_column AS
     '
        SELECT * FROM co_sys_spreadsheet_column WHERE co_sys_spreadsheet_column.fontfamily = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION cof_sys_spreadsheet_column_length(co_sys_spreadsheet_column)
     !NOERROR

     CREATE FUNCTION  cof_sys_spreadsheet_column_length(co_sys_spreadsheet_column)
            RETURNS int AS
     '
select max(row_number) from co_sys_spreadsheet_row where spreadsheet_id=($1.spreadsheet_id);

     '
     LANGUAGE 'sql'
     !GO
      