 
  DROP FUNCTION co_usr_sdoc_tag_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_usr_sdoc_tag_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'usr\' AND class_name = \'sdoc_tag\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_usr_sdoc_tag_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_usr_sdoc_tag_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'usr\' AND class_name = \'sdoc_tag\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_usr_sdoc_tag_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_tag_id(int) RETURNS co_usr_sdoc_tag AS
     '
        SELECT * FROM co_usr_sdoc_tag WHERE co_usr_sdoc_tag.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_tag_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_tag_version(int) RETURNS co_usr_sdoc_tag AS
     '
        SELECT * FROM co_usr_sdoc_tag WHERE co_usr_sdoc_tag.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_tag_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_tag_deleted(int) RETURNS co_usr_sdoc_tag AS
     '
        SELECT * FROM co_usr_sdoc_tag WHERE co_usr_sdoc_tag.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_tag_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_tag_inherits_acl(int) RETURNS co_usr_sdoc_tag AS
     '
        SELECT * FROM co_usr_sdoc_tag WHERE co_usr_sdoc_tag.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_tag_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_tag_name(text) RETURNS co_usr_sdoc_tag AS
     '
        SELECT * FROM co_usr_sdoc_tag WHERE co_usr_sdoc_tag.name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_tag_id_catalog_type(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_tag_id_catalog_type(int) RETURNS co_usr_sdoc_tag AS
     '
        SELECT * FROM co_usr_sdoc_tag WHERE co_usr_sdoc_tag.id_catalog_type = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_tag_id_item(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_tag_id_item(int) RETURNS co_usr_sdoc_tag AS
     '
        SELECT * FROM co_usr_sdoc_tag WHERE co_usr_sdoc_tag.id_item = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_tag_description(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_tag_description(text) RETURNS co_usr_sdoc_tag AS
     '
        SELECT * FROM co_usr_sdoc_tag WHERE co_usr_sdoc_tag.description = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_tag_id_user(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_tag_id_user(int) RETURNS co_usr_sdoc_tag AS
     '
        SELECT * FROM co_usr_sdoc_tag WHERE co_usr_sdoc_tag.id_user = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_tag_id_parent(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_tag_id_parent(int) RETURNS co_usr_sdoc_tag AS
     '
        SELECT * FROM co_usr_sdoc_tag WHERE co_usr_sdoc_tag.id_parent = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_sdoc_tag_cardinality(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_sdoc_tag_cardinality(int) RETURNS co_usr_sdoc_tag AS
     '
        SELECT * FROM co_usr_sdoc_tag WHERE co_usr_sdoc_tag.cardinality = $1
     '
     LANGUAGE 'sql'
     !GO
       