
  select co_sys_meta_class_add('catalog', 'generic_acl' , 'catalog', 'id')
  !SELECT

  UPDATE co_sys_meta_class SET default_form = 'showCatalog', force_sec_type='' WHERE class_name = 'catalog'
  !GO

DELETE FROM co_sys_meta_prop WHERE class_name='catalog'
!GO
  
INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('catalog', 'id','READONLY=1;HIDDEN=1','0','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('catalog', 'version','READONLY=1;HIDDEN=1','0','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('catalog', 'deleted','READONLY=1;HIDDEN=1','0','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('catalog', 'inherits_acl','HIDDEN=1;READONLY=1','0','','',
         '', '', '', 
	 '50','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('catalog', 'name','','1','','',
         '', '', '', 
	 '200','CO_STRING', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('catalog', 'id_catalog_type','','0','catalog_type','id',
         '', '', '', 
	 '300','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('catalog', 'id_item','','0','','',
         '', '', '', 
	 '300','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('catalog', 'description','SIZE=100','1','','',
         '', '', '', 
	 '200','CO_STRING', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('catalog', 'id_user','SIZE=100','0','user','id',
         '', '', '', 
	 '200','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('catalog', 'id_parent','','0','catalog','id',
         '', '', '', 
	 '350','CO_INTEGER', '')
!GO  

DELETE FROM co_sys_meta_method WHERE class_name='catalog'
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'cut','3', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'paste','8', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'moveItemByID','2', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'getFullPath','1', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'getTree','1', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'getParents','1', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'getIdByPath','1', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'getDocumentTypes','1', '1', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'insertCatalogItem','8', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'unfoldCatalog','9', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'getItemData','1', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'delete','3', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'undelete','4', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'purge','5', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'permissionOn','6', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'permissionOff','6', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('catalog', 'showCatalog','1', '0', '')
!GO
