
  select co_sys_meta_class_add('spreadsheet_column', 'generic_iacl' , 'spreadsheet', 'spreadsheet_id')
  !SELECT

  UPDATE co_sys_meta_class SET default_form = '', force_sec_type='' WHERE class_name = 'spreadsheet_column'
  !GO

DELETE FROM co_sys_meta_prop WHERE class_name='spreadsheet_column'
!GO
  
INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_column', 'id','READONLY=1','1','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_column', 'version','READONLY=1','1','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_column', 'deleted','READONLY=1','1','','',
         '', '', '', 
	 '0','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_column', 'column_number','','1','','',
         '', '', '', 
	 '44','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_column', 'length','','1','','',
         '', '', '', 
	 '44','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_column', 'spreadsheet_id','','1','spreadsheet','id',
         '', '', '', 
	 '44','CO_INTEGER', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_column', 'name','','1','','',
         '', '', '', 
	 '44','CO_STRING', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_column', 'align','','1','','',
         '', '', '', 
	 '44','CO_STRING', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_column', 'fontsize','','1','','',
         '', '', '', 
	 '44','CO_STRING', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_column', 'textstyle','','1','','',
         '', '', '', 
	 '44','CO_STRING', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_column', 'textcolor','','1','','',
         '', '', '', 
	 '44','CO_STRING', '')
!GO  

INSERT INTO co_sys_meta_prop(class_name, prop_name, prop_params, prop_representant, 
     prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path)
  VALUES('spreadsheet_column', 'fontfamily','','1','','',
         '', '', '', 
	 '44','CO_STRING', '')
!GO  

DELETE FROM co_sys_meta_method WHERE class_name='spreadsheet_column'
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('spreadsheet_column', 'insertBeforeColumn','10', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('spreadsheet_column', 'insertAfterColumn','10', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('spreadsheet_column', 'delete','3', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('spreadsheet_column', 'setAttribute','2', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('spreadsheet_column', 'getAttribute','1', '0', '')
!GO

insert into co_sys_meta_method(class_name, method_name, id_permission, sec_type, force_sec_type)
            values('spreadsheet_column', 'getIdByNumber','1', '1', '')
!GO
