#!/usr/bin/perl
######################### We start with some black magic to print on failure.
BEGIN { $| = 1; }
END {print "test failed \n" unless \$loaded;}
use Pg;
$loaded = 1;
use strict;
######################### End of black magic.
##my $dbmain = 'nobody';
##my $dbname = 'nobody';
my $dbconnstr = 'dbname=nobody';
my $trace  = '/tmp/pgtrace.out';
my ($conn, $result, $i, $last_id);
my $DEBUG  = 0; # set this to 1 for traces
$SIG{PIPE} = sub { print "broken pipe \n" };
$dbconnstr = $ARGV[0]; shift;
######################### create and connect to database
my $Option_ref = Pg::conndefaults();
my ($key, $val);
( $$Option_ref{port} ne "" && $$Option_ref{dbname} ne "" && $$Option_ref{user} ne "" )
and print "Pg::conndefaults ........ ok \n"
or  die   "Pg::conndefaults ........ not ok: ", $conn->errorMessage;
sub sql_exe
{
   my($conn, $sql) = @_;
   my($ret) = $conn->exec($sql); # || die "ERROR in executing $sql \n" ;
   if(PGRES_COMMAND_OK ne $ret->resultStatus) 
   {
      $!=-1; 
      die "SQL: ".$sql." ".$conn->errorMessage;
   }
   return $ret;
}

sub sql_sel
{
   my($conn, $sql) = @_;
   my($ret) = $conn->exec($sql); # || die "ERROR in executing $sql \n" ;
   if(PGRES_TUPLES_OK ne $ret->resultStatus)
   {
       $!=-1; 
       die "SQL: ".$sql." ".$conn->errorMessage;
   }  
   return $ret;
}

my(@parents);

$conn = Pg::connectdb($dbconnstr);
( PGRES_CONNECTION_OK eq $conn->status )
    and print "Pg::connectdb ........... ok \n"
    or  die   "Pg::connectdb ........... not ok: ", $conn->errorMessage;  
       $result = $conn->exec("DELETE FROM co_sec_permission");
       $result = $conn->exec("SELECT setval('co_sec_permission_sqid',1)");


###########################################################################################
#AREA.CLASS sec.permission 
$result = sql_exe($conn, " INSERT INTO co_sec_permission (deleted  , id , name) 
SELECT 0 , '1' , 'GET' "); 

						$result = sql_sel($conn, "SELECT nextval('co_sec_permission_sqid')"); 
						my($cval)=($result->fetchrow)[0];
						if(1>$cval)
						{
							$result = sql_sel($conn, "SELECT setval('co_sec_permission_sqid', 1)"); 
						}
						$result = sql_sel($conn, "SELECT last_value FROM co_sec_permission_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 


###########################################################################################
#AREA.CLASS sec.permission 
$result = sql_exe($conn, " INSERT INTO co_sec_permission (deleted  , id , name) 
SELECT 0 , '2' , 'UPDATE' "); 

						$result = sql_sel($conn, "SELECT nextval('co_sec_permission_sqid')"); 
						my($cval)=($result->fetchrow)[0];
						if(2>$cval)
						{
							$result = sql_sel($conn, "SELECT setval('co_sec_permission_sqid', 2)"); 
						}
						$result = sql_sel($conn, "SELECT last_value FROM co_sec_permission_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 


###########################################################################################
#AREA.CLASS sec.permission 
$result = sql_exe($conn, " INSERT INTO co_sec_permission (deleted  , id , name) 
SELECT 0 , '3' , 'DELETE' "); 

						$result = sql_sel($conn, "SELECT nextval('co_sec_permission_sqid')"); 
						my($cval)=($result->fetchrow)[0];
						if(3>$cval)
						{
							$result = sql_sel($conn, "SELECT setval('co_sec_permission_sqid', 3)"); 
						}
						$result = sql_sel($conn, "SELECT last_value FROM co_sec_permission_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 


###########################################################################################
#AREA.CLASS sec.permission 
$result = sql_exe($conn, " INSERT INTO co_sec_permission (deleted  , id , name) 
SELECT 0 , '4' , 'UNDELETE' "); 

						$result = sql_sel($conn, "SELECT nextval('co_sec_permission_sqid')"); 
						my($cval)=($result->fetchrow)[0];
						if(4>$cval)
						{
							$result = sql_sel($conn, "SELECT setval('co_sec_permission_sqid', 4)"); 
						}
						$result = sql_sel($conn, "SELECT last_value FROM co_sec_permission_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 


###########################################################################################
#AREA.CLASS sec.permission 
$result = sql_exe($conn, " INSERT INTO co_sec_permission (deleted  , id , name) 
SELECT 0 , '5' , 'PURGE' "); 

						$result = sql_sel($conn, "SELECT nextval('co_sec_permission_sqid')"); 
						my($cval)=($result->fetchrow)[0];
						if(5>$cval)
						{
							$result = sql_sel($conn, "SELECT setval('co_sec_permission_sqid', 5)"); 
						}
						$result = sql_sel($conn, "SELECT last_value FROM co_sec_permission_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 


###########################################################################################
#AREA.CLASS sec.permission 
$result = sql_exe($conn, " INSERT INTO co_sec_permission (deleted  , id , name) 
SELECT 0 , '6' , 'CHANGE_ACL' "); 

						$result = sql_sel($conn, "SELECT nextval('co_sec_permission_sqid')"); 
						my($cval)=($result->fetchrow)[0];
						if(6>$cval)
						{
							$result = sql_sel($conn, "SELECT setval('co_sec_permission_sqid', 6)"); 
						}
						$result = sql_sel($conn, "SELECT last_value FROM co_sec_permission_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 


###########################################################################################
#AREA.CLASS sec.permission 
$result = sql_exe($conn, " INSERT INTO co_sec_permission (deleted  , id , name) 
SELECT 0 , '7' , 'SELECT' "); 

						$result = sql_sel($conn, "SELECT nextval('co_sec_permission_sqid')"); 
						my($cval)=($result->fetchrow)[0];
						if(7>$cval)
						{
							$result = sql_sel($conn, "SELECT setval('co_sec_permission_sqid', 7)"); 
						}
						$result = sql_sel($conn, "SELECT last_value FROM co_sec_permission_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 


###########################################################################################
#AREA.CLASS sec.permission 
$result = sql_exe($conn, " INSERT INTO co_sec_permission (deleted  , id , name) 
SELECT 0 , '8' , 'INSERT_CHILD' "); 

						$result = sql_sel($conn, "SELECT nextval('co_sec_permission_sqid')"); 
						my($cval)=($result->fetchrow)[0];
						if(8>$cval)
						{
							$result = sql_sel($conn, "SELECT setval('co_sec_permission_sqid', 8)"); 
						}
						$result = sql_sel($conn, "SELECT last_value FROM co_sec_permission_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 


###########################################################################################
#AREA.CLASS sec.permission 
$result = sql_exe($conn, " INSERT INTO co_sec_permission (deleted  , id , name) 
SELECT 0 , '9' , 'GET_RELATED' "); 

						$result = sql_sel($conn, "SELECT nextval('co_sec_permission_sqid')"); 
						my($cval)=($result->fetchrow)[0];
						if(9>$cval)
						{
							$result = sql_sel($conn, "SELECT setval('co_sec_permission_sqid', 9)"); 
						}
						$result = sql_sel($conn, "SELECT last_value FROM co_sec_permission_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 


###########################################################################################
#AREA.CLASS sec.permission 
$result = sql_exe($conn, " INSERT INTO co_sec_permission (deleted  , id , name) 
SELECT 0 , '10' , 'CREATE' "); 

						$result = sql_sel($conn, "SELECT nextval('co_sec_permission_sqid')"); 
						my($cval)=($result->fetchrow)[0];
						if(10>$cval)
						{
							$result = sql_sel($conn, "SELECT setval('co_sec_permission_sqid', 10)"); 
						}
						$result = sql_sel($conn, "SELECT last_value FROM co_sec_permission_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 


###########################################################################################
#AREA.CLASS sec.permission 
$result = sql_exe($conn, " INSERT INTO co_sec_permission (deleted  , id , name) 
SELECT 0 , '11' , 'EVALUATE' "); 

						$result = sql_sel($conn, "SELECT nextval('co_sec_permission_sqid')"); 
						my($cval)=($result->fetchrow)[0];
						if(11>$cval)
						{
							$result = sql_sel($conn, "SELECT setval('co_sec_permission_sqid', 11)"); 
						}
						$result = sql_sel($conn, "SELECT last_value FROM co_sec_permission_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 


###########################################################################################
#AREA.CLASS sec.permission 
$result = sql_exe($conn, " INSERT INTO co_sec_permission (deleted  , id , name) 
SELECT 0 , '12' , 'GET_HISTORY' "); 

						$result = sql_sel($conn, "SELECT nextval('co_sec_permission_sqid')"); 
						my($cval)=($result->fetchrow)[0];
						if(12>$cval)
						{
							$result = sql_sel($conn, "SELECT setval('co_sec_permission_sqid', 12)"); 
						}
						$result = sql_sel($conn, "SELECT last_value FROM co_sec_permission_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 


###########################################################################################
#AREA.CLASS sec.permission 
$result = sql_exe($conn, " INSERT INTO co_sec_permission (deleted  , id , name) 
SELECT 0 , '13' , 'GET_ACL' "); 

						$result = sql_sel($conn, "SELECT nextval('co_sec_permission_sqid')"); 
						my($cval)=($result->fetchrow)[0];
						if(13>$cval)
						{
							$result = sql_sel($conn, "SELECT setval('co_sec_permission_sqid', 13)"); 
						}
						$result = sql_sel($conn, "SELECT last_value FROM co_sec_permission_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 


###########################################################################################
#AREA.CLASS sec.permission 
$result = sql_exe($conn, " INSERT INTO co_sec_permission (deleted  , id , name) 
SELECT 0 , '14' , 'UPDATE_SEC' "); 

						$result = sql_sel($conn, "SELECT nextval('co_sec_permission_sqid')"); 
						my($cval)=($result->fetchrow)[0];
						if(14>$cval)
						{
							$result = sql_sel($conn, "SELECT setval('co_sec_permission_sqid', 14)"); 
						}
						$result = sql_sel($conn, "SELECT last_value FROM co_sec_permission_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 
