#!/usr/bin/perl
######################### We start with some black magic to print on failure.
BEGIN { $| = 1; }
END {print "test failed \n" unless \$loaded;}
use Pg;
$loaded = 1;
use strict;
######################### End of black magic.
##my $dbmain = 'nobody';
##my $dbname = 'nobody';
my $dbconnstr = 'dbname=nobody';
my $trace  = '/tmp/pgtrace.out';
my ($conn, $result, $i, $last_id);
my $DEBUG  = 0; # set this to 1 for traces
$SIG{PIPE} = sub { print "broken pipe \n" };
$dbconnstr = $ARGV[0]; shift;
######################### create and connect to database
my $Option_ref = Pg::conndefaults();
my ($key, $val);
( $$Option_ref{port} ne "" && $$Option_ref{dbname} ne "" && $$Option_ref{user} ne "" )
and print "Pg::conndefaults ........ ok \n"
or  die   "Pg::conndefaults ........ not ok: ", $conn->errorMessage;
sub sql_exe
{
   my($conn, $sql) = @_;
   my($ret) = $conn->exec($sql); # || die "ERROR in executing $sql \n" ;
   if(PGRES_COMMAND_OK ne $ret->resultStatus) 
   {
      $!=-1; 
      die "SQL: ".$sql." ".$conn->errorMessage;
   }
   return $ret;
}

sub sql_sel
{
   my($conn, $sql) = @_;
   my($ret) = $conn->exec($sql); # || die "ERROR in executing $sql \n" ;
   if(PGRES_TUPLES_OK ne $ret->resultStatus)
   {
       $!=-1; 
       die "SQL: ".$sql." ".$conn->errorMessage;
   }  
   return $ret;
}

my(@parents);

$conn = Pg::connectdb($dbconnstr);
( PGRES_CONNECTION_OK eq $conn->status )
    and print "Pg::connectdb ........... ok \n"
    or  die   "Pg::connectdb ........... not ok: ", $conn->errorMessage;  


###########################################################################################
#AREA.CLASS sec.catalog_type 
$result = sql_exe($conn, "DELETE FROM co_sec_catalog_type WHERE class_name='role'"); 
$result = sql_exe($conn, " INSERT INTO co_sec_catalog_type (deleted  , parent_class , class_name , create_params , container) 
SELECT 0 , 'role' , 'role' , '' , '1' "); 
$result = sql_sel($conn, "SELECT last_value FROM co_sec_catalog_type_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 


###########################################################################################
#AREA.CLASS sec.catalog_type 
$result = sql_exe($conn, "DELETE FROM co_sec_catalog_type WHERE class_name='user'"); 
$result = sql_exe($conn, " INSERT INTO co_sec_catalog_type (deleted  , parent_class , class_name , create_params , container) 
SELECT 0 , 'role' , 'user' , '     name[0]=\\\"login\\\";
     name[1]=\\\"password\\\";
     type[1]=\\\"CO_PASSWORD\\\"
' , '1' "); 
$result = sql_sel($conn, "SELECT last_value FROM co_sec_catalog_type_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 


###########################################################################################
#AREA.CLASS sec.catalog_type 
$result = sql_exe($conn, "DELETE FROM co_sec_catalog_type WHERE class_name='start_page'"); 
$result = sql_exe($conn, " INSERT INTO co_sec_catalog_type (deleted  , parent_class , class_name , create_params) 
SELECT 0 , 'role' , 'start_page' , '' "); 
$result = sql_sel($conn, "SELECT last_value FROM co_sec_catalog_type_sqid");
                  $last_id = ($result->fetchrow)[0]; 
$parents[0]=$last_id; 
