#!/usr/bin/perl  
# use co_modules_functions;
use strict;
use co;
use init_data_header;

#$user = $ENV{"USER"};

my($root, $item_list, $files, $prop, $file);

#!/usr/bin/perl

$root = &co::parse("sss", $ARGV[0]);

print "begining \n";
$item_list = $root->{"item_list"}; 

print "item_list \n";
foreach $prop (keys %$item_list)
{
    print "prop: $prop \n";
} # foreeach file



$files = $item_list->{"file"};
print "files $#{@$files} \n";
my($i);

sub perform_for_class
{
	my($class, $parent_level) = @_;

	print "      class: " . $class->{"V"} . "\n";

	my($arr_area) = $class->{"area"};
	my($area);
	foreach $area (@$arr_area)
	{
		my($name_area) = $area->{"V"};
		my($name_class) = $class->{"V"};

		print OUTF "\n\n###########################################################################################";
		print OUTF "\n#AREA.CLASS $name_area.$name_class \n";
 
		my($escape_statement)="";
		my($insert_statement) = " INSERT INTO co_${name_area}_${name_class} (deleted "; 
		my($insert_values) = "SELECT 0 ";
		my($after_insert) = "";
 
		my($arr_remove_old)=$class->{"remove_old"};
		my($remove_old);
		foreach $remove_old (@$arr_remove_old)
		{
			my($name_remove_old) = $remove_old->{"V"}; 
			$name_remove_old =~ s/([\"|\\|\@|\$])/\\\1/g;
			print OUTF "\$result = sql_exe(\$conn, \"DELETE FROM co_${name_area}_${name_class} WHERE $name_remove_old\"); \n"; 
		} 

		my($arr_escape_perl)=$class->{"escape_perl"};
		my($escape_perl);
		foreach $escape_perl (@$arr_escape_perl)
		{
			my($name_escape_perl) = $escape_perl->{"V"}; 
			$escape_perl .= $name_escape_perl;
		} 
        
		my($arr_p)=$class->{"p"};
		my($p);
		foreach $p (@$arr_p)
		{
			my($name_p) = $p->{"V"}; 

			my($arr_val)=$p->{"val"};
			my($val);
			foreach $val (@$arr_val)
			{
				my($name_val) = $val->{"V"}; 
				$name_val =~ s/([\"|\'|\\|\@|\$])/\\\\\\\1/g;
				$insert_statement .= " , " . $name_p;
				$insert_values    .= ", '" . $name_val . "' ";
				if($name_p eq "id")
				{
					$after_insert .= "
						\$result = sql_sel(\$conn, \"SELECT nextval(\'co_${name_area}_${name_class}_sqid\')\"); 
						my(\$cval)=(\$result->fetchrow)[0];
						if($name_val>\$cval)
						{
							\$result = sql_sel(\$conn, \"SELECT setval(\'co_${name_area}_${name_class}_sqid\', $name_val)\"); 
						}
						";
				}
			} # val
        
			my($arr_recent)=$p->{"recent"};
			my($recent);
			foreach $recent (@$arr_recent)
			{
				my($name_recent) = $recent->{"V"}; 
				$insert_statement .= " , " . $name_p;
				$insert_values    .= ", (SELECT last_value FROM co_${name_area}_${name_recent}_sqid) ";
			} # recent
        
			my($arr_getByName)=$p->{"getByName"};
			my($getByName);
			foreach $getByName (@$arr_getByName)
			{
				my($name_getByName) = $getByName->{"V"}; 
 
				my($arr_f)=$getByName->{"f"};
				my($f);
				foreach $f (@$arr_f)
				{
					my($name_f) = $f->{"V"}; 
					$name_f =~ s/([\"|\'|\\|\@|\$])/\\\\\\\1/g;
					$insert_statement .= " , " . $name_p;
					$insert_values    .= ", (SELECT id FROM co_${name_area}_${name_getByName} WHERE name = \'${name_f}\') ";
	
				}
			} # getByName
 
			my($arr_getByNameInArea)=$p->{"getByNameInArea"};
			my($getByNameInArea);
			foreach $getByNameInArea (@$arr_getByNameInArea)
			{
				my($name_getByNameInArea) = $getByNameInArea->{"V"}; 
 
				my($name_f)=$getByNameInArea->{"f"}->[0]->{"V"};
				my($name_get_area)=$getByNameInArea->{"area"}->[0]->{"V"};
				$name_f =~ s/([\"|\'|\\|\@|\$])/\\\\\\\1/g;
				$insert_statement .= " , " . $name_p;
				$insert_values    .= ", (SELECT id FROM co_${name_get_area}_${name_getByNameInArea} WHERE name = \'${name_f}\') ";
			} # getByNameInArea
 

			my($arr_getByProp)=$p->{"getByProp"};
			my($getByProp);
			foreach $getByProp (@$arr_getByProp)
			{
				my($name_getByProp) = $getByProp->{"V"}; 
 
				my($arr_prop)=$getByProp->{"prop"};
				my($prop);
				foreach $prop (@$arr_prop)
				{
					my($name_prop) = $prop->{"V"}; 
					my($name_val) = $prop->{"val"}->[0]->{"V"};
					$name_val =~ s/([\"|\'|\\|\@|\$])/\\\\\\\1/g;
					$insert_statement .= " , " . $name_p;
					$insert_values    .= ", (SELECT id FROM co_${name_area}_${name_getByProp} WHERE ${name_prop} = \'${name_val}\') ";
				} # prop
			} # getByProp
 
			my($arr_current_id)=$p->{"current_id"};
			my($current_id);
			foreach $current_id (@$arr_current_id)
			{
				$insert_statement .= " , " . $name_p;
				$insert_values    .= ", (SELECT last_value from co_${name_area}_${name_class}_sqid) ";
			} # current_id

			my($arr_parent)=$p->{"parent"};
			my($parent);
			foreach $parent (@$arr_parent)
			{
				$insert_statement .= " , " . $name_p;
				my($pl) = $parent_level-1;
				$insert_values    .= ", \$parents[$pl] ";
			} # current_id
	

		} # p

		my($control_statement)="";
		my($arr_full_control)=$class->{"full_control"};
		my($full_control);
		foreach $full_control (@$arr_full_control)
		{
			my($name_full_control) = $full_control->{"V"};
			$control_statement .= "sql_exe(\$conn, \"
				 DELETE FROM co_sec_acl
				 WHERE id_object=\$last_id AND
				 id_role=(SELECT r.id from co_sec_role r WHERE r.name='$name_full_control')
				 AND area='$name_area' AND class_name='$name_class';
				 INSERT INTO co_sec_acl
                                 SELECT NEXTVAL('co_sec_acl_sqid'),0,0, p.id, \$last_id, r.id, '$name_area', '$name_class'
                                 FROM  co_sec_permission p, co_sec_role r
				 WHERE r.name= '$name_full_control'
				 \");
                         ";
#				 AND NOT EXISTS
#				 (SELECT * FROM co_sec_acl a WHERE a.id_object=\$last_id AND a.id_role=r.id AND a.area='$name_area' AND a.class_name='$name_class' AND a.id_permission=p.id)
		} # full_control
      
		print OUTF "\$result = sql_exe(\$conn, \"" . $insert_statement . ") \n" . $insert_values . "\"); \n";
		if($after_insert ne "") { print OUTF $after_insert ; };
		print OUTF "\$result = sql_sel(\$conn, \"SELECT last_value FROM co_${name_area}_${name_class}_sqid\");
                  \$last_id = (\$result->fetchrow)[0]; \n";
		print OUTF "\$parents[$parent_level]=\$last_id; \n";
		print OUTF $control_statement;
		print OUTF $escape_statement;

		my($arr_class) = $class->{"class"};
		my($class);
		foreach $class (@$arr_class)
		{
			perform_for_class($class, $parent_level+1);
		} # foreach class
	} # .. end of loop for each area
}# su perform_for_class

foreach $i (0 .. $#{ @$files} )
{
	my($arr_class, $j) ;

	$file = $files->[$i];
	print "index: $i \n";
	print "file: " . $file->{"V"} . "\n";

	open (OUTF, "> co_set_$file->{'V'}.pl") || die  "Could not open: co_set_$file->{'V'}.pl \n" ;

	print OUTF &init_data_header::out_header() ;

	my($arr_escape_perl)=$file->{"escape_perl"};
	my($escape_perl);
	foreach $escape_perl (@$arr_escape_perl)
	{
		my($name_escape_perl) = $escape_perl->{"V"}; 
		print OUTF $name_escape_perl;
	} 
 
	my($arr_class) = $file->{"class"};
	my($class);
	foreach $class (@$arr_class)
	{
		perform_for_class($class, 0);
	} # foreach class
    close OUTF ;

} # foreach file


1;
