#include "co_defines.h"

typedef struct co_type co_type;

int co_type_magic(co_type *);

#define CO_IS_STRING(any) \
    __ASSERT(co_type_magic(any)==COSTR_MAGIC_NUMBER, #any " does not point to co_string")

#define CO_IS_RECORDSET(any) \
    __ASSERT(co_type_magic(any)==COREC_MAGIC_NUMBER, #any " does not point to co_recordset")

#define CO_IS_ARRAY(any) \
    __ASSERT(co_type_magic(any)==__ARRAY_MAGIC_NUMBER, #any " does not point to co_array_of_pointers")
