#include "../../include/types.t"
#include "../../include/defines.t"

// CLASS CATALOG

class catalog_type

{
  area "sec";
  area "sys";
  area "usr";

  inherits generic_acl;

#include "../../include/check_acl.t"

  container_class '';
  container_column_name '';

 // PROPERTIES

#include "../../include/generic_acl_props.t"

  prop parent_class
  {
    type CO_STRING;
    default "''";
    params '';
    representant 1;
    foreign 'meta_class';
    foreign_prop 'class_name';
    position 200;
  };

  prop class_name
  {
    type CO_STRING;
    default "''";
    params '';
    representant 1;
    foreign 'meta_class';
    foreign_prop 'class_name';
    position 200;
  };

  prop create_params
  {
    type CO_STRING;
    default "''";
    params '';
    representant 1;
    foreign '';
    foreign_prop '';
    position 300;
  };

  prop container
  {
    type CO_INTEGER;
    default 0;
    params '';
    representant 1;
    foreign '';
    foreign_prop '';
    position 300;
  };


};

//END OF CLASS CATALOG