
#include "types.t"
    
class preference
{
   language pl_PL { label "preferencje"; };
   
   area sec;
   
#include "../../include/check_acl.t"
   
   
   container_class 'user';
   container_column_name 'id_user';

#include "generic_acl_props.t"

   index login
   {
     unique 1;
     column deleted;
     column id_user;
   };

   prop id_user
   {
     language pl_PL { 
	    label "id uytkownika"; 
	    relation "preferencje uytkownika"; 
	};
     doc "owner of the preferences record";
     type CO_INDEX;
     default "0";
     params 'READONLY=1';
     representant 1;
     foreign 'user';
     foreign_prop 'id';
     position 10;
   };
   
   prop language
   {
     language pl_PL { label "jzyk"; };
     doc "user language";
     type CO_STRING;
     default "'pl_PL'";
     params 'VALUES=new Array("C","en_US","pl_PL")';
     representant 1;
     foreign '';
     foreign_prop '';
     position 10;
   };
   
   inherits generic_iacl;
 
};