#include "../../include/init_file_names.t"

file __INIT_ROLE()
{
  escape_perl 
   %%
      $conn->exec("DELETE FROM co_sec_role");
      $conn->exec("DROP SEQUENCE co_sec_role_sqid");
      $conn->exec("CREATE SEQUENCE co_sec_role_sqid");
      $conn->exec("GRANT ALL ON co_sec_role_sqid TO nobody");
      
   %%
   ;


class role 
{
  area sec;

  // this is little tricky but we set permissions at the end of setting all data
  full_control root;

  remove_old "name='root'";
  p name {val root;};
  p id_catalog_type {getByProp catalog_type {prop class_name{val role;};};};
  p id_user {getByName user {f System;};};
  p id_item {current_id 1;};

};

class role 
{
  area sec;
  full_control root;

  remove_old "name='developer'";
  p name {val developer;};
  p id_catalog_type {getByProp catalog_type {prop class_name{val role;};};};
  p id_parent {getByName role {f root;};};
  p id_user {getByName user {f System;};};
  p id_item {current_id 1;};
};

class role 
{
  area sec;
  full_control root;

  remove_old "name='user'";
  p name {val user;};
  p id_catalog_type {getByProp catalog_type {prop class_name{val role;};};};
  p id_parent {getByName role {f root;};};
  p id_user {getByName user {f System;};};
  p id_item {current_id 1;};

};

class role 
{
  area sec;

  // this is little tricky but we set permissions at the end of setting all data
  full_control root;

  remove_old "name='__PUBLIC__'";
  p id {val 0;};
  p name {val __PUBLIC__;};
  p id_catalog_type {getByProp catalog_type {prop class_name{val role;};};};
  p id_parent {getByName role {f root;};};
  p id_user {getByName user {f System;};};
  p id_item {val 0;};

};

}; // end of file



   
