
#include "../../include/types.t"
#include "../../include/defines.t"

class sdoc
{
   
   area usr;

#include "../../include/check_acl.t"

   inherits catalog;
  
   container_class 'sdoc';
   container_column_name 'id_parent';

#include "../../include/catalog_props.t" 

   prop id_parent
   {
     type CO_INTEGER;
     default 0;
     params '';
     representant 1;
     foreign 'sdoc';
     foreign_prop 'id';
     position 300;
   };

   prop id_sdoc_tag
   {
     type CO_INTEGER;
     default 0;
     params '';
     representant 1;
     foreign 'sdoc_tag';
     foreign_prop 'id';
     position 300;
   };

   prop approved
   {
     type CO_INTEGER;
     default 0;
     params '';
     representant 1;
     foreign '';
     foreign_prop '';
     position 300;
   };

   prop sposition
   {
     type CO_STRING;
     default "''";
     params '';
     representant 0;
     foreign '';
     foreign_prop '';
     position 300;
   };

   prop main_text
   {
     type CO_STRING;
     default "''";
     params '';
     representant 0;
     foreign '';
     foreign_prop '';
     position 300;
   };

   prop comment
   {
     type CO_STRING;
     default "''";
     params '';
     representant 0;
     foreign '';
     foreign_prop '';
     position 300;
   };

};  
