@perl use co_modules_functions;

@perl $user = $ENV{"USER"};

@foreach item_list

  @// creating *.c files 
  @foreach class
  
  @openfile co_$name_class.c

  @// Building type mapping table

  /* TYPES  
  
  @perl @co_type_map;
  @foreach type
    @perl @${c_type}[0]->visit ();  
    @perl @${js_type}[0]->visit ();  
    @perl @${pointer}[0]->visit ();  
    @perl @${is_array}[0]->visit ();  
    
    @perl $co_type_map[0]{$name_type} = { "c_type" => $name_c_type, "js_type" => $name_js_type, "pointer" => $name_pointer, "is_array" => $name_is_array};
    
    $name_type $name_c_type $name_pointer
  @end    
  
  */

  
  #include "httpd.h"
  
  /* PostgreSQL access functions */
  #include "libpq-fe.h"
  #include <stdlib.h>
  #include <unistd.h>
  
  #include "co_lib.h"
  #include "co_convutils.h"
  #include "../coffice/co_recordset.h"
  #include "../coffice/co_array.h"
  #include "co_defines.h"
  #include "co_defines_calls.h"
  #include "co_${name_class}.h"
  
  @foreach uses
  #include "../${name_uses}/co_${name_uses}.h"
  @end
  
  @foreach include_c
  #include "$name_include_c"
  @end

  static void exit_nicely(PGconn *conn) 
  {
  
  }

  @foreach local_method
       @foreach C
        @// lines starting with @ we treat as perl code
        @perl if($name_C =~ s/^\s*\@//) {
	  @perl my($temp) = eval($name_C);
	  
	  @// split staff is to have nice looking code
	  @perl my(@temp) = split "\n", $temp;
	  @perl foreach $t (@temp) {
$t
	  @perl }}else{
	  @perl my(@temp) = split "\n", $name_C;
	  @perl foreach $t (@temp) { $t =~ s/^(\s+)//;
          @perl if($t =~ s/^\@//) {
  	    @perl my($temp) = eval($t);
	  
	    @// split staff is to have nice looking code
	    @perl my(@temp) = split "\n", $temp;
	    @perl foreach $t (@temp) {
$t
	    @perl }}else{
$t
	@perl} } }
      @end	
  @end .. local_method    

  @foreach method
int co_$name_method 
               (co_context *cnx, co_typein_${name_method}* struct_in)
{
       request_rec *r = cnx->request;
       pool *p = r->pool;
       PGconn *conn = cnx->dbconn;
       PGresult *res, *return_res;
       char SQLString[SQLBUFSIZE];
       char MESGString[MESGSIZE];
       char JSOutBuf[JSBUFSIZE];
       int ok;
       int err;
       int dirty_res = 0;
       int return_int;
       const char *return_str;
       const char *delim = "=";
       const char *get_str;
       co_recordset *corec;
       
      // local declarations of variables
      @foreach declare  
      @foreach C
        @// lines starting with @ we treat as perl code
        @perl if($name_C =~ s/^\s*\@//) {
	  @perl my($temp) = eval($name_C);
	  
	  @// split staff is to have nice looking code
	  @perl my(@temp) = split "\n", $temp;
	  @perl foreach $t (@temp) {
	$t
	  @perl }}else{
        $name_C
	@perl }
      @end
      @end	

       
      // definitions for input params 
      @foreach param
       @perl @${type}[0]->visit ();
       @perl  $c_type = $co_type_map[0]{$name_type}->{"c_type"};  
       $c_type $name_param ;
      @end
      @perl undef $optional; undef $default;

      // first initialization of variables
      __INIT_VARIABLES
      
      // reading input params
      // first we check the way input params where passed
      if(struct_in)
      {
      // input params are in struct_in
        @foreach param
          @perl @${type}[0]->visit ();
          if(struct_in->control->$name_param == 1)
          {
             __PARAM_STRUCT_READ($name_param,struct_in,$name_param);
          }
          else
          {
    	    @perl if ($${optional}[0]{name_optional}) {
		@perl my($temp) = $${default}[0]{name_default};
		$temp;
    	    @perl } else {
		cou_error(cnx, "Parameter not set and does not have default");
    	    @perl }
          }
	  @perl undef $optional; undef $default;
        @end 
      }
      else
      {	
      //input params are in request string
        @foreach param
          @perl @${type}[0]->visit ();
	  @perl my($temp) = co_get_param($name_param,$name_type,$${optional}[0]{name_optional},$${default}[0]{name_default});
	  @perl undef $optional; undef $default;
	  $temp
        @end 
      };	


      @perl @${body}[0]->visit ();  
      @foreach C
        @// lines starting with @ we treat as perl code
        @perl if($name_C =~ s/^\s*\@//) {
	  @perl my($temp) = eval($name_C);
	  
	  @// split staff is to have nice looking code
	  @perl my(@temp) = split "\n", $temp;
	  @perl foreach $t (@temp) {
$t
	  @perl }}else{
	  @perl my(@temp) = split "\n", $name_C;
	  @perl foreach $t (@temp) { $t =~ s/^(\s+)//;
          @perl if($t =~ s/^\@//) {
  	    @perl my($temp) = eval($t);

	    @// split staff is to have nice looking code
	    @perl my(@temp) = split "\n", $temp;
	    @perl foreach $t (@temp) {
$t
	    @perl }}else{
$t
	@perl} } }
      @end

      if (dirty_res)
	cou_logError( cnx, CO_LOG_DEBUG, "${name_class}::${name_method} has dirty res");

  return(0);
} // end of method $name_method


  @end .. method

  // methods for building parameter structrures

  @foreach method
co_typein_${name_method}*  
   pbs_$name_method 
   (
     co_context *cnx
   )
{
       request_rec *r = cnx->request;
       pool *p = r->pool;
       __PARAM_STRUCT_CREATE_${name_method}(param_struct)
       int err;
       const char *delim = "=";

       
      // definitions for input params 
      @foreach param
       @perl @${type}[0]->visit();
       @perl  $c_type = $co_type_map[0]{$name_type}->{"c_type"};  
       $c_type $name_param ;
      @end
      @perl undef $optional; undef $default;

      //input params are in request string
        @foreach param
          @perl @${type}[0]->visit ();
	  @perl my($temp) = co_get_param($name_param,$name_type,$${optional}[0]{name_optional},$${default}[0]{name_default});
	  @perl undef $optional; undef $default;
	  $temp
        @end 

      // assigning params to struct
      @foreach param
       @perl @${type}[0]->visit ();
       @perl  $c_type = $co_type_map[0]{$name_type}->{"c_type"};  
       param_struct->values->$name_param = $name_param ;
       param_struct->control->$name_param  = 1;
      @end

  return(param_struct);      

} // end of pbs method $name_method
      
      
    @end .. method 
 
      
     // end of class $class_name
     
     @openfile co_$name_class.h
     
     @foreach method
     
     #ifndef   __CO_METHOD_PARAMS_$name_method
     #define   __CO_METHOD_PARAMS_$name_method

     #include "../coffice/co_array.h"

     typedef struct
      {
        @foreach param
         @perl @${type}[0]->visit ();
         @perl  $c_type = $co_type_map[0]{$name_type}->{"c_type"};  
         $c_type $name_param;
        @end .. param
      } co_typein_values_${name_method};
 
     typedef struct
      {
        @foreach param
         int $name_param;
        @end .. param
      } co_typein_control_${name_method};
 
     typedef struct
      {
         co_typein_control_${name_method} * control;
         co_typein_values_${name_method} * values;
      } co_typein_${name_method};
     
 #define __PARAM_STRUCT_CREATE_${name_method}(PARAM_STRUCT_NAME) \\
        co_typein_${name_method}  * PARAM_STRUCT_NAME  = ({ \\
        co_typein_${name_method}  * ret = ap_pcalloc(p, sizeof(co_typein_${name_method})); \\
        co_typein_control_${name_method}* control = ap_pcalloc(p, sizeof(co_typein_control_${name_method})); \\
        co_typein_values_${name_method} * values  = ap_pcalloc(p, sizeof(co_typein_values_${name_method})); \\
        ret->control = control; ret->values = values;\\
        ret;});

      #endif

      @end .. method

     // interface to methods of class $class_name
     
     @openfile coj_$name_class.c

#include "httpd.h"
#include "co_lib.h"

#include "co_$name_class.h"

void *
coj_${name_class}_new_param( co_context *ctx, const char* method_name)
{
    pool *p = ctx->request->pool;

    cou_logError( ctx, CO_LOG_DEBUG, "coj_${name_class}_new_param: called for %s", method_name);

     @foreach method

    if (strcmp(method_name, "${name_method}")==0) 
    {
        __PARAM_STRUCT_CREATE_${name_method}(ret_${name_method});
        cou_logError( ctx, CO_LOG_DEBUG, "allocating param struct for ${name_method}");
        return (void *)ret_${name_method};
    }

    @end

    return NULL;
}

int
coj_${name_class}_set_param( co_context *ctx, void *ph,
        const char* method_name, const char *param_name, void *param_value)
{
    int err=0;
    cou_logError( ctx, CO_LOG_DEBUG, "coj_${name_class}_set_param: called");

     @foreach method

    if (strcmp(method_name, "${name_method}")==0) {

	co_typein_${name_method} *p;
        p = (co_typein_${name_method}*)ph;
	@foreach param
         @perl @${type}[0]->visit ();
         @perl  $c_type = $co_type_map[0]{$name_type}->{"c_type"};  
         @perl  $pointer = $co_type_map[0]{$name_type}->{"pointer"};  

        if (strcmp(param_name, "${name_param}")==0) {
	@perl if ($pointer == 0) {
            p->values->${name_param} = *(${c_type}*)(param_value) ;
            p->control->${name_param} = 1;
	@perl } elsif ($pointer == 1) {
            p->values->${name_param} = (${c_type})(param_value) ;
            p->control->${name_param} = 1;

	@perl }
	    return err;
	}     
     
	@end /* params */
    }
      @end /* methods */

    return -1; /* param not found */
}

void *
coj_${name_class}_get_param( co_context *ctx, void *ph,
        const char* method_name, const char *param_name, co_value_type *ptr_param_type)
{
    int err=0;
    cou_logError( ctx, CO_LOG_DEBUG, "coj_${name_class}_get_param: called");

     @foreach method

    if (strcmp(method_name, "${name_method}")==0) {

	co_typein_${name_method} *p;
        p = (co_typein_${name_method}*)ph;
	@foreach param
         @perl @${type}[0]->visit ();
         @perl  $c_type = $co_type_map[0]{$name_type}->{"c_type"};  
         @perl  $js_type = $co_type_map[0]{$name_type}->{"js_type"};  
         @perl  $pointer = $co_type_map[0]{$name_type}->{"pointer"};  
         @perl  if ($js_type ne "****WRONG****") {
        if (strcmp(param_name, "${name_param}")==0) {
	    *ptr_param_type = ${name_type};
            return &(p->values->${name_param});
	}     
         @perl }
	@end /* params */
    }
      @end /* methods */
    *ptr_param_type = CO_NO_TYPE;
    return NULL; /* param not found */
}

// JavaScript interface to methods of class $class_name
     
     @openfile co_${name_class}.js
/* JavaScript wrapper for methods of class ${name_class} */

    /* METHOD: ${name_method}*/
     @foreach method
    function class_${name_class}_RAW_${name_method}(
	@perl $i=0;
	@foreach param 
         @perl @${type}[0]->visit ();
	    arg_${name_param} /* $name_type */
    	    @perl if ($i != $#${param}) {
    	    ,
	    @perl }
	    @perl $i++;
	@end .. param
	)
    {
	var method = new COMethod( this.strArea, this.strClass, '${name_method}' );

	@perl $i=0;
	@foreach param 
         @perl @${type}[0]->visit ();
         @perl  $js_type = $co_type_map[0]{$name_type}->{"js_type"};  
         @perl if($js_type eq "****WRONG****") {  
	return null;
	 @perl } else {
	if (class_${name_class}_RAW_${name_method}.arguments.length>$i) {
	   method.setParam( '${name_param}', $js_type(arg_${name_param}) );
	}
	 @perl }
	 @perl $i++;
	@end

	method.call();

	return co_getretAny();
    }

    function class_${name_class}_EXT_${name_method}( obj_arg )
    {
	var p;
	var method = new COMethod( this.strArea, this.strClass, '${name_method}' );

	for (p in obj_arg) {
	    method.setParam( p, obj_arg[p] );
	}

	method.call();

	return co_getretAny();
    }

    function class_${name_class}_${name_method}(
	@perl $i=0;
	@foreach param 
         @perl @${type}[0]->visit ();
    	   @perl if (!(${name_param} eq "par_class") && !(${name_param} eq "par_area") && !(${name_param} eq "callback")) {
    	    @perl if ($i != 0) {
    	    ,
	    @perl }
	    arg_${name_param} /* $name_type */
	    @perl $i++;
	   @perl }
	@end .. param
	)
    {
	var method = new COMethod( this.strArea, this.strClass, '${name_method}' );

	@perl $i=0;
	@foreach param 
         @perl @${type}[0]->visit ();
    	   @perl if (${name_param} eq "par_area") {
	    method.setParam( 'par_area', this.strArea );
    	   @perl } elsif (${name_param} eq "par_class") {
	    method.setParam( 'par_class', this.strClass );
    	   @perl } elsif (${name_param} eq "callback") {
	    method.setParam( 'callback', '' );
    	   @perl } else {
    	    @perl  $js_type = $co_type_map[0]{$name_type}->{"js_type"};  
	if (class_${name_class}_${name_method}.arguments.length>$i) {
         @perl if($js_type eq "****WRONG****") {  
	    return null;
	 @perl } else {
	    method.setParam( '${name_param}', $js_type(arg_${name_param}) );
	 @perl }
	}
	    @perl $i++;
    	   @perl }
	@end

	method.call();

	return co_getretAny();
    }

    @perl if (${name_method} eq 'delete') {

	class_${name_class}.prototype.EXT_del = class_${name_class}_EXT_${name_method};
	class_${name_class}.prototype.RAW_del = class_${name_class}_RAW_${name_method};
	class_${name_class}.prototype.del = class_${name_class}_${name_method};

    @perl } else {

	class_${name_class}.prototype.EXT_${name_method} = class_${name_class}_EXT_${name_method};
	class_${name_class}.prototype.RAW_${name_method} = class_${name_class}_RAW_${name_method};
	class_${name_class}.prototype.${name_method} = class_${name_class}_${name_method};

    @perl }

    @end

  @end /* class list */
  
@end .. item_list
