# Created automatically from ../../comodules/tools/Jeeves/examples/modules_doc.tpl
use Ast;
use JeevesUtil;

$tmp_file = "jeeves.tmp";

sub open_file;
if (! (defined ($ROOT) && $ROOT)) {
    die "ROOT not defined";
}

$file = "> -";
open (F, $file) || die $@;
$code = "";
$ROOT->visit();
 use co_modules_functions;
output("\n");
 $user = $ENV{"USER"};
output("\n");
# Line 5
foreach $item_list_i (@${item_list}) {
    $item_list_i->visit ();
output("\n");
 @co_type_map;
# Line 9
foreach $type_i (@${type}) {
    $type_i->visit ();
 @${c_type}[0]->visit ();
 @${pointer}[0]->visit ();
 @${is_array}[0]->visit ();
 @${sql_type}[0]->visit ();
 $co_type_map[0]{$name_type} = { "c_type" => $name_c_type, "pointer" => $name_pointer, "is_array" => $name_is_array, "sql_type"=>$name_sql_type};
#Line 15
    Ast->bye();
}
output("\n");
# Line 18
foreach $class_i (@${class}) {
    $class_i->visit ();
# Line 19
foreach $method_i (@${method}) {
    $method_i->visit ();
# Line 20
open_file("m_${name_method}.doc.html", 0, 0, 0);
output("<HEAD>\n");
output("<TITLE>\n");
output("c source : class ${name_class} : method ${name_method}\n");
output("</TITLE>\n");
output("<BODY bgcolor=#ffffc0>\n");
# Line 26
foreach $body_i (@${body}) {
    $body_i->visit ();
# Line 27
foreach $C_i (@${C}) {
    $C_i->visit ();
 $name_C =~ s/\&/&amp;/g ; 
 $name_C =~ s/\</&lt;/g ; 
 $name_C =~ s/\>/&gt;/g ; 
 $name_C =~ s/\n/<BR>\n/g ; 
 $name_C =~ s/\t/&nbsp;&nbsp;&nbsp;&nbsp;/g ; 
 $name_C =~ s/\@co_call/<FONT color=blue>\@co_call<\/FONT>/g ; 
output("\n");
output("${name_C}\n");
#Line 36
    Ast->bye();
}
#Line 37
    Ast->bye();
}
output("<HR>\n");
output("</BODY>\n");
#Line 40
    Ast->bye();
}
# Line 41
open_file("index.doc.html", 0, 0, 0);
output("<HTML>\n");
output("<HEAD>\n");
output("</HEAD>\n");
output("<BODY bgcolor=#ffffc0 link=\"blue\" vlink=\"blue\" alink=\"blue\">\n");
output("<H2><FONT color=blue>Documentation for class <FONT color=gray>${name_class}</FONT>\n");
 @${inherits[0]}->visit ();
 if($name_inherits eq "0") {
output(":</FONT></H2>\n");
 }else{
output("(inherits from <A href=\'../${name_inherits}/index.doc.html\'>${name_inherits}</A>):</FONT></H2>\n");
 }
# Line 53
foreach $area_i (@${area}) {
    $area_i->visit ();
#Line 54
    Ast->bye();
}
output("<HR><B>Properties:</B>\n");
output("<P>\n");
output("<TABLE BORDER=1 bgcolor=#ffffe0>\n");
output("<TR align=center bgcolor=khaki>\n");
output("<TD>name</TD>\n");
output("<TD>type</TD>\n");
output("<TD>default</TD>\n");
output("<TD>params</TD>\n");
output("<TD>representant</TD>\n");
output("<TD>foreign</TD>\n");
output("<TD>foreign_prop</TD>\n");
output("<TD>position</TD>\n");
output("</TR>\n");
# Line 68
foreach $prop_i (@${prop}) {
    $prop_i->visit ();
output("<TR align=center>\n");
output("<TD bgcolor=orange>${name_prop}</TD>\n");
# Line 71
foreach $type_i (@${type}) {
    $type_i->visit ();
output("<TD>${name_type}</TD>\n");
#Line 73
    Ast->bye();
}
# Line 74
foreach $default_i (@${default}) {
    $default_i->visit ();
output("<TD>${name_default}</TD>\n");
#Line 76
    Ast->bye();
}
# Line 77
foreach $params_i (@${params}) {
    $params_i->visit ();
output("<TD>${name_params}</TD>\n");
#Line 79
    Ast->bye();
}
# Line 80
foreach $representant_i (@${representant}) {
    $representant_i->visit ();
output("<TD>${name_representant}</TD>\n");
#Line 82
    Ast->bye();
}
# Line 83
foreach $foreign_i (@${foreign}) {
    $foreign_i->visit ();
output("<TD>${name_foreign}</TD>\n");
#Line 85
    Ast->bye();
}
# Line 86
foreach $foreign_prop_i (@${foreign_prop}) {
    $foreign_prop_i->visit ();
output("<TD>${name_foreign_prop}</TD>\n");
#Line 88
    Ast->bye();
}
# Line 89
foreach $position_i (@${position}) {
    $position_i->visit ();
output("<TD>${name_position}</TD>\n");
#Line 91
    Ast->bye();
}
output("</TR>\n");
#Line 93
    Ast->bye();
}
output("</TABLE>\n");
output("</P>\n");
output("<B>Methods:</B><BR>\n");
output("<P><UL>\n");
# Line 98
foreach $method_i (@${method}) {
    $method_i->visit ();
output("<LI><A HREF=\"#m_${name_method}\">${name_method}</A>\n");
#Line 100
    Ast->bye();
}
output("</UL></P>\n");
# Line 102
foreach $method_i (@${method}) {
    $method_i->visit ();
output("<HR>\n");
output("<A name=\"m_${name_method}\">\n");
output("<P>method <A href=\"m_${name_method}.doc.html\"><FONT color=green>${name_method}</FONT></A><BR>\n");
# Line 106
foreach $doc_i (@${doc}) {
    $doc_i->visit ();
output("description: <I>${name_doc}</I><BR>\n");
 undef($doc_i);
#Line 109
    Ast->bye();
}
 undef(@${doc});
output("parameters:<BR>\n");
# Line 112
foreach $param_i (@${param}) {
    $param_i->visit ();
output("<P><FONT color=citron>${name_param}</FONT><BR>\n");
# Line 114
foreach $doc_i (@${doc}) {
    $doc_i->visit ();
output("description: <I>${name_doc}</I><BR>\n");
 undef($doc_i);
#Line 117
    Ast->bye();
}
 undef(@${doc});
# Line 119
foreach $type_i (@${type}) {
    $type_i->visit ();
output("type <FONT color=blue>${name_type}</FONT><BR>\n");
#Line 121
    Ast->bye();
}
output("</P>\n");
#Line 123
    Ast->bye();
}
output("</P>\n");
#Line 125
    Ast->bye();
}
output("</BODY>\n");
output("</HTML>\n");
#Line 128
    Ast->bye();
}
output("\n");
#Line 130
    Ast->bye();
}
Ast->bye();
close(F);
unlink ($tmp_file);

sub open_file {
    my ($a_file, $a_nooverwrite, $a_only_if_different, $a_append) = @_;

    #First deal with the file previously opened
    close (F);
    if ($only_if_different) {
        if (JeevesUtil::compare ($orig_file, $curr_file) != 0) {
            rename ($curr_file, $orig_file) || 
            die "Error renaming $curr_file  to $orig_file";
        }
    }

    #Now for the new file ...
    $curr_file = $orig_file = $a_file;
    $only_if_different = ($a_only_if_different && (-f $curr_file)) ? 1 : 0;
    $no_overwrite = ($a_nooverwrite && (-f $curr_file))  ? 1 : 0;
    $mode =  ($a_append) ? ">>" : ">";

    if ($only_if_different) {
        unlink ($tmp_file);
        $curr_file = $tmp_file;
    }

    if (! $no_overwrite) {
        open (F, "$mode $curr_file") || die "could not open $curr_file";
    }
}

sub output {
    print F @_ if (! $no_overwrite) 
}
1;
