/*
 * changes to support Mozilla:
 * update: coffice, comodules/catalog
 * 1. function goto( -> delete
 * 2. document.body.all -> document.getElementById
 * 3. insertRow(), insertCell() -> add param
 * 4. ITEM_FUNCTIONS etc. -> define as variables
 * 5. td.children -> td.firstChild
 * 6. spacja.cloneNode() -> spacja.cloneNode(false)
 * 7. innerHTML
 */

//clears tag
function clear(div)
{
   while(div.hasChildNodes())
  {
       var child = div.firstChild;
        div.removeChild(child);
   };
};
		    
function objToString(o)
{
  var ret = new String();
  for(var f in o)
 {
   if(typeof(o[f]) == "object")
   {
     ret+= f.toString() + "->" + objToString(o[f]);
   }
   else
   {
      ret += f.toString()+":"+o[f]+";";
   };
 };
 return ret;
};
		  
//-----------------END OF LIBRARY  

var application_id = 1;
var id_root= par_id;
var image_path = "/co/images/";

var top_window, left_window, right_window, resize, debug;
var STYLE = " style='cursor:hand; font-weight:; font-size:x-small;face:arial' ";
var STYLE2 = " style='cursor:hand; font-weight:; font-size:x-small;color:black' ";
var window_id = 1;

var active_catalog = 0;
var active_path = new String();
var active_item_path = new String();
var active_parents = new String();
var active_item = 0;
var active_item_version =0;
var active_catalog_actions = new Array();
var active_catalog_items;
var right_window_sort_column = "name";
var right_window_sort_column_id = 1;

var active_color_background = "CCCC99";																													// tlo podswietlenia w lewym oknie nawigacji
var active_color_font = "black";																														  // kolor zaznaczenia pliku w prawej ramce

//var inactive_color_background = "002F55";  // tlo do menu z nawigacja 
var inactive_color_background = "999966";      																									
var inactive_color_font = "black";

var dragapproved=false;		//dragging started
var resizeapproved = false;	//resizing started
var resize;			//image to act as handler in window resizing
var z, drager;			// z holds data in drag & drop, d is object to drag
var debug;			//used for debbuging

///////////////////////////////////////////////////////////////////
// this is drag&drop implementation

function move()
{
/*
	if (event.button==1&&dragapproved)
	{
		drager.style.pixelLeft=event.x;
		drager.style.pixelTop=event.y;
		drager.style.visibility="visible";
		
		//debugAlert(d.style.pixelTop);
		 
		var evid = event.srcElement.id.substring(0,2);
		if (evid!="SC")
		{
			drager.style.color="red";
		}
		else
		{
			drager.style.color="black";
		};
		return false;
	};
*/
}

function drag()
{
/*
	// IE only:
    var evid = event.srcElement.id.substring(0,2);
	// mozilla???

	if (evid=="SC" || evid=="SI")
	{
	
		dragapproved=true;
		z=event.srcElement;
		drager.style.pixelLeft=event.x;
		drager.style.pixelTop=event.y;
		drager.innerHTML=z.innerHTML;
		document.onmousemove=move;
	}
*/	
}

function drop()
{
/*
    if(dragapproved)
    {
		dragapproved=false;
		drager.style.visibility="hidden";
		//debugAlert(event.srcElement.outerHTML);
		var evid = event.srcElement.id.substring(0,2);
		if (evid=="SC")
		{
		   var ids= z.id.slice(2);
		   var idt= event.srcElement.id.slice(2);
		   if(ids != idt) catalog_moveItemByID(ids,idt);
		};
	}

*/
};

document.onmousedown=drag;
document.onmouseup=drop;


///////////////////////////////////////////////////////////////////
// Required functions

function co_refresh(o)
{
}

function co_insert(o)
{
}

function co_undelete(o)
{
}

function co_delete(o)
{
}

///////////////////////////////////////////////////////////////////
// library of functions used by server

// these are widths for columns in left window, there are the same like for the header id = IDX*
// look for HTML at the end of this file
var arr_rightListWidth = new Array(5,200,10,200,10);


// hepler function to create cells
function h_create_cell(tr, index)
{
  var td = tr.insertCell(index);
  td.className = "rightList";
 
  // last cell has no width specified
  if(index<5)
  {
      td.width = arr_rightListWidth[index];
  }

//  var idx = "COLX" + index; 
//  td.width = document.body.all[idx].offsetWidth;

  return td;
}; 

function catalog_showItems(cat_items)
{
   active_catalog_items = cat_items;
   var props = cat_items.d;
    
   var tab = document.createElement("TABLE");
// IE:
   tab.className = "leftSide";
//?? jak w mozilli?   tab["class"] = "leftSide";
   tab.border = 0;
   tab.cellSpacing = 0;

   var spacja = document.createTextNode(" ");
   // we assume that id is given
   for(i=0; i< props["id"].length; i++)
   {
        var tr = tab.insertRow(2*i); // we have one row plus with description
        tr.className = "itemLine";
        tr.id = "RIGHT"+props["id"][i];
        tr.priv_obj_id = props["id"][i];
        tr.priv_version = props["version"][i];
        tr.onclick= function() {catalog_selectRight(this.priv_obj_id);}; 

        // cell to keep margin 
        var td = h_create_cell(tr,0);
        td.appendChild(spacja.cloneNode(false));

        //cell with icon 
        td = h_create_cell(tr,1);
		td.align="center";
        var img = document.createElement("IMG");
		img.className = "imageLeftList";
        img.src =  image_path + "other/" + props["type_class_name"][i] + ".gif";
        img.alt =               props["type_class_name"][i];
        td.appendChild(img);

        // margin
        td = h_create_cell(tr,2);
        td.appendChild(spacja.cloneNode(false));

        // cell with name  
        td = h_create_cell(tr,3);
        td.id = "TDR" +props["id"][i];
        var id="SI"+props["id"][i];
	if(props["type_container"][i]==1) id="SC"+props["id"][i];
        var span = document.createElement("SPAN");
        span.id = id;
        var text = document.createTextNode( props["name"][i] );
        span.appendChild(text);
        td.appendChild(span); 
        
        // margin
        td = h_create_cell(tr,4);
        td.appendChild(spacja.cloneNode(false));

        // cell with description 
        td = h_create_cell(tr,5);
        var span = document.createElement("SPAN");
        var text = document.createTextNode(props["creator"][i]);
        span.appendChild(text);
        td.appendChild(span); 

        // row with description 
        tr = tab.insertRow(2*i+1);
        // we create 4 empty rows and one for description
        for(var j=0; j<4; j++)
        {
           td = h_create_cell(tr,j);
           td.appendChild(spacja.cloneNode(false));
        };
        text = document.createTextNode( props["description"][i] );
        td.colSpan = 3;
        td.appendChild(text);
   };
   var r_window = document.getElementById("RIGHT_WINDOW");
   clear(r_window);
   r_window.appendChild(tab);
};

function catalog_showCatPath(path)
{
    var ot = document.createTextNode("   " + path);
    var cat_p = document.getElementById("CAT_PATH");
    clear(cat_p);
    cat_p.appendChild(ot);
    active_path = path;
};

function catalog_showItemPath(path)
{
   // ITEM_PATH.innerText = "  " + path;
   // alert("ustawiam item_path na:" + path);
    active_item_path = path;
};

function catalog_showDelete(side, item_id, nic)
{
        //alert("jestem w showDelete");

	if(side == "right")
	{
		catalog_changeActive(active_catalog, active_catalog_parent, 1);
		var tb_id = "TAB" + item_id;
		if (document.getElementById(tb_id) != null)
		{
			var tbd = document.getElementById(tb_id);
			tbd.outerHTML=" ";
		};
	};
};

function catalog_showAdd(side)
{
	if(side == "right")
	{
		catalog_changeActive(active_catalog, active_catalog_parent, 1);
	}
	
};

function catalog_setMenuId(o)
{
  debugAlert(objToString(o));
  cat_menu_id=o.d.id[0];

  //moved here to synchronize
  catalog_getRoot(); 
};
  
function catalog_showCatalogFunctions(o)
{
   var cat_f = document.getElementById("CAT_FUNCTIONS");
   clear(cat_f);

   var fun_arr = o.d

    for(var i=0; i<fun_arr["id"].length; i++)
    {
      var sp = document.createElement("SPAN");
      var img = document.createElement("IMG");
  	  img.className = "imageCatalogFunction";
      img.priv_name = fun_arr["name"][i];
      img.onmouseover= function() { this.src= image_path +  "buttons_on/"+this.priv_name +".gif"; };
      img.onmouseout = function() { this.src= image_path + "buttons_off/"+this.priv_name +".gif"; };
      img.src= image_path + "buttons_off/"+fun_arr["name"][i] +".gif"; 
      sp.priv_id = fun_arr["id_menu_action"][i];
      sp.onclick = function() { catalog_menuAction(this.priv_id,'catalog');};
      sp.appendChild(img);
      cat_f.appendChild(sp);      
    };
};

function catalog_showItemFunctions(o)
{
   var item_f = document.getElementById("ITEM_FUNCTIONS");
   clear(item_f);

   var fun_arr = o.d

    for(var i=0; i<fun_arr["id"].length; i++)
    {
      var sp = document.createElement("SPAN");
      var img = document.createElement("IMG");
	  img.className = "imageItemFunction";
      img.priv_name = fun_arr["name"][i];
      img.onmouseover= function() { this.src= image_path +  "buttons_on/"+this.priv_name +".gif"; };
      img.onmouseout = function() { this.src= image_path + "buttons_off/"+this.priv_name +".gif"; };
      img.src= image_path + "buttons_off/"+fun_arr["name"][i] +".gif"; 
      sp.priv_id = fun_arr["id_menu_action"][i];
      sp.onclick = function() { catalog_menuAction(this.priv_id,'item');};
      sp.appendChild(img);
      item_f.appendChild(sp);      
    };
}

function catalog_setRoot(root_arr)
{
   debugAlert("jestes w catalog_setRoot :" + objToString(root_arr));
   id_root = root_arr.d["id_root"][0];
   root_name = root_arr.d["root_name"][0];
   add_cat_item(root_name, id_root, 0)
   catalog_changeActive(id_root, 0, 0);
};

function catalog_setRootFromData(o)
{
	if(o.d["id"].length==0)
	{
		alert("Nie ma takiego obiektu!");
	}
   id_root = o.d["id"][0];
   root_name = o.d["name"][0];
   add_cat_item(root_name, id_root, 0)
   catalog_changeActive(id_root, 0, 0);
};


function catalog_showUnfold(cat_parent_id, cat_id, cat_items)
{
	
	//debugAlert(cat_id);
	
	var idt = "TAB" + cat_id;
	var tab = document.getElementById(idt);
	
	var idm = "IMG" + cat_id;
	var img = document.getElementById(idm);
	
	var new_row = tab.insertRow(tab.rows.length);
	var new_cell1 = new_row.insertCell(0);
	var new_cell2 = new_row.insertCell(1);

	// tabela z nawigacja (lewa) 
//ie	new_cell2.innerHTML = "<TABLE cellspacing=0 cellpadding=0 border=0 BGCOLOR="+inactive_color_background+" BORDER=0 ID=TABD" + cat_id + " ></TABLE>";
	var new_table = document.createElement("TABLE");
	new_table.id = "TABD" + cat_id;
	new_table.style.cellSpacing=0 ;
	new_table.style.cellPadding=0 ;
	new_table.style.border=0 ;
	new_cell2.appendChild(new_table);
	new_table.style.backgroundColor=inactive_color_background;

//ie	img.outerHTML="<img ID=IMG" + cat_id + " src='/co/images/other/minus.gif' onclick='catalog_fold(" + cat_parent_id + "," + cat_id + ");' style='cursor:hand'>";
	
img.src = "/co/images/other/minus.gif";
	img.cat_parent_id = cat_parent_id;
	img.cat_id = cat_id;
	img.onclick = function () { catalog_fold( this.cat_parent_id, this.cat_id ); };

	var props = cat_items.d;
	for(var i=0; i<props["id"].length; i++)
	{
	  if (props["type_container"][i] == 1)
	  {
             add_cat_item(props["name"][i], props["id"][i], cat_id);
	  };
       };
}

function catalog_fold(cat_parent_id, cat_id)
{
	var idt = "TAB" + cat_id;
	var tab = document.getElementById(idt);
	
	var idm = "IMG" + cat_id;
	var img = document.getElementById(idm);
	
//ie	var str = "<img ID=IMG" + cat_id + " src='/co/images/other/plus.gif' onclick='catalog_unfold(" + cat_parent_id + "," + cat_id + ");' style='cursor:hand'>";
//ie	img.outerHTML=str;
	
img.src = "/co/images/other/plus.gif";
	img.cat_parent_id = cat_parent_id;
	img.cat_id = cat_id;
	img.onclick = function () { catalog_unfold( this.cat_parent_id, this.cat_id ); };
	
//ie
	tab.deleteRow(1);
// mozilla ???
/*
	var tmp = 
tab.lastChild.lastChild;
	alert(tmp.tagName);
	tab.lastChild.deleteRow(1);
*/
	if(active_parents.indexOf("["+cat_id+"]") >= 0 )
	{
		catalog_changeActive(cat_id, cat_parent_id, 0);
	};
}

function catalog_setParents(parents)
{
	active_parents = parents;
};

function new_window(param)
{
	hr = location.href;
	var li = hr.lastIndexOf("/");
	var url= hr.slice(0, li);
	url+= "/" + param + urlEncode("active",active_catalog) +  urlEncode ("active_path", active_path);
	url += urlEncode("side","left");
	window.open(url, session_id + "WW" + window_id, "toolbar=0,menubar=0,resizable=1,scrollbars=1");
	window_id ++;
}

function new_window2(param)
{
	hr = location.href;
	var li = hr.lastIndexOf("/");
	var url= hr.slice(0, li);
	url+= "/" + param + urlEncode("catalog",active_catalog) + urlEncode("active",active_item) +  urlEncode ("active_path", active_item_path);
	url += urlEncode("side","right");
	window.open(url, session_id + "WW" +window_id, "toolbar=0,menubar=0,resizable=1,scrollbars=1");
	window_id++;
}

/*
function open_url(url)
{
	window.open(url);
};
*/

/////////////////////////////////////////////////////////////////////
// events methods

function catalog_getItems(cat_id)
{
    var param = par_class+"?unfoldCatalog&";
    param += urlEncode("par_class", par_class);
    param += urlEncode("par_id", cat_id);
    param += urlEncode("filter_type", 0);
//    param += urlEncode("sort_prop", "");
//  param += urlEncode("sort_column", right_window_sort_column);
    param += urlEncode("callback", "catalog_showItems(");
    debugAlert(param);
    PutRequest(param);
    
};

function catalog_getParents(cat_id)
{
        var param = par_class+"?getParents&";
        param += urlEncode("par_area", par_area);
        param += urlEncode("par_class", par_class);
        param += urlEncode("par_id", cat_id);
        param += urlEncode("id_root", id_root);
	param += urlEncode("callback", "catalog_setParents(" );
	debugAlert(param);
	PutRequest(param);
};

function catalog_unfold(cat_parent_id, cat_id)
{
	//debugAlert(cat_id);
	//this is to block this function in time of execution
	var idm = "IMG" + cat_id;
	var img = document.getElementById(idm);
	img.onclick = null;

    var param = par_class+"?unfoldCatalog&";
    param += urlEncode("par_class", par_class);
    param += urlEncode("par_id", cat_id);
    param += urlEncode("filter_type", 1);
    param += urlEncode("sort_prop", "name");
//    param += urlEncode("related_class", par_class);
//  param += urlEncode("sort_column", right_window_sort_column);
    param += urlEncode("callback", "catalog_showUnfold("+ cat_parent_id + "," + cat_id + ",");
    debugAlert(param);
    PutRequest(param);
};

function catalog_changeActive(cat_id, cat_parent_id, uncheck)
{

	if((active_catalog !=0) && (cat_id != active_catalog) && uncheck)
	{
		id="TAB" + active_catalog;
		td = document.getElementById(id);
//ie		td.children(0).children(0).style.background = inactive_color_background;
//ie		td.children(0).children(0).style.color = inactive_color_font;
		td.firstChild.firstChild.style.backgroundColor = inactive_color_background;
		td.firstChild.firstChild.style.color = inactive_color_font;
	}

	active_catalog = cat_id;
	active_catalog_parent = cat_parent_id;
	
	active_item = 0;
	//ITEM_PATH.innerHTML=" ";
	ITEM_FUNCTIONS.innerHTML=" ";
	
	var id="TAB" + cat_id;
	td = document.getElementById(id);
	td.firstChild.firstChild.style.backgroundColor = active_color_background;
	td.firstChild.firstChild.style.color = active_color_font;
	
	catalog_getItems(cat_id);
	catalog_getParents(cat_id);
	catalog_setFunctions(cat_id);
	catalog_setPath(cat_id);

};

function catalog_setPath(cat_id)
{
        var param = par_class+"?getFullPath&";
        param += urlEncode("par_area", par_area);
        param += urlEncode("par_class", par_class);
        param += urlEncode("par_id", cat_id);
        param += urlEncode("id_root", id_root);
	param += urlEncode("callback", "catalog_showCatPath(");
	debugAlert(param);
	PutRequest(param);
};

function catalog_setItemPath(item_id)
{
        var param = par_class+"?getFullPath&";
        param += urlEncode("par_area", par_area);
        param += urlEncode("par_class", par_class);
        param += urlEncode("par_id", item_id);
        param += urlEncode("id_root", id_root);
	param += urlEncode("callback", "catalog_showItemPath(");
	debugAlert(param);
	PutRequest(param);
};

function catalog_setFunctions(cat_id)
{
        var param = "menu?getByNameAllowed&";
        param += urlEncode("par_area", par_area);
        param += urlEncode("par_class", "menu");
        param += urlEncode("par_id", -1);
	param += urlEncode("menu_name","l_catalog_"+par_class);
	param += urlEncode("for_area",par_area);
	param += urlEncode("for_class",par_class);
	param += urlEncode("for_id",cat_id);
	param += urlEncode("callback", "catalog_showCatalogFunctions(" );
	debugAlert(param);
	PutRequest(param);
};

function catalog_menuAction(id_menu_action,type)
{
        debugAlert(id_menu_action);
        var param = "menu_action?run&";
        param += urlEncode("par_area", par_area);
        param += urlEncode("par_class", "menu_action");
        param += urlEncode("par_id", id_menu_action);
	param += urlEncode("active_class",par_class);
	param += urlEncode("active_catalog", active_catalog);


    if(type=="catalog")
    {
//        alert("catalog");
	param += urlEncode("active_item", active_catalog);
	param += urlEncode("active_path", active_path);
	//param += urlEncode("version", active_catalog_version);
    }
    else
    {
//        alert("item   " + active_item_path);
 	param += urlEncode("active_item", active_item);
	param += urlEncode("active_path", active_item_path);
	param += urlEncode("version", active_item_version);
    }

//	param += urlEncode("callback", "catalog_showCatalogFunctions(" );
	debugAlert(param);
	PutRequest(param);
};


function catalog_setItemFunctions(item_id)
{
        var param = "menu?getByNameAllowed&";
        param += urlEncode("par_area", par_area);
        param += urlEncode("par_class", "menu");
        param += urlEncode("par_id", -1);
	param += urlEncode("menu_name","r_catalog_"+par_class);
	param += urlEncode("for_area",par_area);
	param += urlEncode("for_class",par_class);
	param += urlEncode("for_id",item_id);
	param += urlEncode("callback", "catalog_showItemFunctions(" );
	debugAlert(param);
	PutRequest(param);
};

function catalog_selectRight(item_id)
{
        var tr_id="RIGHT" + item_id;
	var tr = document.getElementById(tr_id);
        tr.className = "itemLineActive";
        active_item_version = tr.priv_version;
	if((active_item !=0) && (item_id !=active_item))
	{
		tr_id="RIGHT" + active_item;
		tr = document.getElementById(tr_id);
                tr.className = "itemLine";
	};
	active_item = item_id;
        catalog_setItemFunctions(item_id);
	catalog_setItemPath(item_id);
};

function catalog_cut()
{
	var param = urlEncode("action_name", "cut");
	param += urlEncode("component_name", "catalog");
	param += urlEncode("item_id", active_item);
	param += urlEncode("callback", "catalog_showDelete('right'," + active_item + "," );
	PutRequest(param);
//	active_item=0;
};

function catalog_cut2(item_id)
{
	var param = urlEncode("action_name", "cut");
	param += urlEncode("component_name", "catalog");
	param += urlEncode("item_id", item_id);
	param += urlEncode("callback", "catalog_showDelete('right'," + active_item + "," );
	PutRequest(param);
//	active_item=0;
};

function catalog_paste()
{
	var param = urlEncode("action_name", "paste");
	param += urlEncode("component_name", "catalog");
	param += urlEncode("item_id", active_catalog);
	param += urlEncode("callback", "catalog_showAdd('right' , " );
//	PutRequest(param);
};

function catalog_paste2(catalog_id)
{
	var param = urlEncode("action_name", "paste");
	param += urlEncode("component_name", "catalog");
	param += urlEncode("item_id", catalog_id);
	param += urlEncode("callback", "catalog_showAdd('right' , " );
//	PutRequest(param);
};

function catalog_moveItemByID(item, catalog)
{
	catalog_cut2(item);
	catalog_paste2(catalog);
};

function catalog_getRoot()
{
    if(id_root==0)
    {
	var param = "catalog_root?getIdRoot&";
	param += urlEncode("class_name", par_class);
	param += urlEncode("par_id", -1);
	param += urlEncode("callback", "catalog_setRoot(");
	debugAlert(param);
	PutRequest(param);
    }
    else
    {
	var param = par_class+"?getItemData&";
	param += urlEncode("class_name", par_class);
	param += urlEncode("par_id", id_root);
	param += urlEncode("callback", "catalog_setRootFromData(");
	debugAlert(param);
	PutRequest(param);
   };
};

function catalog_getMenuId()
{
        var param = "menu?getByProp&";
        param += urlEncode("par_area", par_area);
        param += urlEncode("par_class", "menu");
        param += urlEncode("par_id", -1);
	param += urlEncode("prop_name", "name");
	param += urlEncode("prop_val", "l_catalog_"+par_class);
	param += urlEncode("callback", "catalog_setMenuId(" );
	debugAlert(param);
	PutRequest(param);

};

function catalog_setSortColumn(sort_col)
{
    var oldItemId = "RIGHTSORT"+right_window_sort_column;
    right_window_sort_column = sort_col;
    var newItemId = "RIGHTSORT"+right_window_sort_column;
    
    document.getElementById(oldItemId).style.fontStyle = "normal";
    document.getElementById(newItemId).style.fontStyle = "italic";
    
	var param = urlEncode("action_name", "open")
	param += urlEncode("component_name", "catalog");
	param += urlEncode("item_id", active_catalog);
	param += urlEncode("sort_column", right_window_sort_column);
	param += urlEncode("callback", "catalog_showItems(");
	debugAlert(param);
//	PutRequest(param);
};

/*
function goto(name, component_name, callback)
{
	var param = urlEncode("action_name", name )
	param += urlEncode("component_name", component_name);
	param += urlEncode("item_id", active_catalog);
	param += urlEncode("callback", callback);
	debugAlert(param);
//	PutRequest(param);
};

*/

function init()
{
	top_window = document.getElementById("TOP_WINDOW");
	left_window = document.getElementById("LEFT_WINDOW");
	right_window = document.getElementById("RIGHT_WINDOW");
	resize = document.getElementById("RESIZE");
	debug = document.getElementById("DEBUG");
	drager = document.getElementById("DRAG");

// for Mozilla only
	if (is_nav5up) {
		
ITEM_FUNCTIONS = document.getElementById("ITEM_FUNCTIONS");
	}
	//setInterval("window.location.reload()",10000)
	catalog_getMenuId(); // calls: catalog_getRoot();
	
};

window.onload = init;

///////////////////////////////////////////////////////////////
// helper functions

//adds one item -- catalog to left window 
function add_cat_item(cat_name, cat_id, cat_parent_id)
{
	id = "TABD" + cat_parent_id;
	var tab=document.getElementById(id);
	
	var new_row = tab.insertRow(tab.rows.length);
	var new_cell = new_row.insertCell(0);
	
        var new_tab = document.createElement("TABLE");
        new_tab.id = "TAB"+cat_id;
        //new_tab.priv_d = props;

        var snew_row = new_tab.insertRow(0);
        var snew_cell = snew_row.insertCell(0);

        var img = document.createElement("IMG");
        img.id = "IMG"+cat_id;
        img.src = '/co/images/other/plus.gif';
        img.priv_cat_parent_id = cat_parent_id;
        img.priv_cat_id = cat_id;
        img.onclick = function() {catalog_unfold(this.priv_cat_parent_id,this.priv_cat_id);};
        snew_cell.appendChild(img);

        snew_cell = snew_row.insertCell(1);
        snew_cell.priv_cat_parent_id = cat_parent_id;
        snew_cell.priv_cat_id = cat_id;
        snew_cell.onclick = function() {catalog_changeActive(this.priv_cat_id,this.priv_cat_parent_id,1);};
        var span = document.createElement("SPAN");
        var text = document.createTextNode(cat_name);
        span.appendChild(text);
        snew_cell.appendChild(span);
 
        new_cell.appendChild(new_tab); 
};

