// this is object representing one record
// that is shown on this page
// type = short or full
var deletedRecord = 0; //dla rekordow usunietych
function objectRecord(number, par_class, par_id, root_div, type)
{
   //properties
   this.number = number;
   this.par_class = par_class;
   this.par_id = par_id;
   this.type = type;
   this.schema = new Object();

   //methods
   this.getNamespace = objectRecord_getNamespace;
   this.createField = createField;
   this.buildForm = buildForm;
   this.buildRowForm =  buildRowForm;
   this.setSchema = setSchema;
   this.showFieldValue = showFieldValue;
   this.showRecordData = showRecordData;
   this.setRelatedTables = setRelatedTables;
   this.setRecordData = setRecordData;
   this.setRecordDataAndShowForm = setRecordDataAndShowForm;
   this.showUpdatedField = showUpdatedField;
   this.getParamsForMenu = getParamsForMenu;

//   this.showUpdatedFields = showUpdatedFields;

   this.root_div = root_div;

   if(type == "full")
   {
       this.rec_div = document.createElement("DIV");
       this.rec_div.id = "REC_" + this.getNamespace();
       this.root_div.appendChild(this.rec_div);
       this.rec_div.className = "Record";
       this.data_div = document.createElement("DIV");
       this.data_div.id = "DATA_" + this.getNamespace();
       this.rec_div.appendChild(this.data_div);
       this.data_div.className = "Data";
       this.sub_data_div = document.createElement("DIV");
       this.sub_data_div.id = "SUB_DATA_" + this.getNamespace();
       this.rec_div.appendChild(this.sub_data_div);
       this.sub_data_div.className = "SubData";
   };
}

function objectRecord_getNamespace()
{
  return this.number;
};

function getParamsForMenu()
{
  var ret  = urlEncode("active_area",  par_area);
      ret += urlEncode("active_class", this.par_class);
      ret += urlEncode("active_item", this.par_id);
      ret += urlEncode("deep_level", deep_level);
      ret += urlEncode("version", this.record_data["version"][0]);

	ret += urlEncode("context1", context1);
	ret += urlEncode("context2", context2);
	ret += urlEncode("context3", context3);

  return ret;
};

var arrayObjectRecord= new Array();
var oVersions = new Object();
var id_window=0;
var no_navig_column = 1;
var image_path = "/co/images/";

// in this array we keep values for active record
var active_record = new Array();


// constructor for schema object
// takes as parameter raw schema (table) from database

function Schema(schema, par_class)
{
  this.vaColumnNames = schema.d.prop_name;
  this.vaColumnTables = schema.d.class_name;
  this.vaClassLabels = schema.d.class_label;
  this.vaDisplayColumnNames = new Array();
  this.vaColumnLabels = schema.d.label;
  this.vaColumnParameters = schema.d.prop_params;
  this.vaRepresentant = schema.d.prop_representant;
  this.d = schema.d;
 
 // we need this property ALWAYS!
  this.name_prop = this.vaColumnNames[0];
   
  for(var i=0; i<schema.d.id.length; i++)
  {
    if ((typeof(this.vaColumnLabels)=="undefined") || (this.vaColumnLabels[i]=="" ))
    {
	this.vaDisplayColumnNames[i] = this.vaColumnNames[i];
    }
    else 
    {
	this.vaDisplayColumnNames[i] = this.vaColumnLabels[i];
    }
    /*
    this.vaColumnParameters[i] = String(this.vaColumnParameters[i]).split(";");
    for(var j=0; j<this.vaColumnParameters[i].length; j++)
    {
      var par = this.vaColumnParameters[i][j].split("=");
      this.vaColumnParameters[i][par[0]] = par[1];
    };
    */
    // foreign fields are always READONLY
   // if( this.vaColumnTables[i].toString().toLowerCase()!=par_class.toString().toLowerCase())
    if( (schema.d.get_prop_name[i].toString()).indexOf(">") >0 )
    {
      // this.vaColumnParameters[i]["FOREIGN"] = "id_" + this.vaColumnTables[i].toString();
      this.vaColumnParameters[i] = "FOREIGN='id_" + this.vaColumnTables[i].toString() +"';"
	    + this.vaColumnParameters[i];
/*
		if ((this.vaClassLabels[i]==null)||(this.vaClassLabels[i]=="")) 
		{
			this.vaDisplayColumnNames[i] = this.vaColumnTables[i]+"."+this.vaDisplayColumnNames[i];
		}
		else
		{
			this.vaDisplayColumnNames[i] = this.vaClassLabels[i]+":"+this.vaDisplayColumnNames[i];
		}
*/
//       this.vaColumnNames[i] = this.vaColumnTables[i]+"_"+this.vaColumnNames[i];
       this.vaColumnNames[i] = schema.d.get_prop_name[i];
    };
    /* use full path to the filed */
//    this.vaColumnNames = schema.d.get_prop_name;

    // for fields that are foreign keys we create links
    /*
    if(schema.d.prop_foreign[i]!="")
    {
       this.vaDisplayColumnNames[i] += "";
    };
    */
    if(this.vaRepresentant[i]==100  
       && this.vaColumnTables[i].toString().toLowerCase()==par_class.toString().toLowerCase()
      ) 
    {
      this.name_prop = this.vaColumnNames[i];
    };
  };
};

function createParams(o, init_string, d)
{
  o["READONLY"]=null;
  o["HIDDEN"]=null;
  o["COLSPAN"]=null;
  o["CHECKBOX"]=null;
  o["SAMELINE"]=null;
  o["FOREIGN"]=null;
  o["VALUES"]=null;
  o["VALUES_LABELS"]=null;
  o["MULTIPLE"]=null;
  o["DYNAMIC_VALUES"]=null;
  o["ROWS"]=null;
  o["COLS"]=null;
  o["SIZE"]=null;
  o["REFRESH_SCHEMA"]=null;
  o["REFRESH_DATA"]=null;
  o["IFRAME"]=null;
  o["NAME_ABOVE"]=null;
  o["NAME_HIDDEN"]=null;
  o["GROUP_NAME"]=null;
  o["CLIENT_CONSTRAIN"]=null;
  o["EXTRA_FILTER"]=null;
  o["DEEP_LEVEL"]=null;
  o["READONLY_ALL"]=null;  
  o["READALWAYS"]=null;
//  o["FASTFIND_PROPS"]=null;

	with(o)
	{
    //alert(init_string);
		try
		{
			eval(init_string);
		}catch(e){alert(init_string +"aa\n"+e.description)};
	}
}
// creates input element in form for given field
function createField(index, value, forRowForm, f_params)
{
	
	if(createField.arguments.length<3) forRowForm =0;
	
	if(f_params["DYNAMIC_VALUES"]!=null)
	{
		//defined in common.js
		var ret = htmlSelect_createFromArrays(new Array(), new Array(), 0);
		ret.id="P_" + this.getNamespace()+ "_" + this.schema.vaColumnNames[index];
		var dyn = f_params["DYNAMIC_VALUES"];
		ret.priv_get_class_names    = dyn.get_class_names;
		ret.priv_get_prop_names     = dyn.get_prop_names;
		ret.priv_filter_class_names = dyn.filter_class_names;
		ret.priv_filter_prop_names  = dyn.filter_prop_names;
		ret.priv_filter_operators   = dyn.filter_operators;
		ret.priv_filter_values      = dyn.filter_values;

		setSelectValues(ret.id, value);
	}
	if((f_params["VALUES"]!=null)&&(f_params["READONLY"] == null)&&(f_params["HIDDEN"] == null))
	{
		//defined in common.js
		if(f_params["MULTIPLE"]!=null)
		{
		    if(f_params["VALUES_LABELS"]!=null)
		    {
			var ret = htmlSelect_createFromArraysMultiple(f_params.VALUES_LABELS, f_params.VALUES, '""');
		    }
		    else
		    {
			var ret = htmlSelect_createFromArraysMultiple(f_params.VALUES, f_params.VALUES, '""');
		    }
		}
		else
		{
		    if(f_params["VALUES_LABELS"]!=null)
		    {
			var ret = htmlSelect_createFromArrays(f_params.VALUES_LABELS, f_params.VALUES, value);
		    }
		    else
		    {
			var ret = htmlSelect_createFromArrays(f_params.VALUES, f_params.VALUES, value);
		    }
		}
	}
	else if(f_params["ROWS"]!=null && !forRowForm)
	{
		var ret = document.createElement("TEXTAREA");
		ret.cols = f_params["COLS"];
		ret.rows = f_params["ROWS"]; 
		ret.value = value;
	}
	else if(f_params["IFRAME"]!=null && !forRowForm)
	{
		//THIS CODE IS NOT DOM COMPATIBLE!
      var IFRAME = f_params["IFRAME"];
		var ret = document.createElement("DIV");
		ret.innerHTML = "<IFRAME SRC='" + IFRAME.SRC + "' WIDTH=" + IFRAME.WIDTH +" HEIGHT=" + IFRAME.HEIGHT+ " ></IFRAME>";
	}
	else
	{
		var ret = document.createElement("INPUT");
		ret.className = "formItem";
		ret.setAttribute("value", value);
		if(f_params["HIDDEN"] != null)
		{
			ret.type="hidden";
		}
		else if(f_params["CHECKBOX"] != null)
		{
			ret.type="checkbox";
			ret.positive = "|"+f_params["CHECKBOX"]+"|";
			/* ret.checked=(value==f_params["CHECKBOX"]); //it has to be set after adding to parent */
			ret.onclick = function() { this.value = this.checked; this.onchange(); };
		}
		else
		{
			ret.type="text";
		}
	} // else VALUES

	if(f_params["READONLY"] != null)
	{
		ret.readOnly = true;
		ret.className = "formItemReadOnly";
	}

	if(forRowForm)
	{
		if(f_params["SIZE"]!=null)  ret.size = (f_params["SIZE"]<20 ? f_params["SIZE"] : 20);
	}
	else
	{
		if(f_params["SIZE"]!=null)  ret.size = f_params["SIZE"];
	}
	ret.id="P_" + this.getNamespace()+ "_" + this.schema.vaColumnNames[index];
	var f_name = this.par_class + "_" + this.par_id + "_" + this.schema.vaColumnNames[index];
	ret.name= f_name;
	ret.priv_name = this.schema.vaColumnNames[index];
	ret.priv_prop_name = this.schema.vaColumnNames[index];
	ret.priv_number = this.number;
	ret.priv_index = index;
	ret.priv_params = f_params;
	if(f_params["CLIENT_CONSTRAIN"]!=null)
	{
		ret.client_constrain = function(newValue){ return eval(this.priv_params["CLIENT_CONSTRAIN"]);};
	}
	else
	{
		ret.client_constrain = function(newValue){ return 1;};
	}

//	if(ret.tagName == "SELECT")
//	{
	ret.onchange=function() {
						updateRecord(this.priv_number, 
	                    this.priv_name, 
	                    this.priv_params["REFRESH_DATA"], 
	                    this.priv_params["REFRESH_SCHEMA"]); 
				    };
	ret.priv_oldclassName = ret.className;

	if(f_params["FOREIGN"] != null)
	{
		ret.className = "formItemForeign";
		ret.onchange=function() { 
								var objForm = arrayObjectRecord[this.priv_number];
								var fieldName = this.priv_name.substr(0, this.priv_name.indexOf(">"));
								var item = document.getElementById("P_"+objForm.getNamespace()+"_"+fieldName);
								var tmp_deep_level;
								if (item.priv_params["DEEP_LEVEL"]) {
									tmp_deep_level = Number(item.priv_params["DEEP_LEVEL"]);
								} else {
									tmp_deep_level = deep_level - 1;
								}
								showUpdatePropositions(this.value, this.priv_number, this.priv_index, this.priv_name, item.priv_params["EXTRA_FILTER"], tmp_deep_level ); 
							};
  }

  return ret;
}

function buildForm()
{
	var arrStack = new Array();
	var ret = document.createElement("TABLE");
	deletedRecord=this.record_data['deleted'];
	
	ret.border=1;
	ret.cellSpacing=0;
	var tr = ret.insertRow(0);
	arrStack[0] = ret;
    //alert(this.d[1]);
	var navig_col = document.getElementById("NAVIG_COLUMN");
	var sel = navig_col.selectedIndex;
	clear(navig_col);
  
	var row_count = 1;
	var col_count = 0;

	var g_level = 0;
	var last_g_level=0;

	var arr_params = new Array();
    var par_read_only_all = '0'; //zmienna pomocnicza
	
	for(var i=0; i<this.schema.vaColumnNames.length; i++)
	{
		//budujemy tablice paramsow dla wszytskich pol
		// sprawdzamy czy rekord ma byc zablokowany jesli tak 
		// ustawiamy wartosc par_read_only_all na 1
		var f_params = new Object();
		createParams(f_params, this.schema.vaColumnParameters[i], this.record_data);
		arr_params[i] = f_params;
		if (f_params["READONLY_ALL"]=='1') {
		    par_read_only_all='1'
		}
	}
	//jesli record jest usuniety powinien byc zablokowany
	if (deletedRecord!=0) {
	    par_read_only_all='1'	
	}
	
	// jesli rekord ma byc zablokowany (wartosc par_read_only_all jest rowna 1)
	// ustawiamy param READONLY dla wszystkich pol na 1 
	// i pozbywamy sie list rozwijalnych VALUES=null
	if (par_read_only_all=='1') {
	    
	    for(var i=0; i<arr_params.length; i++)
	    {
		if (arr_params[i]["READALWAYS"]==null) {
		    arr_params[i]["READONLY"] = 'TRUE';
		    arr_params[i]["READONLY_ALL"] = 'TRUE';
		    arr_params[i]["VALUES"] = null;
		};
		
	    }
	}
	
	
	for(var i=0; i<this.schema.vaColumnNames.length; i++)
	{
		var cur_table = arrStack[arrStack.length-1];
//		alert(cur_table.tagName);
		g_level = this.schema.d["get_group_path"][i].count("/");
		var f_params = arr_params[i];	
//		var f_params = new Object();
//		createParams(f_params, this.schema.vaColumnParameters[i], this.record_data);

		if(g_level<last_g_level)
		{
			arrStack.deleteElem(arrStack.length-1);
			cur_table = arrStack[arrStack.length-1];
			last_g_level = g_level;
		}
	
		// first row always exists !
		if(f_params["SAMELINE"] == null && i>0)
		{
			tr = cur_table.insertRow(cur_table.rows.length);
		}

		if(g_level>last_g_level)
		{
			var td = tr.insertCell(tr.cells.length);
	
			if(f_params["COLSPAN"]==null) td.colSpan = 2;
			else td.colSpan = f_params["COLSPAN"];

			if(f_params["GROUP_NAME"]!= null)
			{
				var text = document.createTextNode(f_params["GROUP_NAME"]);
				td.appendChild(text);
			}
			var new_tab = document.createElement("TABLE");
			new_tab.border=1;
			td.appendChild(new_tab);
			tr = new_tab.insertRow(0);
			arrStack.append(new_tab);
			cur_table = new_tab;
			last_g_level = g_level;
		}
	

		var td_name = tr.insertCell(tr.cells.length);

		col_count++;
		if(f_params["HIDDEN"] == null)
		{
			if(!f_params["NAME_HIDDEN"])
			{
				var text = document.createTextNode(this.schema.vaDisplayColumnNames[i]);
				td_name.appendChild(text);
			} // NAME not HIDDEN
			td_name.align = "right";
			if(this.schema.d.prop_foreign[i].length>0)
			{
				f_params["REFRESH_DATA"]=1;
				td_name.priv_prop_foreign = this.schema.d.prop_foreign[i];
				td_name.priv_par_area = par_area;
				td_name.priv_number = this.number;
				td_name.priv_prop_name = this.schema.vaColumnNames[i]; 
				td_name.onclick = function() 
										{ 
											var my_id = arrayObjectRecord[this.priv_number].record_data[this.priv_prop_name];
											if (my_id!=0)
											{
												open_url(
												this.priv_prop_foreign+"?showForm" +
												"&par_id="+ my_id +
												"&deep_level=" + deep_level);
											}
										};
				td_name.className = "tdLink";
			}

			if(this.schema.d.prop_foreign_dynamic[i]=="1")
			{
				f_params["REFRESH_DATA"]=1;
				td_name.priv_par_area = par_area;
				td_name.priv_number = this.number;
				td_name.priv_prop_name = this.schema.vaColumnNames[i];
				td_name.priv_prop_foreign_dynamic_prop = this.schema.d.prop_foreign_dynamic_prop[i];
				td_name.onclick = function() 
										{
											var my_id = arrayObjectRecord[this.priv_number].record_data[this.priv_prop_name];
											var my_class = arrayObjectRecord[this.priv_number].record_data[this.priv_prop_foreign_dynamic_prop];
											if (my_id!=0)
											{
												open_url(
												my_class+"?showForm" +
												"&par_id="+ my_id +
												"&deep_level=" + deep_level);
											}
										};
				td_name.className = "tdLink";
			}

		} // if HIDDEN
		if((this.schema.d.get_prop_name[i]).toString().indexOf(">") == -1)
		{
			var opt = document.createElement("OPTION");
			var text = document.createTextNode(this.schema.vaColumnNames[i]);
			opt.appendChild(text);
			opt.value = this.schema.vaColumnNames[i];
			navig_col.appendChild(opt);
			if(no_navig_column && this.schema.vaRepresentant[i]==100) sel=i;
		}
		if(!f_params["NAME_ABOVE"])
		{
//				var td_val = tr.insertCell(col_count);
				var td_val = tr.insertCell(tr.cells.length);
				col_count++;
				if(f_params["COLSPAN"] != null)
				{
					td_val.colSpan=f_params["COLSPAN"];
				}
		}
		else
		{
				tr = cur_table.insertRow(cur_table.rows.length);
				row_count++;
				col_count=0;
				var td_val = tr.insertCell(tr.cells.length);
				if(f_params["COLSPAN"] != null)
				{
					td_val.colSpan=f_params["COLSPAN"]+1;
				}
				else
				{
					td_val.colSpan=2;
				}
		}
		var divField = this.createField(i,"dane"+i,0,f_params);
		td_val.appendChild(divField);
   } // for

   navig_col.selectedIndex=sel;
   
   return ret;
}


function buildRowForm()
{
	var tr = this.root_div;
	var j=0;
	
	var arr_params = new Array();
        var par_read_only_all = '0'; //zmienna pomocnicza

	for(var i=0; i<this.schema.vaColumnNames.length; i++)
	{
		//budujemy tablice paramsow dla wszytskich pol
		// sprawdzamy czy rekord ma byc zablokowany jesli tak 
		// ustawiamy wartosc par_read_only_all na 1
		var f_params = new Object();
		createParams(f_params, this.schema.vaColumnParameters[i], this.record_data);
		arr_params[i] = f_params;
		if (f_params["READONLY_ALL"]=='1') {
		    par_read_only_all='1'
		}
		
	}

	// jesli rekord ma byc zablokowany (wartosc par_read_only_all jest rowna 1)
	// ustawiamy param READONLY dla wszystkich pol na 1 
	// i pozbywamy sie list rozwijalnych VALUES=null
	if (par_read_only_all=='1') {
	    
	    for(var i=0; i<arr_params.length; i++)
	    {
		if (arr_params[i]["READALWAYS"]==null) {
		    arr_params[i]["READONLY"] = 'TRUE';
		    arr_params[i]["READONLY_ALL"] = 'TRUE';
		    arr_params[i]["VALUES"] = null;
		};
		
	    }
	}

	
	
	for(var i=0; i<this.schema.vaColumnNames.length; i++)
	{	
		var f_params = arr_params[i];
//		var f_params = new Object();
//		createParams(f_params, this.schema.vaColumnParameters[i], this.record_data);

		if(!f_params["HIDDEN"])
		{
			var td_val = tr.insertCell(j);
			j++;
			var divField = this.createField(i,this.d[this.schema.vaColumnNames[i]],1, f_params);
			td_val.appendChild(divField);
			if (divField.type == "checkbox")
			{
				divField.checked = (divField.positive.indexOf("|"+this.d[this.schema.vaColumnNames[i]]+"|")>=0);
			}
		}
	}
	return 1;
};

function setSchema(raw_schema)
{

//  debugAlert("z showForm");

  this.schema =  new Schema(raw_schema,this.par_class);

};


function showFieldValue(fieldItem, newVal)
{
//  debugAlert("update on:" + fieldItem.id+ " newVal: " + newVal);
  var objForm = arrayObjectRecord[fieldItem.priv_number];
  objForm.record_data[fieldItem.priv_prop_name] = newVal;

  if(fieldItem.tagName == "INPUT" && fieldItem.type == "checkbox")
  {
    fieldItem.checked = (fieldItem.positive.indexOf("|"+newVal+"|") >=0 );
    return 1;
  }

  if(fieldItem.tagName == "INPUT" || fieldItem.tagName=="TEXTAREA")
  {
    fieldItem.value = " ";
    fieldItem.value = newVal;
    return 1;
  };


  if(fieldItem.tagName == "SELECT" && !fieldItem.multiple)
  {
     for(var oind =0; oind < fieldItem.options.length; oind++)
     {
      if(fieldItem.options[oind].value==newVal)
         {
           fieldItem.selectedIndex = oind;
           break;
         };
      };
     return 1;
   };

	if(fieldItem.tagName == "SELECT" && fieldItem.multiple)
	{
		try
		{
			var arrVal = eval("new Array(" + newVal + ")");
		}
		catch(e){alert(e.description);}

		for(var oind=0; oind < fieldItem.options.length; oind++)
		{
			if(arrVal.contains(fieldItem.options[oind].value))
			{
				fieldItem.options[oind].selected = true;
			};
		};
		return 1;
	};



  if(fieldItem.tagName == "TD")
  {
     clear(fieldItem);
//debugAlert("zmieniam:" + newVal);
     var text = document.createTextNode(newVal);
     fieldItem.appendChild(text);
     return 1;
   };
   return -1;
};



function showRecordData()
{
//	alert(objToString(this.record_data));

	for(var f in this.record_data)
	{
		try{
//			alert(f+" : "+this.record_data[f]);
			var id = "P_" + this.getNamespace()+"_"+f;
			var item = document.getElementById(id);
			showFieldValue(item,this.record_data[f]);
		}catch(e){};
	}
}

function showSelectValues(select_id, cur_val, o)
{
	var select_tag = document.getElementById(select_id);
	var lab_name = select_tag.priv_get_prop_names[0];
	var val_name = select_tag.priv_get_prop_names[1];
	htmlSelect_refreshFromArrays(select_tag, o.d[lab_name], o.d[val_name], cur_val);
}	
	

// RELATED TABLES

function relatedTable(parent_number, number, par_class, label, filter_column_name, parent_filter_column_name, root_div, dynamic_prop)
{
  this.par_class = par_class;
  this.filter_column_name = filter_column_name;
  this.parent_filter_column_name = parent_filter_column_name;
  this.parent_number = parent_number;
  this.label = label;
	this.dynamic_prop = dynamic_prop;

  //properties
  this.number = number;
//  this.par_class = par_class;
  this.schema = new Object();

  //methods
  this.getNamespace = relatedTable_getNamespace;
  this.showRelatedTableData = showRelatedTableData;
  this.setRelatedTableSchema = setRelatedTableSchema;
  this.foldRelatedTable = foldRelatedTable;
  this.unfoldRelatedTable = unfoldRelatedTable;

  this.root_div = root_div;
  this.tab_div = document.createElement("DIV");
  this.tab_div.id = "TAB_" + this.getNamespace();
  this.root_div.appendChild(this.tab_div);
  this.tab_div.className = "Tab";

  this.tab_name_div = document.createElement("DIV");
  this.tab_name_div.id = "TAB_NAME_" + this.getNamespace();
  this.tab_div.appendChild(this.tab_name_div);
  this.tab_name_div.className = "TabName";
  this.tab_name_div.priv_number = this.number;
  //this.tab_name_div.onclick = function () { getRelatedTableData(this.priv_number);};
  this.tab_name_div.onclick = function () { unfoldRelatedTable(this.priv_number);};
//  var text = document.createTextNode(this.par_class);
  var text = document.createTextNode(this.label);
  this.tab_name_div.appendChild(text);

  this.tab_recs_div = document.createElement("DIV");
  this.tab_recs_div.id = "TAB_RECS_" + this.getNamespace();
  this.tab_div.appendChild(this.tab_recs_div);
  this.tab_recs_div.className = "TabRecs";

};



function relatedTable_getNamespace()
{
  return this.number;
};

var arrayRelatedTables = new Array();


function setRelatedTables(saRelatedTables)
{

 if(typeof(saRelatedTables) =="object")
 {

   if(this.type == "full")
   {
      var div = this.sub_data_div;
   }
   else
   {
     var par_div = this.root_div.parentNode;
     //debugAlert(this.root_div.rowIndex+1);
     var row_div = par_div.insertRow(this.root_div.rowIndex+1);
     var div = row_div.insertCell(0);
     div.colSpan = this.root_div.cells.length;
   };

   var label;
   for(var i=0; i<saRelatedTables.d.class_name.length; i++)
   {
     j = arrayRelatedTables.length;
     label = saRelatedTables.d.relation[i];
     if ((label=="")||(typeof(label)=="undefined"))
     {
         label = saRelatedTables.d.class_label[i];
	 if ((label=="")||(typeof(label)=="undefined")) label = saRelatedTables.d.class_name[i];
	 label += " ["+saRelatedTables.d.prop_name[i]+
	                                  " -> "+saRelatedTables.d.prop_foreign_prop[i]+"]";
     }

     arrayRelatedTables[j] = new relatedTable(this.number, j, 
				    saRelatedTables.d.class_name[i], label,
                                    saRelatedTables.d.prop_name[i],
                                    saRelatedTables.d.prop_foreign_prop[i],
                                              div,
	                             saRelatedTables.d.prop_foreign_dynamic_prop[i]
						);
   };
 };
};



function showRelatedTableData(related_table_number, vaDane)
{
	var rel_table = arrayRelatedTables[related_table_number];
	var schema = rel_table.schema;
	var div = rel_table.tab_recs_div;

	var tab = div.firstChild;

	if(typeof(vaDane)=="object")
	{
		clear(tab);

		// first row has column names
		var tr = tab.insertRow(0);
		tr.className = "subTabNames";
		j=0;
		for(var i=0; i<schema.vaColumnNames.length; i++)
		{
			// we create f_params like for the first row
			// if there are no data we display some info
			var d = new Object();
			if(vaDane.d.length>0)
			{
				for(f in vaDane.d)
				{
					d[f] = vaDane.d[f][0];
				}    
			}
			else
			{
				for(f in vaDane.d)
				{
					d[f] = "";
				}
			}
			var f_params = new Object();
			createParams(f_params, schema.vaColumnParameters[i], d);

			if(!f_params["HIDDEN"])
			{
				var td = tr.insertCell(j);
				j++;
				var str = "";
				str = schema.vaDisplayColumnNames[i];
				var text = document.createTextNode(str);
				td.appendChild(text);
			}
		} // for -- building first row with column names

		var td = tr.insertCell(0);
		var text = document.createTextNode("E");
		td.appendChild(text);

		var td = tr.insertCell(0);
		td.priv_number = rel_table.number;
		if (deletedRecord==0) {
		  td.onclick = function() {insertChild(this.priv_number);};
		  var text = document.createTextNode("NOWY");
		  td.appendChild(text);
		}  
		//alert (arrayObjectRecord[0].d.deleted);  

		// next rows have values
		for(var i=0; i<vaDane.d.id.length; i++)
		{
			var l = arrayObjectRecord.length;
			var tr = tab.insertRow(i+1); //was i+1

			// we assume that id column is always taken
			arrayObjectRecord[l] = new objectRecord(l, rel_table.par_class, vaDane.d.id[i],tr,"short");
			var cur_obj = arrayObjectRecord[l];
			cur_obj.schema = schema;

			cur_obj.setRecordData(vaDane,i);
       
			tr.id = "DATA_" +  cur_obj.getNamespace();
			tr.priv_length = vaDane.length;

			cur_obj.buildRowForm();
       
			var td = tr.insertCell(0);
			var text = document.createTextNode("E");
			td.appendChild(text);

			td.priv_number = arrayObjectRecord[l].number;
			td.onclick = function () { openRelated(this.priv_number);};

			var td = tr.insertCell(0);
			var text = document.createTextNode("+");
			td.appendChild(text);
			td.priv_number = arrayObjectRecord[l].number;
			td.onclick = function () { unfoldObject(this.priv_number);};
		} // creating rows with data

	} // if we have data

	var div_name = rel_table.tab_name_div;
	div_name.onclick = function () { foldRelatedTable(this.priv_number);};
}


function setRelatedTableSchema(vaDane)
{
   if(typeof(vaDane)=="object")
   {
     this.schema = new Schema(vaDane,this.par_class);
   };
}


function unfoldObject(obj_number)
{

   var objForm = arrayObjectRecord[obj_number];

//   debugAlert(obj_number);

   var td = objForm.root_div.cells.item(0);
   clear(td);
   var t = document.createTextNode("-");
   td.appendChild(t);
   td.private_number=obj_number;
   td.onclick = function () { foldObject(this.private_number);};
   getRelatedTables(obj_number);
};


function foldObject(obj_number)
{
   var objForm = arrayObjectRecord[obj_number];
//   debugAlert(obj_number);
   var tr = objForm.root_div;
   var par_div = tr.parentNode;
   par_div.deleteRow(tr.rowIndex+1);
   var td = objForm.root_div.cells(0);
   clear(td);
   var t = document.createTextNode("+");
   td.appendChild(t);
   td.onclick = function () { unfoldObject(this.private_number);};
};


function foldRelatedTable(related_table_number)
{
  var rel_table = arrayRelatedTables[related_table_number];
  var div = rel_table.tab_recs_div;

  //clearing
  clear(div);
  var div_name = rel_table.tab_name_div;
  div_name.onclick = function () { unfoldRelatedTable(this.priv_number);};
};


function unfoldRelatedTable(related_table_number)
{
   var rel_table = arrayRelatedTables[related_table_number];
   var par_obj = arrayObjectRecord[rel_table.parent_number];
   var div = rel_table.tab_recs_div;
   //clearing
   clear(div);
   var tab = document.createElement("TABLE");
   tab.className = "subTableAll";
   

   // this is something like "global" id
   // format SUBELEMS_[class_name]_[id]_[child_class_name]
   tab.name = "SUBELEMS_"+par_obj.par_class+"_"+par_obj.par_id+"_"+rel_table.par_class;
   tab.priv_number = related_table_number;
   
   div.appendChild(tab);
//   tab.insertRow(0);
   tab.border = 0;
   tab.cellSpacing = 0;
   tab.cellPadding = 2;

   var div_name = rel_table.tab_name_div;
   //div_name.onclick = function () { foldRelatedTable(this.priv_number);};
   div_name.onclick = function () { };

//   getRelatedTableSchema(related_table_number);
//   getRelatedTableData(related_table_number);
   getForRelatedSchemaAndData(related_table_number);
};


function show_message(str)
{
  alert(str);
};

var menu_interval;

function createMenus(data)
{
	var menu_tag = document.getElementById("MENU");
	arrMenus[0] = new menu(0, par_class, par_id, menu_tag, "default", "single", data);
	arrMenus[0].getParams = function() { return arrayObjectRecord[0].getParamsForMenu();};;

	if(context_name.length>0)
	{
		menu_tag = document.getElementById("MENU_CONTEXT");
		arrMenus[1] = new menu(1, par_class, par_id, menu_tag, context_name, "single", data);
		arrMenus[1].getParams = function() { return arrayObjectRecord[0].getParamsForMenu();};;
	}
	window.clearInterval(menu_interval);
}


function setRecordDataAndShowForm(vaData)
{
//	try
//	{
		this.record_data = vaData.d;
		oVersions[this.par_class+"_"+vaData.d.id[0]] = vaData.d["version"][0];
		this.par_id = vaData.d.id[0];
		var objObjId = document.getElementById("OBJECTID");
		objObjId.firstChild.nodeValue = this.par_id;

		clear(this.data_div);
		var ret=this.buildForm();
		this.data_div.appendChild(ret);

		this.showRecordData();

		menu_interval = window.setInterval("createMenus(arrayObjectRecord[0].record_data)", 100);
/*	}
	catch(e)
	{
		alert(e.description);
	}
*/
};

function setRecordData(vaData, index, dont_show)
{
	if(setRecordData.arguments.length<2) { index=0; dont_show = 0;};
	this.par_id = vaData.d.id[index];
	document.getElementById("OBJECTID").innerText = this.par_id;

	this.d = new Object();
	this.record_data = new Object();
	for(f in vaData.d)
	{
		this.d[f] = vaData.d[f][index];
		this.record_data[f] = vaData.d[f][index];
		if(f=="version") { oVersions[this.par_class+"_"+this.par_id] = vaData.d[f][index]; };    
	};
	if(!dont_show) {this.showRecordData()};
};

function showUpdatedField(fieldId)
{
   // IF EXPLORER
   var item=document.getElementById(fieldId);
   item.className = "formItem";
   // END IF
};

// NAVIGATION

function showLeftNavig(o)
{
  if(typeof(o) == "object")
  {
    var div = document.getElementById("NAVIG_ROWS");
    clear(div);

    for(var i=0; i<o.d["id"].length; i++)
    {
      var tr=div.insertRow(i);
      var td = tr.insertCell(0);
      var str= "";

      for(f in o.d)
      {
        str+=o.d[f][i]+" ";
      };

      var t=document.createTextNode(str);
      td.appendChild(t);	
      td.priv_id = o.d["id"][i];
      td.onclick = function() {initMain(par_class,this.priv_id);};
    };
  };
};      


// INTERFACE FUNCTIONS
function co_create(o) {};
function co_insert(o)
{
  if(typeof(o)=="object")
  {
    for(i=0; i<o.length; i++)
    {
      var curr = o[i];
      var class_name =  curr.classes[0].name;
      var curr_id = curr.classes[0].id;
      var child_class = curr.classes[1].name;
      var child_elem_id = curr.classes[1].id;

      // we find proper place and insert row
      var div_name = "SUBELEMS_"+class_name+"_"+curr_id+"_"+child_class;
      var vaDiv = document.getElementsByTagName("TABLE");
      for(var j=0; j<vaDiv.length; j++)
      {
        var curr_div = vaDiv.item(j);
        if(curr_div.name == div_name)
        {
	  if (curr_div.rows.length==0) { continue;}; /* skip, if rows not shown */
          var l = arrayObjectRecord.length;
          var tr = curr_div.insertRow(curr_div.rows.length); 
          arrayObjectRecord[l] = new objectRecord(l, child_class, child_elem_id ,tr,"short");
	  var cur_obj =  arrayObjectRecord[l];
          tr.id = "DATA_" +  arrayObjectRecord[l].getNamespace();
         // tr.priv_length = vaDane.length;
	 // we copy schema from parent
	  var objTable = arrayRelatedTables[curr_div.priv_number];
          cur_obj.schema = objTable.schema;
          // we create empty set of data this will be overwritten soon
	  cur_obj.d = new Object();
	  cur_obj.record_data = new Object();
//alert(arrayRelatedTables[objTable.parent_number]);
          for(i=0; i<cur_obj.schema.vaColumnNames.length; i++)
          {  
// perhaps we should relational properties make read only?
//	    if (cur_obj.schema.d.prop_foreign[i]=="")
        	cur_obj.d[cur_obj.schema.vaColumnNames[i]] = "<puste>";
//	    else
//        	cur_obj.d[cur_obj.schema.vaColumnNames[i]] = "<dziedziczone>";
          };
          cur_obj.buildRowForm();
          var td = tr.insertCell(0);
          var text = document.createTextNode("E");
          td.appendChild(text);
          td.priv_number = arrayObjectRecord[l].number;
          td.onclick = function () { openRelated(this.priv_number);};
          var td = tr.insertCell(0);
          var text = document.createTextNode("+");
          td.appendChild(text);
          td.priv_number = arrayObjectRecord[l].number;
          td.onclick = function () { unfoldObject(this.priv_number);};
        }; //if
      }; // for j
    }; // for i
   }; // if
   return 1;
};         



function co_refresh(vaFields)
{
   if(typeof(vaFields)=="object")
   {
     //debugAlert(objToString(vaFields));
     // for all records
     for(i=0;i< vaFields.length; i++)
     {
      var curr = vaFields[i];
      var class_name =  curr.classes[0].name;
      var curr_id = curr.classes[0].id;

       //and all fields
       for(f in curr.d)
       {
          var div_name = new String();
          div_name = class_name+"_"+curr_id+"_"+f;
	  //debugAlert(div_name);
	  var curr_v = curr.d[f];

          if(f=="version")
	  {
            oVersions[class_name+"_"+curr_id] = curr.d.version;
	  };    

          //getElementByName is not working, so some hack
          var vaDiv = document.getElementsByTagName("INPUT");
          for(var j=0; j<vaDiv.length; j++)
          {
            if(vaDiv.item(j).name == div_name)
            {
//alert(vaDiv.item(j).priv_number);
               showFieldValue(vaDiv.item(j),curr_v);
               // IF EXPLORER
               vaDiv.item(j).className = vaDiv.item(j).priv_oldclassName;
               // END IF
            };
          };

        var vaDiv = document.getElementsByTagName("TEXTAREA");
          for(var j=0; j<vaDiv.length; j++)
          {
            if(vaDiv.item(j).name == div_name)
            {
               showFieldValue(vaDiv.item(j),curr_v);
               // IF EXPLORER
               vaDiv.item(j).className = vaDiv.item(j).priv_oldclassName;
               // END IF
            };
          };

         //... and for SELECT
          var vaDiv = document.getElementsByTagName("SELECT");
          for(var j=0; j<vaDiv.length; j++)
          {
            if(vaDiv.item(j).name == div_name)
            {
               showFieldValue(vaDiv.item(j),curr_v);
               // IF EXPLORER
               vaDiv.item(j).className = vaDiv.item(j).priv_oldclassName;
               // END IF
            };//if
          };//for
/*
          var vaDiv = document.getElementsByName(div_name);
	    // length is always 0 in IE 5.01
          for(var j=0; j<vaDiv.length; j++)
          {
               showFieldValue(vaDiv.item(j),curr_v);
               // IF EXPLORER
               vaDiv.item(j).className = vaDiv.item(j).priv_oldclassName;
               // END IF
          };//for
*/
       };//for
     };//for
  };//if
};//func


function co_delete(vaFields)
{
    initMain(arrayObjectRecord[0].par_class,arrayObjectRecord[0].par_id);
    /*
    co_refresh(vaFields);
    arrMenus[0].refresh();
    alert(arrayObjectRecord[0].d.deleted);
    */
}

function co_undelete(vaFields)
{
    initMain(arrayObjectRecord[0].par_class,arrayObjectRecord[0].par_id);
    /*
    co_refresh(vaFields);
    arrMenus[0].refresh();
    alert(arrayObjectRecord[0].record_data.deleted);
    */
}
						
//====================================================================

// communication functions





function openRelated(table_number)
{
    var objForm = arrayObjectRecord[table_number];
    var url= "/co/html/" + par_area + "/" + objForm.par_class+"?showForm&par_id="+objForm.par_id+"&deep_level="+deep_level;
    window.open(url, id_session + "WW" + id_window, "toolbar=0,menubar=0,resizable=1,scrollbars=1");
    id_window ++;
};

function showUpdatePropositions(value, number, index, prop_name, extra_filter, deep_level)
{
	var objForm = arrayObjectRecord[number];
	var active_class;
//	var	active_class = objForm.schema.vaColumnTables[index];
//	var filter_prop = prop_name.substr(prop_name.lastIndexOf(">")+1);
//alert(prop_name);
// prop_name = "out_field>foreign_field>foreign_class>(field related to foreign class)"
	var sepidx = prop_name.indexOf(">");
	if (sepidx>=0)
	{
		var substr1 = prop_name.substr(sepidx+1);
		var substr2 = substr1.substr(substr1.indexOf(">")+1);
		filter_prop = substr2.substr(substr2.indexOf(">")+1);
		active_class = substr2.substr(0, substr2.indexOf(">"));
		//alert("active_class="+active_class+"\nfilter_prop="+filter_prop);
	}
	else
	{
		alert("Not foreign prop!");
		return;
	}
	//alert("update prop!");
	var url= "/co/asp/" + par_area + "/generic?fastFind&";
	url += urlEncode("debug_level",0);
	url += urlEncode("active_class", active_class);
	url += urlEncode("filter_prop",filter_prop);
	url += urlEncode("filter_value",value);
	if (extra_filter) {
		url += urlEncode("extra_filter",extra_filter);
	}
	url += urlEncode("deep_level",deep_level);
	if (is_ie5up)
	{
	    var new_id = window.showModalDialog(url);
	}
	else
	{
	    window.open(url, "fastFind", "chrome=no,dialog=yes,modal=yes");
	    new_id = window.retval;
	}
	//alert ("new_id: "+new_id);
	if(Number(new_id) >0 )
	{
		var fieldName = prop_name.substr(0, prop_name.indexOf(">"));
		updateRecord(number, fieldName, 1, 0, new_id);
	}
}

function getRecordData(number)
{
	var objForm = arrayObjectRecord[number];
	var param = objForm.par_class+"?get&";
	param += urlEncode("par_area", par_area);
	param += urlEncode("par_class", objForm.par_class);
	param += urlEncode("par_id", objForm.par_id);
	var callback = "arrayObjectRecord["+number+"].setRecordData("
	param += urlEncode("callback", callback);
//	debugAlert(param);
	PutRequest(param);
};


function getRelatedTables(number)
{
	var objForm = arrayObjectRecord[number];
	var param = objForm.par_class+"?getRelatedClasses&";
	param += urlEncode("par_class", objForm.par_class);
	param += urlEncode("par_area", par_area);
	param += urlEncode("par_id", objForm.par_id);
	var callback = "arrayObjectRecord["+number+"].setRelatedTables("
	param += urlEncode("callback",  callback);
	//debugAlert(param);
	PutRequest(param);
};

function setSelectValues(select_id, cur_value)
{
	var select_tag = document.getElementById(select_id);
	var get_class_names = select_tag.priv_get_class_names;
	var get_prop_names = select_tag.priv_get_prop_names;
	var filter_class_names = select_tag.priv_filter_class_names;
	var filter_prop_names = select_tag.priv_filter_prop_names;
	var filter_operators = select_tag.priv_filter_operators;
	var filter_values = select_tag.priv_filter_values;
    
    var param = get_class_names[0]+"?selectX&";
    
	param += urlEncode("par_area", par_area);
	param += urlEncode("par_class", get_class_names[0]);
	param += urlEncode("par_id", -1);
	param += urlEncodeArray("_get_class_names", get_class_names);
	param += urlEncodeArray("_get_prop_names" , get_prop_names);
	param += urlEncode("_filter_class_names"  , filter_class_names);
	param += urlEncode("_filter_prop_names"   , filter_prop_names);
	param += urlEncode("_filter_values"       , filter_values);
	param += urlEncode("_filter_operators"    , filter_operators);
	var callback = "showSelectValues('"+select_id+"','" +cur_value + "',";
	param += urlEncode("callback",callback);
	//debugAlert(param);
	PutRequest(param);
}

function getRelatedTableData(related_table_number)
{
	var related_table = arrayRelatedTables[related_table_number];
	var objForm = arrayObjectRecord[related_table.parent_number];
	var param = objForm.par_class+"?getRelatedData&";
	param += urlEncode("par_class", objForm.par_class);
	param += urlEncode("par_id", objForm.par_id);
	param += urlEncode("related_class", related_table.par_class);
	if(related_table.dynamic_prop.length >0)
	{
		param += urlEncode("dynamic_prop", related_table.dynamic_prop);
	}
	var callback = "arrayRelatedTables["+related_table_number+"].showRelatedTableData("+
                                                                 related_table_number+",";
	param += urlEncode("callback",callback);
	//debugAlert(param);
	PutRequest(param);
};

function getForRelatedSchemaAndData(related_table_number)
{
   //showRelatedTableData(par_class+column_name);
    var related_table = arrayRelatedTables[related_table_number];
    var objForm = arrayObjectRecord[related_table.parent_number];
    	var param = objForm.par_class+"?getForRelatedSchemaAndData&";
	param += urlEncode("par_class", objForm.par_class);
	param += urlEncode("par_id", objForm.par_id);
	param += urlEncode("related_class", related_table.par_class);
	param += urlEncode("related_prop", related_table.filter_column_name);
	param += urlEncode("deep_level", deep_level);
	if(related_table.dynamic_prop.length >0)
	{
	    param += urlEncode("dynamic_prop", related_table.dynamic_prop);
	}

	var callbacks = new Array()
	callbacks[0] = "arrayRelatedTables["+related_table_number+"].setRelatedTableSchema(";
        callbacks[1] = "arrayRelatedTables["+related_table_number+"].showRelatedTableData("+
                                                                 related_table_number+",";
								 
	param += urlEncodeArray("_callbacks",callbacks);
	//debugAlert(param);
	PutRequest(param);
};

function insertChild(related_table_number)
{
   var related_table = arrayRelatedTables[related_table_number];
   var objForm = arrayObjectRecord[related_table.parent_number];
   var param = objForm.par_class+"?insertChildX&";
   param += urlEncode("par_class", objForm.par_class);
   param += urlEncode("par_id", objForm.par_id);
   param += urlEncode("child_class", related_table.par_class);
   param += urlEncode("child_prop", related_table.filter_column_name);
   param += urlEncode("foreign_prop", related_table.parent_filter_column_name);
	if(related_table.dynamic_prop.length >0)
	{
		var create_params = new Array();
		create_params.append(related_table.dynamic_prop);
		create_params.append(objForm.par_class);
		param += urlEncodeArray("_create_params", create_params);
	}
// alert(param);
   PutRequest(param);
};

function initForm(number)
{
//    debugAlert("jestem w initFrom");
	var objForm = arrayObjectRecord[number];

	if(deep_level>0)
	{  
		var param = objForm.par_class+"?getSchemaXRelatedAndData&";
	}
	else
	{  
		var param = objForm.par_class+"?getSchemaRelatedAndData&";
	}
	param += urlEncode("par_area", par_area);
	param += urlEncode("par_class", objForm.par_class);
	param += urlEncode("par_id", objForm.par_id);
	
	var callbacks = new Array();
	callbacks[0] = "arrayObjectRecord["+number+"].setSchema(";
	callbacks[1] = "arrayObjectRecord["+number+"].setRelatedTables(";
	callbacks[2] = "arrayObjectRecord["+number+"].setRecordDataAndShowForm(";
	
	param += urlEncodeArray("_callbacks",  callbacks);
	//debugAlert(param);
	PutRequest(param);
};

function refreshValues(number)
{
//    debugAlert("jestem w initFrom");
       var objForm = arrayObjectRecord[number];
       if(deep_level>0)
       {  
	var param = objForm.par_class+"?getSchemaXRelatedAndData&";
       }
        else
       {  
	var param = objForm.par_class+"?getSchemaRelatedAndData&";
       }
	param += urlEncode("par_area", par_area);
	param += urlEncode("par_class", objForm.par_class);
	param += urlEncode("par_id", objForm.par_id);
	
	var callbacks = new Array();
	callbacks[0] = "nope(";
	callbacks[1] = "nope(";
	callbacks[2] = "arrayObjectRecord["+number+"].setRecordData(";
	
	param += urlEncodeArray("_callbacks",  callbacks);
	//debugAlert(param);
	PutRequest(param);
};



// new_value is optional if not provided we take value from input field
function updateRecord(number, fieldName, refresh_data, refresh_schema, newValue, no_version)
{
    var objForm = arrayObjectRecord[number];
    var item = document.getElementById("P_"+objForm.getNamespace()+"_"+fieldName);

    if(updateRecord.arguments.length < 5)
    {
       newValue = item.value;
    }

	if(item.tagName == "SELECT" && item.multiple)
	{
		var ret = "";
		for(var i=0; i< item.length; i++)
		{
			var opt= item.options[i];
			if(opt.selected)
			{
				if(ret.length>0) ret += ",";
				ret += "\"" + opt.value + "\"";
			}
		}
		newValue = ret;
//		alert(ret);
	}

	if(item.client_constrain(newValue)!=1) {
	  item.style.backgroundColor='#FF9999';
	  alert("Niewaciwa warto: " + newValue + ". Pole nie zostao zmienione."); 
	  return -1;
	} else {
	  item.style.backgroundColor='#FFFFFF';	
	}
    // IF EXPLORER
    if(item.tagName != "SELECT")
    {  
       item.priv_oldclassName = item.className;
       item.className = "formItemUpdating";
    }
    // END IF

    if(refresh_data || refresh_schema)
    {
        var param = "*?"+objForm.par_class+"/update&";
        param += urlEncode("par_area", par_area);
        param += urlEncode("par_class", objForm.par_class);
        param += urlEncode("par_id", objForm.par_id);
        param += urlEncode("par_prop", fieldName);
        param += urlEncode("new_value", newValue);
//alert(oVersions[objForm.par_class+"_"+objForm.par_id]);
        if(!no_version)
	{
	    param += urlEncode("version", oVersions[objForm.par_class+"_"+objForm.par_id]);
	}
	else
	{
	    param += urlEncode("version", -1);
	}

        if(refresh_schema)
        {
           if(deep_level>0)
           {  
              param += "&" + objForm.par_class+"/getSchemaXRelatedAndData&";
           }
           else
           {  
              param += "&"+objForm.par_class+"/getSchemaRelatedAndData&";
           }
           param += urlEncode("par_area", par_area);
           param += urlEncode("par_class", objForm.par_class);
           param += urlEncode("par_id", objForm.par_id);
	
           var callbacks = new Array();
           callbacks[0] = "arrayObjectRecord["+number+"].setSchema(";
//           callbacks[1] = "arrayObjectRecord["+number+"].setRelatedTables(";
	    callbacks[1] = "";
           callbacks[2] = "arrayObjectRecord["+number+"].setRecordDataAndShowForm(";
           param += urlEncodeArray("_callbacks",  callbacks);
        }
        else
        {
//alert("rd");
           if(deep_level>0)
           {  
              param += "&" + objForm.par_class+"/selectX&";
              get_class_names    = new Array();
              get_prop_names     = objForm.schema.d.get_prop_name;
              for(var i=0; i<get_prop_names.length; i++)
              {
                 get_class_names[i] = objForm.par_class;
              }
              param += urlEncode("par_area", par_area);
              param += urlEncode("par_class", objForm.par_class);
              param += urlEncode("par_id", objForm.par_id);
              param += urlEncodeArray("_get_class_names", get_class_names);
              param += urlEncodeArray("_get_prop_names", get_prop_names);
              param += urlEncode("_filter_class_names", par_class);
              param += urlEncode("_filter_prop_names", "id");
              param += urlEncode("_filter_values",  objForm.par_id);
              param += urlEncode("_filter_operators", "=");
              param += urlEncode("callback","arrayObjectRecord["+number+"].setRecordData(");
           }
           else
           {  
              param += "&"+objForm.par_class+"/get&";
              param += urlEncode("par_area", par_area);
              param += urlEncode("par_class", objForm.par_class);
              param += urlEncode("par_id", objForm.par_id);
              param += urlEncode("callback","arrayObjectRecord["+number+"].setRecordData(");
           }
        } 
     }
     else
     { 
        var param = objForm.par_class+"?update&";
        param += urlEncode("par_area", par_area);
        param += urlEncode("par_class", objForm.par_class);
        param += urlEncode("par_id", objForm.par_id);
        param += urlEncode("par_prop", fieldName);
        param += urlEncode("new_value", newValue);
        param += urlEncode("version", oVersions[objForm.par_class+"_"+objForm.par_id]);
     }

     //alert(param);
     PutRequest(param);
};

function updateSchema()
{
    updateRecord(0, "deleted", 0, 1, "0", 1);
};

function init()
{
//  debugAlert("jestem w init");
  	var divName = document.getElementById("CLASSNAME");
	document.title = "LeftHand " +par_class + " (edycja)";
	if (class_label=="") class_label = par_class;
	var t = document.createTextNode("KLASA: " + class_label);
	divName.appendChild(t);
	var root_div = document.getElementById("TAB_0");
	arrayObjectRecord[0] = new objectRecord(0,par_class,par_id,root_div,"full");
	initForm(0);
};

function initMain(class_name, id)
{
  var root_div = document.getElementById("TAB_0");
  clear(root_div);
  //var idx = arrayObjectRecord.length;
  arrayObjectRecord[0] = new objectRecord(0,class_name,id,root_div,"full");
  initForm(0);
}

function removeMain(idx)
{
  var objRec = arrayObjectRecord[idx];
  objRec.root_div.removeChild(objRec.rec_div);
  //delete objRec;
}

function getCurrentId()
{
  var idx = arrayObjectRecord.length-1; /* last object record id */
  return arrayObjectRecord[idx].par_id;
}

function getBlockDate(strDate) {

  strDate=String(strDate);
  
  var objDate = new Date();
    
  objDate.setYear((strDate.split('-'))[0]);
  objDate.setMonth(((strDate.split('-'))[1])-1);  
  objDate.setDate((strDate.split('-'))[2]);
  
  return objDate;
}

function blockRecordByDate(str_data)
{
    var blokujOd =getBlockDate(block_date);
    var data = getBlockDate(str_data);
    	
    var data_rok=Number(((String(str_data)).split("-"))[0])
	
    var okres = Number(blokujOd.getTime()-data.getTime());
    if ((data_rok=='1900')||(data_rok=='1999')) {
	  okres=0;
    }
    //alert('dzien: ' + data_dzien + ' miesiac: ' + data_miesiac + ' rok: ' + data_rok);
    return okres;
}


function constrainRecordByDate(str_data)
{
    str_data = String(str_data);
    var blokujOd =getBlockDate(block_date);
    var data = getBlockDate(str_data);
        
    var data_rok=Number(((String(str_data)).split("-"))[0])

    var okres = Number(blokujOd.getTime()-data.getTime());
    if ((data_rok=='1900')||(okres<=0)) {
	  okres=1;
    }
    return okres;
}



function getLeftNavig(filter_val)
{
    var param = par_class+"?selectX&";
    var prop_name = document.getElementById("NAVIG_COLUMN").value;
    if(prop_name.length>0)
    {
	  objForm = arrayObjectRecord[0];
	  debugAlert(objForm.schema.name_prop);
	  //var prop_name = "class_name";
	  param += urlEncode("par_class", par_class);
	  param += urlEncode("par_id", par_id);
	  param += urlEncodeArray("_get_class_names", Array(par_class,par_class,par_class));
	  param += urlEncode("par_area", par_area);
	  param += urlEncodeArray("_get_prop_names", Array("id",objForm.schema.name_prop,prop_name));
//	  param += urlEncode("top", 200);
	  param += urlEncode("_filter_class_names", par_class);
	  param += urlEncode("_filter_prop_names", prop_name);
//          if(filter_val.length==0) filter_val = 
	  param += urlEncode("_filter_values", filter_val);
          param += urlEncode("_filter_operators", "LIKE");
          var callback = "showLeftNavig(";
	  param += urlEncode("callback",callback);
	  //debugAlert(param);
	  PutRequest(param);
    }
};

window.onload = init;
