
      DROP TABLE co_tmp_sec_meta_vtable

      !NOERROR

      ALTER TABLE co_sec_meta_vtable RENAME TO co_tmp_sec_meta_vtable

      !NOERROR

      drop sequence co_sec_meta_vtable_sqid
      !NOERROR
      create sequence co_sec_meta_vtable_sqid start 1
      !GO
      grant all on co_sec_meta_vtable_sqid to nobody
      !GO 

  create table co_sec_meta_vtable
  ( 
  id  int default 
nextval('co_sec_meta_vtable_sqid'::text) 
 , 
 version  int default 
0
 , 
 deleted  int default 
0
 , 
 inherits_acl  int default 
1
 , 
 class_name  text default 
''
 , 
 method_name  text default 
''
 , 
 target_class_name  text default 
''
 , 
 id_permission  int default 
''
 , 
 id_onbefore_script  int default 
0
 , 
 id_onbefore_method  int default 
0
 , 
 id_onafter_script  int default 
0
 , 
 id_onafter_method  int default 
0
 , 
 profiled  int default 
0
 , 
 sec_type  int default 
0
 , 
 force_sec_type  int default 
0

  )
  !GO
  grant all on co_sec_meta_vtable to nobody
  !GO 
   
    DROP INDEX co_sec_meta_vtable_inid
    !NOERROR
    
    CREATE   UNIQUE    
    INDEX co_sec_meta_vtable_inid
    ON co_sec_meta_vtable
    ( 
 id 
    )
    !GO
     
    DROP INDEX co_sec_meta_vtable_in1
    !NOERROR
    
    CREATE     
    INDEX co_sec_meta_vtable_in1
    ON co_sec_meta_vtable
    ( 
 class_name  , method_name 
    )
    !GO
    