 
  DROP FUNCTION co_sec_preference_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sec_preference_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sec\' AND class_name = \'preference\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sec_preference_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sec_preference_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sec\' AND class_name = \'preference\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sec_preference_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_preference_id(int) RETURNS co_sec_preference AS
     '
        SELECT * FROM co_sec_preference WHERE co_sec_preference.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_preference_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_preference_version(int) RETURNS co_sec_preference AS
     '
        SELECT * FROM co_sec_preference WHERE co_sec_preference.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_preference_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_preference_deleted(int) RETURNS co_sec_preference AS
     '
        SELECT * FROM co_sec_preference WHERE co_sec_preference.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_preference_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_preference_inherits_acl(int) RETURNS co_sec_preference AS
     '
        SELECT * FROM co_sec_preference WHERE co_sec_preference.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_preference_id_user(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_preference_id_user(int) RETURNS co_sec_preference AS
     '
        SELECT * FROM co_sec_preference WHERE co_sec_preference.id_user = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_preference_language(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_preference_language(text) RETURNS co_sec_preference AS
     '
        SELECT * FROM co_sec_preference WHERE co_sec_preference.language = $1
     '
     LANGUAGE 'sql'
     !GO
       