 
  DROP FUNCTION co_sec_start_page_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sec_start_page_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sec\' AND class_name = \'start_page\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sec_start_page_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sec_start_page_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sec\' AND class_name = \'start_page\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sec_start_page_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_start_page_id(int) RETURNS co_sec_start_page AS
     '
        SELECT * FROM co_sec_start_page WHERE co_sec_start_page.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_start_page_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_start_page_version(int) RETURNS co_sec_start_page AS
     '
        SELECT * FROM co_sec_start_page WHERE co_sec_start_page.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_start_page_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_start_page_deleted(int) RETURNS co_sec_start_page AS
     '
        SELECT * FROM co_sec_start_page WHERE co_sec_start_page.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_start_page_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_start_page_inherits_acl(int) RETURNS co_sec_start_page AS
     '
        SELECT * FROM co_sec_start_page WHERE co_sec_start_page.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_start_page_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_start_page_name(text) RETURNS co_sec_start_page AS
     '
        SELECT * FROM co_sec_start_page WHERE co_sec_start_page.name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_start_page_file_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sec_start_page_file_version(int) RETURNS co_sec_start_page AS
     '
        SELECT * FROM co_sec_start_page WHERE co_sec_start_page.file_version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_start_page_description(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_start_page_description(text) RETURNS co_sec_start_page AS
     '
        SELECT * FROM co_sec_start_page WHERE co_sec_start_page.description = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sec_start_page_evaluation_mode(text)
     !NOERROR

     CREATE FUNCTION lhlo_sec_start_page_evaluation_mode(text) RETURNS co_sec_start_page AS
     '
        SELECT * FROM co_sec_start_page WHERE co_sec_start_page.evaluation_mode = $1
     '
     LANGUAGE 'sql'
     !GO
       