 
  DROP FUNCTION co_sys_catalog_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_catalog_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sys\' AND class_name = \'catalog\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_catalog_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_catalog_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\' AND class_name = \'catalog\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_catalog_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_id(int) RETURNS co_sys_catalog AS
     '
        SELECT * FROM co_sys_catalog WHERE co_sys_catalog.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_catalog_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_version(int) RETURNS co_sys_catalog AS
     '
        SELECT * FROM co_sys_catalog WHERE co_sys_catalog.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_catalog_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_deleted(int) RETURNS co_sys_catalog AS
     '
        SELECT * FROM co_sys_catalog WHERE co_sys_catalog.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_catalog_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_inherits_acl(int) RETURNS co_sys_catalog AS
     '
        SELECT * FROM co_sys_catalog WHERE co_sys_catalog.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_catalog_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_name(text) RETURNS co_sys_catalog AS
     '
        SELECT * FROM co_sys_catalog WHERE co_sys_catalog.name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_catalog_id_catalog_type(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_id_catalog_type(int) RETURNS co_sys_catalog AS
     '
        SELECT * FROM co_sys_catalog WHERE co_sys_catalog.id_catalog_type = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_catalog_id_item(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_id_item(int) RETURNS co_sys_catalog AS
     '
        SELECT * FROM co_sys_catalog WHERE co_sys_catalog.id_item = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_catalog_description(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_description(text) RETURNS co_sys_catalog AS
     '
        SELECT * FROM co_sys_catalog WHERE co_sys_catalog.description = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_catalog_id_user(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_id_user(int) RETURNS co_sys_catalog AS
     '
        SELECT * FROM co_sys_catalog WHERE co_sys_catalog.id_user = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_catalog_id_parent(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_catalog_id_parent(int) RETURNS co_sys_catalog AS
     '
        SELECT * FROM co_sys_catalog WHERE co_sys_catalog.id_parent = $1
     '
     LANGUAGE 'sql'
     !GO
       