 
  DROP FUNCTION co_sys_cevent_type_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_cevent_type_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sys\' AND class_name = \'cevent_type\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_cevent_type_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_cevent_type_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\' AND class_name = \'cevent_type\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_cevent_type_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_cevent_type_id(int) RETURNS co_sys_cevent_type AS
     '
        SELECT * FROM co_sys_cevent_type WHERE co_sys_cevent_type.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_cevent_type_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_cevent_type_version(int) RETURNS co_sys_cevent_type AS
     '
        SELECT * FROM co_sys_cevent_type WHERE co_sys_cevent_type.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_cevent_type_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_cevent_type_deleted(int) RETURNS co_sys_cevent_type AS
     '
        SELECT * FROM co_sys_cevent_type WHERE co_sys_cevent_type.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_cevent_type_type(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_cevent_type_type(text) RETURNS co_sys_cevent_type AS
     '
        SELECT * FROM co_sys_cevent_type WHERE co_sys_cevent_type.type = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_cevent_type_handled_by(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_cevent_type_handled_by(text) RETURNS co_sys_cevent_type AS
     '
        SELECT * FROM co_sys_cevent_type WHERE co_sys_cevent_type.handled_by = $1
     '
     LANGUAGE 'sql'
     !GO
       