 
  DROP FUNCTION co_sys_meta_prop_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_meta_prop_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\' AND class_name = \'meta_prop\' AND id_permission = $1 AND id_role = $2 ; 
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_meta_prop_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_meta_prop_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\' AND class_name = \'meta_prop\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_meta_prop_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_id(int) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_version(int) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_deleted(int) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_inherits_acl(int) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_prop_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_prop_name(text) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.prop_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_class_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_class_name(text) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.class_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_prop_representant(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_prop_representant(int) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.prop_representant = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_prop_foreign(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_prop_foreign(text) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.prop_foreign = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_prop_foreign_prop(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_prop_foreign_prop(text) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.prop_foreign_prop = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_prop_foreign_dynamic(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_prop_foreign_dynamic(int) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.prop_foreign_dynamic = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_prop_foreign_dynamic_classes(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_prop_foreign_dynamic_classes(text) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.prop_foreign_dynamic_classes = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_prop_foreign_dynamic_prop(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_prop_foreign_dynamic_prop(text) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.prop_foreign_dynamic_prop = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_prop_position(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_prop_position(int) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.prop_position = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_prop_type(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_prop_type(text) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.prop_type = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_prop_params(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_prop_params(text) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.prop_params = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_prop_group(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_prop_group(text) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.prop_group = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_prop_group_parent(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_prop_group_parent(text) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.prop_group_parent = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_meta_prop_prop_group_path(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_meta_prop_prop_group_path(text) RETURNS co_sys_meta_prop AS
     '
        SELECT * FROM co_sys_meta_prop WHERE co_sys_meta_prop.prop_group_path = $1
     '
     LANGUAGE 'sql'
     !GO
       