 
  DROP FUNCTION co_sys_spreadsheet_row_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_spreadsheet_row_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sys\'
         AND class_name = \'spreadsheet\'
	 AND id_object = (SELECT spreadsheet_id FROM co_sys_spreadsheet_row WHERE id= $1 )
	 AND id_permission = $2 AND id_role = $3 ;
	
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_spreadsheet_row_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_spreadsheet_row_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\'
         AND class_name = \'\'
	 AND id_permission = $1
	 AND id_role = $2 ;
	
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_spreadsheet_row_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_row_id(int) RETURNS co_sys_spreadsheet_row AS
     '
        SELECT * FROM co_sys_spreadsheet_row WHERE co_sys_spreadsheet_row.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_row_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_row_version(int) RETURNS co_sys_spreadsheet_row AS
     '
        SELECT * FROM co_sys_spreadsheet_row WHERE co_sys_spreadsheet_row.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_row_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_row_deleted(int) RETURNS co_sys_spreadsheet_row AS
     '
        SELECT * FROM co_sys_spreadsheet_row WHERE co_sys_spreadsheet_row.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_row_row_number(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_row_row_number(int) RETURNS co_sys_spreadsheet_row AS
     '
        SELECT * FROM co_sys_spreadsheet_row WHERE co_sys_spreadsheet_row.row_number = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_row_spreadsheet_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_row_spreadsheet_id(int) RETURNS co_sys_spreadsheet_row AS
     '
        SELECT * FROM co_sys_spreadsheet_row WHERE co_sys_spreadsheet_row.spreadsheet_id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_row_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_row_name(text) RETURNS co_sys_spreadsheet_row AS
     '
        SELECT * FROM co_sys_spreadsheet_row WHERE co_sys_spreadsheet_row.name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_row_align(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_row_align(text) RETURNS co_sys_spreadsheet_row AS
     '
        SELECT * FROM co_sys_spreadsheet_row WHERE co_sys_spreadsheet_row.align = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_row_fontsize(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_row_fontsize(text) RETURNS co_sys_spreadsheet_row AS
     '
        SELECT * FROM co_sys_spreadsheet_row WHERE co_sys_spreadsheet_row.fontsize = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_row_textstyle(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_row_textstyle(text) RETURNS co_sys_spreadsheet_row AS
     '
        SELECT * FROM co_sys_spreadsheet_row WHERE co_sys_spreadsheet_row.textstyle = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_row_textcolor(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_row_textcolor(text) RETURNS co_sys_spreadsheet_row AS
     '
        SELECT * FROM co_sys_spreadsheet_row WHERE co_sys_spreadsheet_row.textcolor = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_spreadsheet_row_fontfamily(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_spreadsheet_row_fontfamily(text) RETURNS co_sys_spreadsheet_row AS
     '
        SELECT * FROM co_sys_spreadsheet_row WHERE co_sys_spreadsheet_row.fontfamily = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION cof_sys_spreadsheet_row_length(co_sys_spreadsheet_row)
     !NOERROR

     CREATE FUNCTION  cof_sys_spreadsheet_row_length(co_sys_spreadsheet_row)
            RETURNS int AS
     '
select max(column_number) from co_sys_spreadsheet_column where spreadsheet_id=($1.spreadsheet_id);

     '
     LANGUAGE 'sql'
     !GO
      