 
  DROP FUNCTION co_sys_text_document_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_sys_text_document_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'sys\' AND class_name = \'text_document\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_sys_text_document_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_sys_text_document_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'sys\' AND class_name = \'text_document\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_sys_text_document_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_text_document_id(int) RETURNS co_sys_text_document AS
     '
        SELECT * FROM co_sys_text_document WHERE co_sys_text_document.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_text_document_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_text_document_version(int) RETURNS co_sys_text_document AS
     '
        SELECT * FROM co_sys_text_document WHERE co_sys_text_document.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_text_document_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_text_document_deleted(int) RETURNS co_sys_text_document AS
     '
        SELECT * FROM co_sys_text_document WHERE co_sys_text_document.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_text_document_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_sys_text_document_name(text) RETURNS co_sys_text_document AS
     '
        SELECT * FROM co_sys_text_document WHERE co_sys_text_document.name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_sys_text_document_file_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_sys_text_document_file_version(int) RETURNS co_sys_text_document AS
     '
        SELECT * FROM co_sys_text_document WHERE co_sys_text_document.file_version = $1
     '
     LANGUAGE 'sql'
     !GO
       