 
  DROP FUNCTION co_usr_js_code_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_usr_js_code_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'usr\' AND class_name = \'js_code\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_usr_js_code_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_usr_js_code_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'usr\' AND class_name = \'js_code\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_usr_js_code_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_js_code_id(int) RETURNS co_usr_js_code AS
     '
        SELECT * FROM co_usr_js_code WHERE co_usr_js_code.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_js_code_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_js_code_version(int) RETURNS co_usr_js_code AS
     '
        SELECT * FROM co_usr_js_code WHERE co_usr_js_code.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_js_code_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_js_code_deleted(int) RETURNS co_usr_js_code AS
     '
        SELECT * FROM co_usr_js_code WHERE co_usr_js_code.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_js_code_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_js_code_inherits_acl(int) RETURNS co_usr_js_code AS
     '
        SELECT * FROM co_usr_js_code WHERE co_usr_js_code.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_js_code_code(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_js_code_code(text) RETURNS co_usr_js_code AS
     '
        SELECT * FROM co_usr_js_code WHERE co_usr_js_code.code = $1
     '
     LANGUAGE 'sql'
     !GO
       