 
  DROP FUNCTION co_usr_label_relation_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_usr_label_relation_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'usr\' AND class_name = \'label_relation\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_usr_label_relation_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_usr_label_relation_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'usr\' AND class_name = \'label_relation\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_usr_label_relation_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_label_relation_id(int) RETURNS co_usr_label_relation AS
     '
        SELECT * FROM co_usr_label_relation WHERE co_usr_label_relation.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_label_relation_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_label_relation_version(int) RETURNS co_usr_label_relation AS
     '
        SELECT * FROM co_usr_label_relation WHERE co_usr_label_relation.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_label_relation_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_label_relation_deleted(int) RETURNS co_usr_label_relation AS
     '
        SELECT * FROM co_usr_label_relation WHERE co_usr_label_relation.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_label_relation_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_label_relation_inherits_acl(int) RETURNS co_usr_label_relation AS
     '
        SELECT * FROM co_usr_label_relation WHERE co_usr_label_relation.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_label_relation_id_meta_prop(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_label_relation_id_meta_prop(int) RETURNS co_usr_label_relation AS
     '
        SELECT * FROM co_usr_label_relation WHERE co_usr_label_relation.id_meta_prop = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_label_relation_language(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_label_relation_language(text) RETURNS co_usr_label_relation AS
     '
        SELECT * FROM co_usr_label_relation WHERE co_usr_label_relation.language = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_label_relation_text(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_label_relation_text(text) RETURNS co_usr_label_relation AS
     '
        SELECT * FROM co_usr_label_relation WHERE co_usr_label_relation.text = $1
     '
     LANGUAGE 'sql'
     !GO
       