 
  DROP FUNCTION co_usr_menu_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_usr_menu_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl WHERE area = \'usr\' AND class_name = \'menu\' AND id_object = $1 AND id_permission = $2 AND id_role = $3 ;
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_usr_menu_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_usr_menu_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'usr\' AND class_name = \'menu\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_usr_menu_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_id(int) RETURNS co_usr_menu AS
     '
        SELECT * FROM co_usr_menu WHERE co_usr_menu.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_version(int) RETURNS co_usr_menu AS
     '
        SELECT * FROM co_usr_menu WHERE co_usr_menu.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_deleted(int) RETURNS co_usr_menu AS
     '
        SELECT * FROM co_usr_menu WHERE co_usr_menu.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_inherits_acl(int) RETURNS co_usr_menu AS
     '
        SELECT * FROM co_usr_menu WHERE co_usr_menu.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_name(text) RETURNS co_usr_menu AS
     '
        SELECT * FROM co_usr_menu WHERE co_usr_menu.name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_id_parent(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_id_parent(int) RETURNS co_usr_menu AS
     '
        SELECT * FROM co_usr_menu WHERE co_usr_menu.id_parent = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_id_type(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_id_type(text) RETURNS co_usr_menu AS
     '
        SELECT * FROM co_usr_menu WHERE co_usr_menu.id_type = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_id_menu_action(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_id_menu_action(int) RETURNS co_usr_menu AS
     '
        SELECT * FROM co_usr_menu WHERE co_usr_menu.id_menu_action = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_class_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_class_name(text) RETURNS co_usr_menu AS
     '
        SELECT * FROM co_usr_menu WHERE co_usr_menu.class_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_description(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_description(text) RETURNS co_usr_menu AS
     '
        SELECT * FROM co_usr_menu WHERE co_usr_menu.description = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_id_permission(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_id_permission(int) RETURNS co_usr_menu AS
     '
        SELECT * FROM co_usr_menu WHERE co_usr_menu.id_permission = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_menu_position(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_menu_position(int) RETURNS co_usr_menu AS
     '
        SELECT * FROM co_usr_menu WHERE co_usr_menu.menu_position = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_display_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_display_name(text) RETURNS co_usr_menu AS
     '
        SELECT * FROM co_usr_menu WHERE co_usr_menu.display_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_menu_params(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_menu_params(text) RETURNS co_usr_menu AS
     '
        SELECT * FROM co_usr_menu WHERE co_usr_menu.menu_params = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_menu_sec_type(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_menu_sec_type(int) RETURNS co_usr_menu AS
     '
        SELECT * FROM co_usr_menu WHERE co_usr_menu.sec_type = $1
     '
     LANGUAGE 'sql'
     !GO
       