 
  DROP FUNCTION co_usr_meta_method_check_acl(int,int,int) 
  !NOERROR 
  CREATE FUNCTION  co_usr_meta_method_check_acl(int,int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'usr\' AND class_name = \'meta_method\' AND id_permission = $1 AND id_role = $2 ; 
' LANGUAGE 'sql' 
!GO 
  
  DROP FUNCTION co_usr_meta_method_check_acl_class(int,int)
  !NOERROR 
  CREATE FUNCTION  co_usr_meta_method_check_acl_class(int,int)
  RETURNS  int
  AS ' 
SELECT 1 FROM co_sec_acl_class WHERE area = \'usr\' AND class_name = \'meta_method\' AND id_permission = $1 AND id_role = $2 ; 
 
 ' LANGUAGE 'sql'   
    !GO 
  
     DROP FUNCTION lhlo_usr_meta_method_id(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_method_id(int) RETURNS co_usr_meta_method AS
     '
        SELECT * FROM co_usr_meta_method WHERE co_usr_meta_method.id = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_method_version(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_method_version(int) RETURNS co_usr_meta_method AS
     '
        SELECT * FROM co_usr_meta_method WHERE co_usr_meta_method.version = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_method_deleted(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_method_deleted(int) RETURNS co_usr_meta_method AS
     '
        SELECT * FROM co_usr_meta_method WHERE co_usr_meta_method.deleted = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_method_inherits_acl(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_method_inherits_acl(int) RETURNS co_usr_meta_method AS
     '
        SELECT * FROM co_usr_meta_method WHERE co_usr_meta_method.inherits_acl = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_method_class_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_method_class_name(text) RETURNS co_usr_meta_method AS
     '
        SELECT * FROM co_usr_meta_method WHERE co_usr_meta_method.class_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_method_method_name(text)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_method_method_name(text) RETURNS co_usr_meta_method AS
     '
        SELECT * FROM co_usr_meta_method WHERE co_usr_meta_method.method_name = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_method_id_permission(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_method_id_permission(int) RETURNS co_usr_meta_method AS
     '
        SELECT * FROM co_usr_meta_method WHERE co_usr_meta_method.id_permission = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_method_id_onbefore_script(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_method_id_onbefore_script(int) RETURNS co_usr_meta_method AS
     '
        SELECT * FROM co_usr_meta_method WHERE co_usr_meta_method.id_onbefore_script = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_method_id_onbefore_method(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_method_id_onbefore_method(int) RETURNS co_usr_meta_method AS
     '
        SELECT * FROM co_usr_meta_method WHERE co_usr_meta_method.id_onbefore_method = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_method_id_onafter_script(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_method_id_onafter_script(int) RETURNS co_usr_meta_method AS
     '
        SELECT * FROM co_usr_meta_method WHERE co_usr_meta_method.id_onafter_script = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_method_id_onafter_method(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_method_id_onafter_method(int) RETURNS co_usr_meta_method AS
     '
        SELECT * FROM co_usr_meta_method WHERE co_usr_meta_method.id_onafter_method = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_method_profiled(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_method_profiled(int) RETURNS co_usr_meta_method AS
     '
        SELECT * FROM co_usr_meta_method WHERE co_usr_meta_method.profiled = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_method_sec_type(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_method_sec_type(int) RETURNS co_usr_meta_method AS
     '
        SELECT * FROM co_usr_meta_method WHERE co_usr_meta_method.sec_type = $1
     '
     LANGUAGE 'sql'
     !GO
        
     DROP FUNCTION lhlo_usr_meta_method_force_sec_type(int)
     !NOERROR

     CREATE FUNCTION lhlo_usr_meta_method_force_sec_type(int) RETURNS co_usr_meta_method AS
     '
        SELECT * FROM co_usr_meta_method WHERE co_usr_meta_method.force_sec_type = $1
     '
     LANGUAGE 'sql'
     !GO
       