#!/usr/bin/perl
######################### We start with some black magic to print on failure.
BEGIN { $| = 1; }
END {print "test failed \n" unless \$loaded;}
use Pg;
$loaded = 1;
use strict;
######################### End of black magic.
##my $dbmain = 'nobody';
##my $dbname = 'nobody';
my $dbconnstr = 'dbname=nobody';
my $trace  = '/tmp/pgtrace.out';
my ($conn, $result, $i, $last_id);
my $DEBUG  = 0; # set this to 1 for traces
$SIG{PIPE} = sub { print "broken pipe \n" };
$dbconnstr = $ARGV[0]; shift;
######################### create and connect to database
my $Option_ref = Pg::conndefaults();
my ($key, $val);
( $$Option_ref{port} ne "" && $$Option_ref{dbname} ne "" && $$Option_ref{user} ne "" )
and print "Pg::conndefaults ........ ok \n"
or  die   "Pg::conndefaults ........ not ok: ", $conn->errorMessage;
sub sql_exe
{
   my($conn, $sql) = @_;
   my($ret) = $conn->exec($sql); # || die "ERROR in executing $sql \n" ;
   if(PGRES_COMMAND_OK ne $ret->resultStatus) 
   {
      $!=-1; 
      die "SQL: ".$sql." ".$conn->errorMessage;
   }
   return $ret;
}

sub sql_sel
{
   my($conn, $sql) = @_;
   my($ret) = $conn->exec($sql); # || die "ERROR in executing $sql \n" ;
   if(PGRES_TUPLES_OK ne $ret->resultStatus)
   {
       $!=-1; 
       die "SQL: ".$sql." ".$conn->errorMessage;
   }  
   return $ret;
}

my(@parents);

$conn = Pg::connectdb($dbconnstr);
( PGRES_CONNECTION_OK eq $conn->status )
    and print "Pg::connectdb ........... ok \n"
    or  die   "Pg::connectdb ........... not ok: ", $conn->errorMessage;  
  $result = $conn->exec(" insert into co_sec_acl(id_permission,id_object,id_role,area,class_name)
			  select
                          p.id, ct.id, r.id, 'sec', 'catalog_type'
		          from co_sec_permission p, co_sec_role r, co_sec_catalog_type ct
			  where r.name = 'root'
		    ");

  ## creating acls for server_event scripts

  $result = $conn->exec(" insert into co_sec_acl(id_permission,id_object,id_role,area,class_name)
			  select
                          p.id, m.id_onbefore_script, r.id, 'sys', 'js_code'
		          from co_sec_permission p, co_sec_role r, co_sys_meta_method m
			  where r.name = 'root' and m.id_onbefore_script>0
		    ");

  $result = $conn->exec(" insert into co_sec_acl(id_permission,id_object,id_role,area,class_name)
			  select
			  p.id, m.id_onafter_script, r.id, 'sys', 'js_code'
		          FROM co_sec_permission p, co_sec_role r, co_sys_meta_method m
			  WHERE r.name = 'root' and m.id_onafter_script>0
		    ");
